
DROP TABLE IF EXISTS `#__action_log_config`;
CREATE TABLE `#__action_log_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `id_holder` varchar(255) DEFAULT NULL,
  `title_holder` varchar(255) DEFAULT NULL,
  `table_name` varchar(255) DEFAULT NULL,
  `text_prefix` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_log_config` (`id`, `type_title`, `type_alias`, `id_holder`, `title_holder`, `table_name`, `text_prefix`) VALUES
(1, 'article', 'com_content.article', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(2, 'article', 'com_content.form', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(3, 'banner', 'com_banners.banner', 'id', 'name', '#__banners', 'PLG_ACTIONLOG_JOOMLA'),
(4, 'user_note', 'com_users.note', 'id', 'subject', '#__user_notes', 'PLG_ACTIONLOG_JOOMLA'),
(5, 'media', 'com_media.file', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(6, 'category', 'com_categories.category', 'id', 'title', '#__categories', 'PLG_ACTIONLOG_JOOMLA'),
(7, 'menu', 'com_menus.menu', 'id', 'title', '#__menu_types', 'PLG_ACTIONLOG_JOOMLA'),
(8, 'menu_item', 'com_menus.item', 'id', 'title', '#__menu', 'PLG_ACTIONLOG_JOOMLA'),
(9, 'newsfeed', 'com_newsfeeds.newsfeed', 'id', 'name', '#__newsfeeds', 'PLG_ACTIONLOG_JOOMLA'),
(10, 'link', 'com_redirect.link', 'id', 'old_url', '#__redirect_links', 'PLG_ACTIONLOG_JOOMLA'),
(11, 'tag', 'com_tags.tag', 'id', 'title', '#__tags', 'PLG_ACTIONLOG_JOOMLA'),
(12, 'style', 'com_templates.style', 'id', 'title', '#__template_styles', 'PLG_ACTIONLOG_JOOMLA'),
(13, 'plugin', 'com_plugins.plugin', 'extension_id', 'name', '#__extensions', 'PLG_ACTIONLOG_JOOMLA'),
(14, 'component_config', 'com_config.component', 'extension_id', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(15, 'contact', 'com_contact.contact', 'id', 'name', '#__contact_details', 'PLG_ACTIONLOG_JOOMLA'),
(16, 'module', 'com_modules.module', 'id', 'title', '#__modules', 'PLG_ACTIONLOG_JOOMLA'),
(17, 'access_level', 'com_users.level', 'id', 'title', '#__viewlevels', 'PLG_ACTIONLOG_JOOMLA'),
(18, 'banner_client', 'com_banners.client', 'id', 'name', '#__banner_clients', 'PLG_ACTIONLOG_JOOMLA'),
(19, 'application_config', 'com_config.application', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA');

DROP TABLE IF EXISTS `#__action_logs`;
CREATE TABLE `#__action_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `message_language_key` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  `log_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `ip_address` varchar(40) NOT NULL DEFAULT '0.0.0.0',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_user_id_logdate` (`user_id`,`log_date`),
  KEY `idx_user_id_extension` (`user_id`,`extension`),
  KEY `idx_extension_item_id` (`extension`,`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__action_logs_extensions`;
CREATE TABLE `#__action_logs_extensions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `extension` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_logs_extensions` (`id`, `extension`) VALUES
(1, 'com_banners'),
(2, 'com_cache'),
(3, 'com_categories'),
(4, 'com_config'),
(5, 'com_contact'),
(6, 'com_content'),
(7, 'com_installer'),
(8, 'com_media'),
(9, 'com_menus'),
(10, 'com_messages'),
(11, 'com_modules'),
(12, 'com_newsfeeds'),
(13, 'com_plugins'),
(14, 'com_redirect'),
(15, 'com_tags'),
(16, 'com_templates'),
(17, 'com_users'),
(18, 'com_checkin');

DROP TABLE IF EXISTS `#__action_logs_users`;
CREATE TABLE `#__action_logs_users` (
  `user_id` int(11) unsigned NOT NULL,
  `notify` tinyint(1) unsigned NOT NULL,
  `extensions` text NOT NULL,
  PRIMARY KEY (`user_id`),
  KEY `idx_notify` (`notify`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=171 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 0, 329, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 16, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(8, 1, 17, 98, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
(9, 1, 99, 100, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 101, 102, 1, 'com_installer', 'com_installer', '{"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 103, 104, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1}}'),
(12, 1, 105, 106, 1, 'com_login', 'com_login', '{}'),
(13, 1, 107, 108, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 109, 110, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 111, 112, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1}}'),
(16, 1, 113, 124, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1}}'),
(17, 1, 125, 126, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 127, 224, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1}}'),
(19, 1, 225, 228, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(20, 1, 229, 230, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1}}'),
(21, 1, 231, 232, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1}}'),
(22, 1, 233, 234, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 235, 236, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1}}'),
(24, 1, 237, 240, 1, 'com_users', 'com_users', '{"core.admin":{"7":1}}'),
(26, 1, 241, 242, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 18, 77, 2, 'com_content.category.2', 'Our Blog', '{}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{}'),
(30, 19, 226, 227, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{}'),
(32, 24, 238, 239, 2, 'com_users.category.7', 'Uncategorised', '{}'),
(33, 1, 243, 244, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 1, 245, 246, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{}'),
(35, 1, 247, 248, 1, 'com_tags', 'com_tags', '{}'),
(36, 1, 249, 250, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(37, 1, 251, 252, 1, 'com_ajax', 'com_ajax', '{}'),
(38, 1, 253, 254, 1, 'com_postinstall', 'com_postinstall', '{}'),
(40, 18, 128, 129, 2, 'com_modules.module.2', 'Login', '{}'),
(41, 18, 130, 131, 2, 'com_modules.module.3', 'Popular Articles', '{}'),
(42, 18, 132, 133, 2, 'com_modules.module.4', 'Recently Added Articles', '{}'),
(43, 18, 134, 135, 2, 'com_modules.module.8', 'Toolbar', '{}'),
(44, 18, 136, 137, 2, 'com_modules.module.9', 'Quick Icons', '{}'),
(45, 18, 138, 139, 2, 'com_modules.module.10', 'Logged-in Users', '{}'),
(46, 18, 140, 141, 2, 'com_modules.module.12', 'Admin Menu', '{}'),
(47, 18, 142, 143, 2, 'com_modules.module.13', 'Admin Submenu', '{}'),
(48, 18, 144, 145, 2, 'com_modules.module.14', 'User Status', '{}'),
(49, 18, 146, 147, 2, 'com_modules.module.15', 'Title', '{}'),
(52, 18, 148, 149, 2, 'com_modules.module.79', 'Multilanguage status', '{}'),
(53, 18, 150, 151, 2, 'com_modules.module.86', 'Joomla Version', '{}'),
(54, 16, 114, 115, 2, 'com_menus.menu.1', 'Main Menu', '{}'),
(55, 18, 152, 153, 2, 'com_modules.module.87', 'Sample Data', '{}'),
(56, 18, 154, 155, 2, 'com_modules.module.88', 'Welcome', '{}'),
(57, 18, 156, 157, 2, 'com_modules.module.89', 'Social', '{}'),
(58, 18, 158, 159, 2, 'com_modules.module.90', 'Head Info', '{}'),
(59, 18, 160, 161, 2, 'com_modules.module.91', 'Slideshow', '{}'),
(60, 27, 19, 34, 3, 'com_content.category.8', 'Tips & Tricks', '{}'),
(61, 27, 35, 48, 3, 'com_content.category.9', 'Updates', '{}'),
(62, 18, 162, 163, 2, 'com_modules.module.92', 'Features Intro', '{}'),
(63, 18, 164, 165, 2, 'com_modules.module.93', 'Build Perfect body with clean mind', '{}'),
(64, 18, 166, 167, 2, 'com_modules.module.94', 'Classes', '{}'),
(65, 18, 168, 169, 2, 'com_modules.module.95', 'Meet with the trainers', '{}'),
(66, 18, 170, 171, 2, 'com_modules.module.96', '20% Discount  for Body Building Classes', '{}'),
(67, 60, 20, 21, 4, 'com_content.article.1', 'Easy Mindful Eating Tips That Are  Actually Worth Following', '{}'),
(68, 61, 36, 37, 4, 'com_content.article.2', '10 Ways to Give Back Through Exercise', '{}'),
(69, 60, 22, 23, 4, 'com_content.article.3', 'Do You Actually Need Weightlifting Shoes?', '{}'),
(70, 18, 172, 173, 2, 'com_modules.module.97', 'Latest News + updates', '{}'),
(71, 18, 174, 175, 2, 'com_modules.module.98', 'CTA Background', '{}'),
(72, 18, 176, 177, 2, 'com_modules.module.99', 'Location', '{}'),
(73, 18, 178, 179, 2, 'com_modules.module.100', 'Contact', '{}'),
(74, 18, 180, 181, 2, 'com_modules.module.101', 'Open Hours', '{}'),
(75, 18, 182, 183, 2, 'com_modules.module.102', 'Footer', '{}'),
(76, 16, 116, 117, 2, 'com_menus.menu.2', 'Useful Links', '{}'),
(77, 16, 118, 119, 2, 'com_menus.menu.3', 'Classes', '{}'),
(78, 16, 120, 121, 2, 'com_menus.menu.4', 'Resources', '{}'),
(79, 16, 122, 123, 2, 'com_menus.menu.5', 'Follow us', '{}'),
(80, 18, 184, 185, 2, 'com_modules.module.103', 'Useful Links', '{}'),
(81, 18, 186, 187, 2, 'com_modules.module.104', 'Classes', '{}'),
(82, 18, 188, 189, 2, 'com_modules.module.105', 'Resources', '{}'),
(83, 18, 190, 191, 2, 'com_modules.module.106', 'Follow us', '{}'),
(85, 18, 192, 193, 2, 'com_modules.module.107', 'Fit\'s Schedule', '{}'),
(86, 18, 194, 195, 2, 'com_modules.module.108', 'Upcoming Events', '{}'),
(87, 8, 78, 85, 2, 'com_content.category.10', 'Other Pages', '{}'),
(88, 87, 81, 82, 3, 'com_content.article.4', 'Error page', '{}'),
(89, 87, 79, 80, 3, 'com_content.article.5', 'Offline Page', '{}'),
(90, 1, 257, 258, 1, '#__ucm_content.1', '#__ucm_content.1', '{}'),
(91, 1, 259, 260, 1, '#__ucm_content.2', '#__ucm_content.2', '{}'),
(92, 1, 261, 262, 1, '#__ucm_content.3', '#__ucm_content.3', '{}'),
(93, 87, 83, 84, 3, 'com_content.article.6', 'Typography', '{}'),
(94, 18, 196, 197, 2, 'com_modules.module.109', 'JA Masthead', '{}'),
(95, 18, 198, 199, 2, 'com_modules.module.110', 'Banner 1', '{}'),
(96, 18, 200, 201, 2, 'com_modules.module.111', 'Login', '{}'),
(97, 18, 202, 203, 2, 'com_modules.module.112', 'Categories', '{}'),
(98, 18, 204, 205, 2, 'com_modules.module.113', 'Latest News', '{}'),
(99, 106, 64, 65, 4, 'com_content.article.7', 'Gym Exercises to Improve Your Posture', '{}'),
(100, 1, 263, 264, 1, '#__ucm_content.4', '#__ucm_content.4', '{}'),
(101, 60, 24, 25, 4, 'com_content.article.8', '25 minute full body HIIT workout', '{}'),
(102, 1, 265, 266, 1, '#__ucm_content.5', '#__ucm_content.5', '{}'),
(103, 105, 50, 51, 4, 'com_content.article.9', 'Can the Gym Really Help Me Sleep Better?', '{}'),
(104, 1, 267, 268, 1, '#__ucm_content.6', '#__ucm_content.6', '{}'),
(105, 27, 49, 62, 3, 'com_content.category.11', 'Member Stories', '{}'),
(106, 27, 63, 76, 3, 'com_content.category.12', 'Nutrition', '{}'),
(107, 105, 52, 53, 4, 'com_content.article.10', 'Using the Gym to Train for Your Mud Run Challenge', '{}'),
(108, 1, 269, 270, 1, '#__ucm_content.7', '#__ucm_content.7', '{}'),
(109, 60, 26, 27, 4, 'com_content.article.11', 'Tempo training: What is it and how to apply it in your training', '{}'),
(110, 1, 271, 272, 1, '#__ucm_content.8', '#__ucm_content.8', '{}'),
(111, 106, 66, 67, 4, 'com_content.article.12', 'Training your way to your best 5k race', '{}'),
(112, 1, 273, 274, 1, '#__ucm_content.9', '#__ucm_content.9', '{}'),
(113, 106, 68, 69, 4, 'com_content.article.13', '5 functional exercises to master', '{}'),
(114, 1, 275, 276, 1, '#__ucm_content.10', '#__ucm_content.10', '{}'),
(115, 106, 70, 71, 4, 'com_content.article.14', 'Tactics to Get the Most from the Gym in Just 40 minutes', '{}'),
(116, 1, 277, 278, 1, '#__ucm_content.11', '#__ucm_content.11', '{}'),
(117, 106, 72, 73, 4, 'com_content.article.15', 'How to use social media with your gym routine', '{}'),
(118, 1, 279, 280, 1, '#__ucm_content.12', '#__ucm_content.12', '{}'),
(119, 18, 206, 207, 2, 'com_modules.module.114', 'Search', '{}'),
(120, 18, 208, 209, 2, 'com_modules.module.115', 'Calendar', '{}'),
(121, 60, 28, 29, 4, 'com_content.article.16', 'What to Eat After a Workout at the Gym', '{}'),
(122, 1, 281, 282, 1, '#__ucm_content.13', '#__ucm_content.13', '{}'),
(123, 60, 30, 31, 4, 'com_content.article.17', '10 Health and Fitness Tips for Busy People', '{}'),
(124, 1, 283, 284, 1, '#__ucm_content.14', '#__ucm_content.14', '{}'),
(125, 60, 32, 33, 4, 'com_content.article.18', 'The Secret To Eating Your Way To Good Health', '{}'),
(126, 1, 285, 286, 1, '#__ucm_content.15', '#__ucm_content.15', '{}'),
(127, 105, 54, 55, 4, 'com_content.article.19', 'Gyms can help me quit smoking but also prevent disease', '{}'),
(128, 1, 287, 288, 1, '#__ucm_content.16', '#__ucm_content.16', '{}'),
(129, 105, 56, 57, 4, 'com_content.article.20', 'Anti-aging gym, improve health and mental well-being', '{}'),
(130, 1, 289, 290, 1, '#__ucm_content.17', '#__ucm_content.17', '{}'),
(131, 105, 58, 59, 4, 'com_content.article.21', 'Gym exercises increase muscle strength and gain weight', '{}'),
(132, 1, 291, 292, 1, '#__ucm_content.18', '#__ucm_content.18', '{}'),
(133, 105, 60, 61, 4, 'com_content.article.22', 'Using the Gym help me body and improve your cardiovascular health', '{}'),
(134, 1, 293, 294, 1, '#__ucm_content.19', '#__ucm_content.19', '{}'),
(135, 61, 38, 39, 4, 'com_content.article.23', 'The Benefits of Strength and Weight Training', '{}'),
(136, 1, 295, 296, 1, '#__ucm_content.20', '#__ucm_content.20', '{}'),
(137, 61, 40, 41, 4, 'com_content.article.24', 'Functional Exercises Everyone Can Do - Men\'s Trait', '{}'),
(138, 1, 297, 298, 1, '#__ucm_content.21', '#__ucm_content.21', '{}'),
(139, 61, 42, 43, 4, 'com_content.article.25', 'Exercise can boost your memory and thinking skills', '{}'),
(140, 1, 299, 300, 1, '#__ucm_content.22', '#__ucm_content.22', '{}'),
(141, 61, 44, 45, 4, 'com_content.article.26', '15 Gym Promotion Ideas You Can Use Right Now', '{}'),
(142, 1, 301, 302, 1, '#__ucm_content.23', '#__ucm_content.23', '{}'),
(143, 61, 46, 47, 4, 'com_content.article.27', '10 kickass fitness jobs besides personal training', '{}'),
(144, 1, 303, 304, 1, '#__ucm_content.24', '#__ucm_content.24', '{}'),
(145, 106, 74, 75, 4, 'com_content.article.28', '10 Exercises to Develop the Best Pecs in the Gym', '{}'),
(146, 1, 305, 306, 1, '#__ucm_content.25', '#__ucm_content.25', '{}'),
(147, 18, 210, 211, 2, 'com_modules.module.116', 'Build Perfect body with clean mind', '{}'),
(148, 18, 212, 213, 2, 'com_modules.module.117', 'Build Perfect body with clean mind', '{}'),
(149, 18, 214, 215, 2, 'com_modules.module.118', 'Build Perfect body with clean mind', '{}'),
(150, 18, 216, 217, 2, 'com_modules.module.119', 'Offcanvas', '{}'),
(151, 18, 218, 219, 2, 'com_modules.module.120', 'Fit\'S SCHEDULE', '{}'),
(152, 8, 86, 97, 2, 'com_content.category.13', 'Classes', '{}'),
(153, 152, 87, 88, 3, 'com_content.article.29', 'Legs bums & tums class', '{}'),
(154, 1, 307, 308, 1, '#__ucm_content.26', '#__ucm_content.26', '{}'),
(155, 152, 89, 90, 3, 'com_content.article.30', 'Body Building', '{}'),
(156, 1, 309, 310, 1, '#__ucm_content.27', '#__ucm_content.27', '{}'),
(157, 152, 91, 92, 3, 'com_content.article.31', 'Climbing', '{}'),
(158, 1, 311, 312, 1, '#__ucm_content.28', '#__ucm_content.28', '{}'),
(159, 152, 93, 94, 3, 'com_content.article.32', 'Body Pump', '{}'),
(160, 1, 313, 314, 1, '#__ucm_content.29', '#__ucm_content.29', '{}'),
(161, 152, 95, 96, 3, 'com_content.article.33', 'Advanced flow yoga', '{}'),
(162, 1, 315, 316, 1, '#__ucm_content.30', '#__ucm_content.30', '{}'),
(163, 1, 317, 318, 1, 'com_fields', 'com_fields', '{}'),
(164, 1, 319, 320, 1, 'com_associations', 'com_associations', '{}'),
(165, 1, 321, 322, 1, 'com_jaextmanager', 'com_jaextmanager', '{}'),
(166, 1, 323, 324, 1, 'com_jabuilder', 'com_jabuilder', '{}'),
(167, 18, 220, 221, 2, 'com_modules.module.121', 'JA Builder Quick Icons', '{}'),
(168, 18, 222, 223, 2, 'com_modules.module.122', 'JA Builder Admin Menu', '{}'),
(169, 1, 325, 326, 1, 'com_privacy', 'com_privacy', '{}'),
(170, 1, 327, 328, 1, 'com_actionlogs', 'com_actionlogs', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `type` int(11) NOT NULL DEFAULT 0,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT 0,
  `impmade` int(11) NOT NULL DEFAULT 0,
  `clicks` int(11) NOT NULL DEFAULT 0,
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 23, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '{}', 42, '2019-05-13 03:45:53', 0, '0000-00-00 00:00:00', 0, '*', 1),
(2, 27, 1, 1, 10, 1, 'our-blog', 'com_content', 'Our Blog', 'our-blog', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', 0, '*', 1),
(3, 28, 1, 11, 12, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 0, '0000-00-00 00:00:00', 0, '*', 1),
(4, 29, 1, 13, 14, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 0, '0000-00-00 00:00:00', 0, '*', 1),
(5, 30, 1, 15, 16, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 0, '0000-00-00 00:00:00', 0, '*', 1),
(7, 32, 1, 17, 18, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 0, '0000-00-00 00:00:00', 0, '*', 1),
(8, 60, 2, 2, 3, 2, 'our-blog/tips-tricks', 'com_content', 'Tips & Tricks', 'tips-tricks', '', 'Our health blog offers plenty of tips and insights to help you lead a healthy lifestyle all year round', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/blog\\/category-1.jpg","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', 0, '*', 1),
(9, 61, 2, 4, 5, 2, 'our-blog/updates', 'com_content', 'Updates', 'updates', '', 'Want to stay in the know with the latest news in health and fitness? Here you\'ll find interesting articles and news about JA Fit', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/blog\\/category-2.jpg","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', 0, '*', 1),
(10, 87, 1, 19, 20, 1, 'other-pages', 'com_content', 'Other Pages', 'other-pages', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 0, '2019-05-13 03:45:53', 0, '*', 1),
(11, 105, 2, 6, 7, 2, 'our-blog/member-stories', 'com_content', 'Member Stories', 'member-stories', '', 'Our members bring their nerve, their zest, and their personal best to the gym. Most of all, they bring their incredible.', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/blog\\/category-3.jpg","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', 0, '*', 1),
(12, 106, 2, 8, 9, 2, 'our-blog/nutrition', 'com_content', 'Nutrition', 'nutrition', '', 'Our nutrition category is full of healthy eating tips and recipes to help you get in the best shape of your life', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/blog\\/category-4.jpg","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', 0, '*', 1),
(13, 152, 1, 21, 22, 1, 'classes', 'com_content', 'Classes', 'classes', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t3_extrafields":"gym-info"}', '', '', '{"author":"","robots":""}', 42, '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', 0, '*', 1);

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL,
  `con_position` varchar(255) DEFAULT NULL,
  `address` text DEFAULT NULL,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `catid` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL DEFAULT '',
  `sortname2` varchar(255) NOT NULL DEFAULT '',
  `sortname3` varchar(255) NOT NULL DEFAULT '',
  `language` varchar(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Set if contact is featured.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Ja Fit', 'ja-fit', '', '1064 Oakmound Road\r\nChicago, IL 60661', '', '', '', '', '(012) 773-249', '', '{jamap}', 'images/joomlart/others/avatar-contact.jpg', 'no-reply@gmail.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_tags":"","show_info":"","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","show_misc":"","allow_vcard":"","show_articles":"","articles_display_num":"","show_profile":"","show_links":"","linka_name":"facebook","linka":"https:\\/\\/joomlart.com","linkb_name":"linkedin","linkb":"https:\\/\\/joomlart.com","linkc_name":"google plus","linkc":"https:\\/\\/joomlart.com","linkd_name":"twitter","linkd":"https:\\/\\/joomlart.com","linke_name":"","linke":false,"contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 4, 1, '(012) 249-4163', 'https://joomlart.com', '', '', '', '*', '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 12, 96);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `note` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `idx_alias` (`alias`(191))
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(1, 67, 'Easy Mindful Eating Tips That Are  Actually Worth Following', 'easy-mindful-eating-tips-that-are-actually-worth-following', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(2, 68, '10 Ways to Give Back Through Exercise', '10-ways-to-give-back-through-exercise', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 9, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(3, 69, 'Do You Actually Need Weightlifting Shoes?', 'do-you-actually-need-weightlifting-shoes', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 25, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(4, 88, 'Error page', 'error-page', '<div class="well"><center>Each <strong>JA Joomla Template</strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style</strong>.</center></div>\r\n<p style="text-align: center;" class="img-wrap"><img src="images/joomlart/others/404-page.jpg" alt="" style="display: inline-block"/></p>', '', 1, 10, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"0","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 1, '', '', 1, 17, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(5, 89, 'Offline Page', 'offline-page', '<div class="well"><center>Each <strong>JA Joomla Template</strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style</strong>.</center></div>\r\n<p class="img-wrap" align="center"><img src="images/joomlart/others/offline-page.jpg" border="0" alt="Sample Image"></p>', '', 1, 10, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(6, 93, 'Typography', 'typography', '						<!-- CORE TYPOGRAPHY\r\n	=======================================================-->\r\n	<div class="docs-section"><!-- Headings -->\r\n		<div class="row example-row example-type">\r\n			<div class="col-lg-7">\r\n				<h3 class="sub-title">Heading Text</h3>\r\n				<h1>h1. Heading <small>Secondary text</small></h1>\r\n				<h2>h2. Heading <small>Secondary text</small></h2>\r\n				<h3>h3. Heading <small>Secondary text</small></h3>\r\n				<h4>h4. Heading <small>Secondary text</small></h4>\r\n				<h5>h5. Heading <small>Secondary text</small></h5>\r\n				<h6>h6. Heading <small>Secondary text</small></h6>\r\n				<div class="alert alert-warning">\r\n					<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n				</div>\r\n			</div>\r\n			<div class="col-lg-5">\r\n				<h3 class="sub-title">Example body text</h3>\r\n				<p class="lead">This is a <strong>lead paragraph</strong>. <br>Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n				<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n				<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n				<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n				<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n				<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n			</div>\r\n		</div>\r\n		<!-- //Headings -->\r\n		<p> </p>\r\n		<!-- Address & Emphasis -->\r\n		<div class="row example-row example-type">\r\n			<div class="col-lg-4">\r\n				<h3 class="sub-title">Address</h3>\r\n				<address><strong>Company Name</strong><br> 795 Folsom Ave, Suite 600<br> San Francisco, CA 94107<br> <abbr title="Phone">P:</abbr> (123) 456-7890</address><address><strong>Full Name</strong><br> <abbr title="Phone">P:</abbr> (123) 456-7890<br> <span id="cloake4e2bbc0ee69e95e9a438ec93c97c721"><a href="mailto:first.last@example.com">first.last@example.com</a></span><script type="text/javascript">\r\n				document.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML = \'\';\r\n				var prefix = \'&#109;a\' + \'i&#108;\' + \'&#116;o\';\r\n				var path = \'hr\' + \'ef\' + \'=\';\r\n				var addye4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\';\r\n				addye4e2bbc0ee69e95e9a438ec93c97c721 = addye4e2bbc0ee69e95e9a438ec93c97c721 + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';\r\n				var addy_texte4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\' + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';document.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML += \'<a \' + path + \'\\\'\' + prefix + \':\' + addye4e2bbc0ee69e95e9a438ec93c97c721 + \'\\\'>\'+addy_texte4e2bbc0ee69e95e9a438ec93c97c721+\'<\\/a>\';\r\n		</script></address></div>\r\n				<div class="col-lg-4">\r\n					<h3 class="sub-title">Emphasis classes</h3>\r\n					<p class="text-muted">This is a <code>.mute</code> paragraph.</p>\r\n					<p class="text-primary">This is a <code>.text-primary</code> paragraph.</p>\r\n					<p class="text-warning">This is a <code>.text-warning</code> paragraph.</p>\r\n					<p class="text-danger">This is a <code>.text-danger</code> paragraph.</p>\r\n					<p class="text-success">This is a <code>.text-success</code> paragraph.</p>\r\n					<p class="text-info">This is a <code>.text-info</code> paragraph.</p>\r\n				</div>\r\n				<div class="col-lg-4">\r\n					<h3 class="sub-title">Alignment classes</h3>\r\n					<p class="text-left">This is a left aligned text <code>.text-left</code></p>\r\n					<p class="text-center">This is a center aligned text <code>.text-center</code></p>\r\n					<p class="text-right">This is a right aligned text <code>.text-right</code></p>\r\n					<p class="text-justify">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify</code> class.</p>\r\n				</div>\r\n			</div>\r\n			<!-- //Address & Emphasis --></div>\r\n			<!-- //CORE TYPOGRAPHY -->\r\n			<p> </p>\r\n			<!-- Blockquotes -->\r\n			<div class="docs-section">\r\n				<h2 id="example-colors">Blockquotes</h2>\r\n				<div class="row example-row example-type">\r\n					<div class="col-lg-6">\r\n						<blockquote>\r\n							<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n							<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n						</div>\r\n						<div class="col-lg-6">\r\n							<blockquote class="pull-right">\r\n								<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n								<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n							</div>\r\n						</div>\r\n					</div>\r\n					<!-- //Blockquotes -->\r\n					<p> </p>\r\n<!-- TAGS\r\n	=======================================================-->\r\n	<div class="docs-section">\r\n		<h2 id="example-colors">Tags</h2>\r\n		<div class="tags"><span class="tag"><a class="label label-info" href="#">hotel</a></span> <span class="tag"><a class="label label-info" href="#">booking</a></span> <span class="tag"><a class="label label-info" href="#">discount</a></span> <span class="tag"><a class="label label-info" href="#">location</a></span> <span class="tag"><a class="label label-info" href="#">map</a></span> <span class="tag"><a class="label label-info" href="#">travel</a></span></div>\r\n	</div>\r\n	<!-- //TAGS -->\r\n	<p> </p>\r\n<!-- COLOR SWATCHES\r\n	=======================================================-->\r\n	<div class="docs-section">\r\n		<h2 id="example-color">Color Swatches</h2>\r\n		<!-- Brand Colors -->\r\n		<h3 class="sub-title">Brand Colors</h3>\r\n		<div class="row example-row example-colors">\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-brand-primary">\r\n					<dl>\r\n						<dt>#dd2222</dt>\r\n						<dd>Brand Primary</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-brand-secondary">\r\n					<dl>\r\n						<dt>#428bca</dt>\r\n						<dd>Brand Secondary</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-brand-warning">\r\n					<dl>\r\n						<dt>#f0ad4e</dt>\r\n						<dd>Brand Warning</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-brand-danger">\r\n					<dl>\r\n						<dt>#d9534f</dt>\r\n						<dd>Brand Danger</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-brand-info">\r\n					<dl>\r\n						<dt>#5bc0de</dt>\r\n						<dd>Brand Info</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-brand-success">\r\n					<dl>\r\n						<dt>#5cb85c</dt>\r\n						<dd>Brand Success</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<!-- Brand Colors -->\r\n		<p> </p>\r\n		<!-- Grayscale -->\r\n		<h3 class="sub-title">Grayscale Levels</h3>\r\n		<div class="row example-row example-colors">\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-gray-darker">\r\n					<dl>\r\n						<dt>#111</dt>\r\n						<dd>Gray Darker</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-gray-dark">\r\n					<dl>\r\n						<dt>#222</dt>\r\n						<dd>Gray Dark</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-gray">\r\n					<dl>\r\n						<dt>#666</dt>\r\n						<dd>Gray</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-gray-light">\r\n					<dl>\r\n						<dt>#9e9e9e</dt>\r\n						<dd>Gray Light</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-gray-lighter">\r\n					<dl>\r\n						<dt>#ddd</dt>\r\n						<dd>Gray Lighter</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n			<div class="col-xs-12 col-sm-4">\r\n				<div class="swatch-item color-gray-lightest">\r\n					<dl>\r\n						<dt>#f7f7f7</dt>\r\n						<dd>Gray Lightest</dd>\r\n					</dl>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<!-- //Grayscale --></div>\r\n		<!-- //COLOR SWATCHES -->\r\n		<p> </p>\r\n<!-- BUTTON\r\n	=======================================================-->\r\n	<div class="docs-section">\r\n		<h2 id="example-colors">Buttons</h2>\r\n		<div class="row example-row example-type">\r\n			<div class="col-md-12"><!-- Button -->\r\n				<div class="example-button clearfix">\r\n					<a class="btn btn-default" href="#">Normal Button</a>\r\n					<a class="btn btn-primary" href="#">Primary Button</a>\r\n					<a class="btn btn-success" href="#">Success Button</a>\r\n					<a class="btn btn-warning" href="#">Warning Button</a>\r\n					<a class="btn btn-danger" href="#">Danger Button</a>\r\n					<a class="btn btn-info" href="#">Info Button</a>\r\n				</div>\r\n				<!-- //Button --></div>\r\n			</div>\r\n		</div>\r\n		<!-- //BUTTON -->\r\n		<p> </p>\r\n		<p> </p>\r\n<!-- NAVIGATIONS\r\n	================================================== -->\r\n	<div class="docs-section">\r\n		<h2 id="example-navigation">Navigations</h2>\r\n		<!-- Tabs & Vertical Menus -->\r\n		<div class="row example-row example-navigation"><!-- Tabs -->\r\n			<div class="col-lg-8">\r\n				<h3 class="sub-title">Tabs</h3>\r\n				<ul class="nav nav-tabs">\r\n					<li class="active"><a href="#home" data-toggle="tab">Home</a></li>\r\n					<li><a href="#profile" data-toggle="tab">Profile</a></li>\r\n					<li class="disabled"><a>Disabled</a></li>\r\n					<li class="dropdown"><a class="dropdown-toggle" href="#" data-toggle="dropdown"> Dropdown </a>\r\n						<ul class="dropdown-menu">\r\n							<li><a href="#dropdown1" data-toggle="tab">Action</a></li>\r\n							<li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n							<li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n						</ul>\r\n					</li>\r\n				</ul>\r\n				<div id="myTabContent" class="tab-content">\r\n					<div id="home" class="tab-pane fade active in">\r\n						<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n						<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n					</div>\r\n					<div id="profile" class="tab-pane fade">\r\n						<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n						<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n					</div>\r\n					<div id="dropdown1" class="tab-pane fade">\r\n						<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n						<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n					</div>\r\n					<div id="dropdown2" class="tab-pane fade">\r\n						<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n						<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n			<!-- //Tabs --> <!-- Vertical Menus -->\r\n			<div class="col-lg-4">\r\n				<h3 class="sub-title">Vertical Menus</h3>\r\n				<ul class="nav nav-pills nav-stacked">\r\n					<li class="active"><a href="#">Active Menu Item</a></li>\r\n					<li><a href="#">Menu Item</a></li>\r\n					<li><a href="#">Menu Item</a></li>\r\n					<li class="disabled"><a href="#">Disabled Menu Item</a></li>\r\n					<li class="dropdown"><a class="dropdown-toggle" href="#" data-toggle="dropdown"> Dropdown </a>\r\n						<ul class="dropdown-menu">\r\n							<li><a href="#">Action</a></li>\r\n							<li><a href="#">Another action</a></li>\r\n							<li><a href="#">Something else here</a></li>\r\n							<li><a href="#">Separated link</a></li>\r\n						</ul>\r\n					</li>\r\n				</ul>\r\n			</div>\r\n			<!-- Vertical Menus --></div>\r\n			<!-- Tabs & Vertical Menus --></div>\r\n			<!-- //NAVIGATIONS -->\r\n			<p> </p>\r\n<!-- FORMS\r\n	================================================== -->\r\n	<div class="docs-section">\r\n		<div class="page-header">\r\n			<h3 id="example-typo">Inputs</h3>\r\n		</div>\r\n		<!-- Inputs -->\r\n		<div class="row example-row example-forms example-inputs">\r\n			<div class="col-md-3">\r\n				<div class="form-group has-success"><label class="control-label" for="inputSuccess">Input success</label> <input id="inputSuccess" class="form-control" type="text"></div>\r\n			</div>\r\n			<div class="col-md-3">\r\n				<div class="form-group has-error"><label class="control-label" for="inputError">Input error</label> <input id="inputError" class="form-control" type="text"></div>\r\n			</div>\r\n			<div class="col-md-3">\r\n				<div class="form-group has-warning"><label class="control-label" for="inputWarning">Input warning</label> <input id="inputWarning" class="form-control" type="text"></div>\r\n			</div>\r\n			<div class="col-md-3">\r\n				<div class="form-group"><label class="control-label" for="disabledInput">Disabled input</label> <input id="disabledInput" class="form-control" disabled="disabled" type="text"></div>\r\n			</div>\r\n		</div>\r\n		<!-- //Inputs --></div>\r\n		<!-- //FORMS -->\r\n		<p> </p>\r\n<!-- INDICATORS\r\n	================================================== -->\r\n	<div class="docs-section">\r\n		<h2 id="example-indicators">Indicators</h2>\r\n		<!-- Alerts -->\r\n		<h3 class="sub-title">Alerts and Notifications</h3>\r\n		<div class="row example-row example-indicators">\r\n			<div class="col-lg-6">\r\n				<div class="alert  alert-danger">\r\n					<h4>error message title</h4>\r\n					<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n				</div>\r\n			</div>\r\n			<div class="col-lg-6">\r\n				<div class="alert  alert-success">\r\n					<h4>sussess message title</h4>\r\n					<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class="row example-row example-indicators">\r\n			<div class="col-lg-6">\r\n				<div class="alert  alert-info">\r\n					<h4>info message title</h4>\r\n					<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n				</div>\r\n			</div>\r\n			<div class="col-lg-6">\r\n				<div class="alert  alert-warning">\r\n					<h4>warning message title</h4>\r\n					<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<!-- Alerts -->\r\n		<p> </p>\r\n		<!-- Labels & Badges -->\r\n		<div class="row example-row example-indicators">\r\n			<div class="col-lg-6">\r\n				<h3 class="sub-title">Badges</h3>\r\n				<div class="example">\r\n					<ul class="nav nav-pills">\r\n						<li class="active"><a href="#">Home <span class="badge">42</span></a></li>\r\n						<li><a href="#">Profile </a></li>\r\n						<li><a href="#">Messages <span class="badge">25</span></a></li>\r\n						<li><a href="#">Notices <span class="badge">2</span></a></li>\r\n					</ul>\r\n				</div>\r\n			</div>\r\n			<div class="col-lg-6">\r\n				<h3 class="sub-title">Labels</h3>\r\n				<div class="example"><span class="label label-default">Default</span> <span class="label label-primary">Primary</span> <span class="label label-success">Success</span> <span class="label label-info">Info</span> <span class="label label-warning">Warning</span> <span class="label label-danger">Danger</span></div>\r\n			</div>\r\n		</div>\r\n		<!-- Labels & Badges --></div>\r\n		<!-- //INDICATORS -->\r\n		<p> </p>\r\n<!-- MISC\r\n	================================================== -->\r\n	<div class="docs-section">\r\n		<h2 id="example-misc">Misc</h2>\r\n		<!-- List Groups -->\r\n		<h3 class="sub-title">List groups</h3>\r\n		<div class="row example-row example-misc">\r\n			<div class="col-lg-4">\r\n				<ul class="list-group">\r\n					<li class="list-group-item"><span class="badge">14</span> Cras justo odio</li>\r\n					<li class="list-group-item"><span class="badge">2</span> Dapibus ac facilisis in</li>\r\n					<li class="list-group-item">Morbi leo risus</li>\r\n					<li class="list-group-item"><span class="badge">1</span> Morbi leo risus</li>\r\n					<li class="list-group-item"><span class="badge">2</span> Dapibus ac facilisis in</li>\r\n				</ul>\r\n			</div>\r\n			<div class="col-lg-4">\r\n				<div class="list-group"><a class="list-group-item active" href="#"><span class="badge">9</span> Cras justo odio</a> <a class="list-group-item" href="#">Dapibus ac facilisis in</a> <a class="list-group-item" href="#">Morbi leo risus</a> <a class="list-group-item" href="#">Porta ac consectetur ac</a> <a class="list-group-item" href="#">Vestibulum at eros</a></div>\r\n			</div>\r\n			<div class="col-lg-4">\r\n				<div class="list-group">\r\n					<h4 class="list-group-item-heading">List group item heading</h4>\r\n					<p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus risus varius blandit.</p>\r\n				</div>\r\n\r\n				<div class="list-group">\r\n					<h4 class="list-group-item-heading">List group item heading</h4>\r\n					<p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n				</div>\r\n\r\n				<div class="list-group">\r\n					<h4 class="list-group-item-heading">List group item heading</h4>\r\n					<p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n				</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<!-- //List Groups -->\r\n		<p> </p>\r\n		<!-- Panels -->\r\n		<h3 class="sub-title">Panels</h3>\r\n		<div class="row example-row example-misc">\r\n			<div class="col-lg-4">\r\n				<div class="panel panel-default">\r\n					<div class="panel-heading">Panel heading</div>\r\n					<div class="panel-body">Panel content</div>\r\n				</div>\r\n				<div class="panel panel-primary">\r\n					<div class="panel-heading">\r\n						<h3 class="panel-title">Panel primary</h3>\r\n					</div>\r\n					<div class="panel-body">Panel content</div>\r\n				</div>\r\n			</div>\r\n			<div class="col-lg-4">\r\n				<div class="panel panel-success">\r\n					<div class="panel-heading">\r\n						<h3 class="panel-title">Panel success</h3>\r\n					</div>\r\n					<div class="panel-body">Panel content</div>\r\n				</div>\r\n				<div class="panel panel-warning">\r\n					<div class="panel-heading">\r\n						<h3 class="panel-title">Panel warning</h3>\r\n					</div>\r\n					<div class="panel-body">Panel content</div>\r\n				</div>\r\n			</div>\r\n			<div class="col-lg-4">\r\n				<div class="panel panel-danger">\r\n					<div class="panel-heading">\r\n						<h3 class="panel-title">Panel danger</h3>\r\n					</div>\r\n					<div class="panel-body">Panel content</div>\r\n				</div>\r\n				<div class="panel panel-info">\r\n					<div class="panel-heading">\r\n						<h3 class="panel-title">Panel info</h3>\r\n					</div>\r\n					<div class="panel-body">Panel content</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<!-- //Panels -->\r\n		<p> </p>\r\n		<!-- Wells -->\r\n		<h3 class="sub-title">Wells</h3>\r\n		<div class="row example-row example-misc">\r\n			<div class="col-lg-4">\r\n				<div class="well well-sm">Look, I\'m in a small well!</div>\r\n			</div>\r\n			<div class="col-lg-4">\r\n				<div class="well">Look, I\'m in a well!</div>\r\n			</div>\r\n			<div class="col-lg-4">\r\n				<div class="well well-lg">Look, I\'m in a large well!</div>\r\n			</div>\r\n		</div>\r\n		<!-- //Wells -->', '', 1, 10, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(7, 99, 'Gym Exercises to Improve Your Posture', 'do-you-actually-need-weightlifting-shoes-2', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 12, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(8, 101, '25 minute full body HIIT workout', '25-minute-full-body-hiit-workout', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(9, 103, 'Can the Gym Really Help Me Sleep Better?', 'can-the-gym-really-help-me-sleep-better', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 11, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(10, 107, 'Using the Gym to Train for Your Mud Run Challenge', 'using-the-gym-to-train-for-your-mud-run-challenge', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 11, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(11, 109, 'Tempo training: What is it and how to apply it in your training', 'tempo-training-what-is-it-and-how-to-apply-it-in-your-training', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-9.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 5, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(12, 111, 'Training your way to your best 5k race', 'training-your-way-to-your-best-5k-race', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 12, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(13, 113, '5 functional exercises to master', '5-functional-exercises-to-master', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 12, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-10.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(14, 115, 'Tactics to Get the Most from the Gym in Just 40 minutes', 'tactics-to-get-the-most-from-the-gym-in-just-40-minutes', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', '\r\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 12, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-11.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(15, 117, 'How to use social media with your gym routine', 'how-to-use-social-media-with-your-gym-routine', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 12, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-11.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(16, 121, 'What to Eat After a Workout at the Gym', 'what-to-eat-after-a-workout-at-the-gym', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-15.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(17, 123, '10 Health and Fitness Tips for Busy People', '10-health-and-fitness-tips-for-busy-people', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-16.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-16.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(18, 125, 'The Secret To Eating Your Way To Good Health', 'the-secret-to-eating-your-way-to-good-health', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 8, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-17.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(19, 127, 'Gyms can help me quit smoking but also prevent disease', 'gym-can-help-me-quit-smoking', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 11, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-28.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-28.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(20, 129, 'Anti-aging gym, improve health and mental well-being', 'anti-aging-gym-improve-health-and-mental-well-being', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 11, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-18.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-18.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(21, 131, 'Gym exercises increase muscle strength and gain weight', 'gym-exercises-increase-muscle-strength-and-gain-weight', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 11, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-19.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-19.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(22, 133, 'Using the Gym help me body and improve your cardiovascular health', 'using-the-gym-help-me-body-and-improve-your-cardiovascular-health', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 11, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-21.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(23, 135, 'The Benefits of Strength and Weight Training', 'the-benefits-of-strength-and-weight-training', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 9, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(24, 137, 'Functional Exercises Everyone Can Do - Men\'s Trait', 'functional-exercises-everyone-can-do-men-s-trait', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 9, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-23.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-23.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(25, 139, 'Exercise can boost your memory and thinking skills', 'exercise-can-boost-your-memory-and-thinking-skills', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 9, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-29.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-29.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(26, 141, '15 Gym Promotion Ideas You Can Use Right Now', '15-gym-promotion-ideas-you-can-use-right-now', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 9, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-31.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-31.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(27, 143, '10 kickass fitness jobs besides personal training', '10-kickass-fitness-jobs-besides-personal-training', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 9, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-22.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-22.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(28, 145, '10 Exercises to Develop the Best Pecs in the Gym', '10-exercises-to-develop-the-best-pecs-in-the-gym', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>', 1, 12, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 0, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-30.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-30.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(29, 153, 'Legs bums & tums class', 'legs-bums-tums-class', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n<img src="images/joomlart/blog/category-1.jpg" alt=""/>\r\n<h3>What is Legs bums & tums class?</h3>\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n<h3>\r\n  What you need to know?\r\n</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n<h4># What to wear</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n<h4># Pro tips</h4>\r\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.</p>\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>\r\n<h4>#  Benefits of JA Fit</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p><br/>\r\n<p>\r\n  <a class="btn btn-primary" href="index.php?Itemid=102" title="Join with us now">Join with us now</a>\r\n</p>', 1, 13, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-30.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Cardio","duration":"30-60 minutes","fit-level":"All abilities welcome"}', 21, 4, '', '', 1, 57, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(30, 155, 'Body Building', 'body-building', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n<img src="images/joomlart/blog/category-1.jpg" alt=""/>\r\n<h3>What is Legs bums & tums class?</h3>\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n<h3>\r\n  What you need to know?\r\n</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n<h4># What to wear</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n<h4># Pro tips</h4>\r\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.</p>\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>\r\n<h4>#  Benefits of JA Fit</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p><br/>\r\n<p>\r\n  <a class="btn btn-primary" href="index.php?Itemid=102" title="Join with us now">Join with us now</a>\r\n</p>', 1, 13, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Cardio","duration":"30-60 minutes","fit-level":"All abilities welcome"}', 2, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(31, 157, 'Climbing', 'climbing', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n<img src="images/joomlart/blog/category-1.jpg" alt=""/>\r\n<h3>What is Legs bums & tums class?</h3>\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n<h3>\r\n  What you need to know?\r\n</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n<h4># What to wear</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n<h4># Pro tips</h4>\r\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.</p>\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>\r\n<h4>#  Benefits of JA Fit</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p><br/>\r\n<p>\r\n  <a class="btn btn-primary" href="index.php?Itemid=102" title="Join with us now">Join with us now</a>\r\n</p>', 1, 13, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Strength & Conditioning","duration":"30-60 minutes","fit-level":"All abilities welcome"}', 3, 2, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(32, 159, 'Body Pump', 'body-pump', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n<img src="images/joomlart/blog/category-1.jpg" alt=""/>\r\n<h3>What is Legs bums & tums class?</h3>\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n<h3>\r\n  What you need to know?\r\n</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n<h4># What to wear</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n<h4># Pro tips</h4>\r\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.</p>\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>\r\n<h4>#  Benefits of JA Fit</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p><br/>\r\n<p>\r\n  <a class="btn btn-primary" href="index.php?Itemid=102" title="Join with us now">Join with us now</a>\r\n</p>', 1, 13, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Strength","duration":"45-75 minutes","fit-level":"All abilities welcome"}', 5, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(33, 161, 'Advanced flow yoga', 'advanced-flow-yoga', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', '\r\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.</p>\r\n<img src="images/joomlart/blog/category-1.jpg" alt=""/>\r\n<h3>What is Legs bums & tums class?</h3>\r\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.</p>\r\n<h3>\r\n  What you need to know?\r\n</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.</p>\r\n<h4># What to wear</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p>\r\n<h4># Pro tips</h4>\r\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.</p>\r\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac</p>\r\n<h4>#  Benefits of JA Fit</h4>\r\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.</p>\r\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.</p><br/>\r\n<p>\r\n  <a class="btn btn-primary" href="index.php?Itemid=102" title="Join with us now">Join with us now</a>\r\n</p>', 1, 13, '2019-05-13 03:45:53', 42, '', '2019-05-13 03:45:53', 42, 0, '0000-00-00 00:00:00', '2019-05-13 03:45:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/item-21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Exclusive Signature","duration":"45-75 minutes","fit-level":"All abilities welcome"}', 2, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(3, 1),
(7, 2),
(9, 3),
(10, 4),
(12, 5),
(13, 6),
(15, 7);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `rating_sum` int(10) unsigned NOT NULL DEFAULT 0,
  `rating_count` int(10) unsigned NOT NULL DEFAULT 0,
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(400) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) DEFAULT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id", "note":"note"}, "special":{"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(3, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(4, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{}}', 'UsersHelperRoute::getUserRoute', ''),
(5, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(6, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(9, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(10, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(11, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(12, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(13, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT current_timestamp() COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB COMMENT='Maps items from content tables to tags' DEFAULT CHARSET=utf8;

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES
('com_content.article', 3, 1, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 3, 1, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 3, 1, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 2, 2, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 2, 2, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 2, 2, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 1, 3, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 1, 3, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 1, 3, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 4, 7, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 4, 7, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 4, 7, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 5, 8, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 5, 8, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 5, 8, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 6, 9, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 6, 9, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 6, 9, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 7, 10, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 7, 10, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 7, 10, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 8, 11, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 8, 11, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 8, 11, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 9, 12, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 9, 12, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 9, 12, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 10, 13, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 10, 13, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 10, 13, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 11, 14, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 11, 14, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 11, 14, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 12, 15, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 12, 15, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 12, 15, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 13, 16, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 13, 16, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 13, 16, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 14, 17, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 14, 17, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 14, 17, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 15, 18, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 15, 18, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 15, 18, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 16, 19, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 16, 19, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 16, 19, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 17, 20, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 17, 20, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 17, 20, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 18, 21, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 18, 21, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 18, 21, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 19, 22, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 19, 22, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 19, 22, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 20, 23, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 20, 23, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 20, 23, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 21, 24, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 21, 24, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 21, 24, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 22, 25, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 22, 25, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 22, 25, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 23, 26, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 23, 26, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 23, 26, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 24, 27, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 24, 27, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 24, 27, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 25, 28, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 25, 28, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 25, 28, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 26, 29, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 26, 29, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 26, 29, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 27, 30, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 27, 30, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 27, 30, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 28, 31, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 28, 31, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 28, 31, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 29, 32, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 29, 32, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 29, 32, 4, '2019-05-13 03:45:53', 1),
('com_content.article', 30, 33, 2, '2019-05-13 03:45:53', 1),
('com_content.article', 30, 33, 3, '2019-05-13 03:45:53', 1),
('com_content.article', 30, 33, 4, '2019-05-13 03:45:53', 1);

DROP TABLE IF EXISTS `#__dtinvoice_invoices`;
CREATE TABLE `#__dtinvoice_invoices` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 1,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `invoice_number` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `lastname` varchar(255) NOT NULL,
  `organisation` varchar(255) NOT NULL,
  `logo` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `amount` decimal(20,2) NOT NULL,
  `due_amount` decimal(20,2) NOT NULL,
  `contact_number` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `city_state` varchar(255) NOT NULL,
  `zip` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `date` date NOT NULL DEFAULT '0000-00-00',
  `note` varchar(255) NOT NULL,
  `status` int(5) NOT NULL DEFAULT 0,
  `eventId` int(11) NOT NULL,
  `eventTitle` text NOT NULL,
  `due_date` date NOT NULL DEFAULT '0000-00-00',
  `terms` varchar(255) NOT NULL,
  `dt_user_id` bigint(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `invoice_number` (`invoice_number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtinvoice_products`;
CREATE TABLE `#__dtinvoice_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `product_name` varchar(255) NOT NULL,
  `product_price` decimal(20,2) unsigned NOT NULL,
  `product_quantity` int(11) NOT NULL,
  `type` varchar(20) DEFAULT 'lineitem',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtinvoice_session`;
CREATE TABLE `#__dtinvoice_session` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `session_id` varchar(255) DEFAULT NULL,
  `data` longtext DEFAULT NULL,
  `invoice_id` bigint(11) NOT NULL,
  `processed` tinyint(1) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtinvoice_trans`;
CREATE TABLE `#__dtinvoice_trans` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(7) DEFAULT NULL,
  `transaction_id` varchar(50) DEFAULT NULL,
  `status` varchar(20) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT NULL,
  `currency` varchar(5) DEFAULT NULL,
  `received` datetime DEFAULT NULL,
  `payer_status` varchar(10) DEFAULT NULL,
  `gateway` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister`;
CREATE TABLE `#__dtregister` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) NOT NULL DEFAULT 0,
  `property` varchar(255) DEFAULT NULL,
  `value` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister` (`id`, `asset_id`, `property`, `value`) VALUES
(1, 0, 'migrate', '0'),
(2, 0, 'events', '');

DROP TABLE IF EXISTS `#__dtregister_acos`;
CREATE TABLE `#__dtregister_acos` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `controller` varchar(100) DEFAULT NULL,
  `task` varchar(100) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `type` varchar(50) DEFAULT 'action',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_acos` (`id`, `controller`, `task`, `alias`, `type`) VALUES
(1, 'entity', 'edit', 'DT_EDIT_OWN_ITEM', 'sessionUser'),
(2, 'event', 'add', 'DT_EVENT_CREATE', 'action'),
(3, 'event', 'publish', 'DT_PUBLISH_EVENT', 'action'),
(4, 'event', 'unpublish', 'DT_PUBLISH_EVENT', 'action'),
(5, 'event', 'edit', 'DT_EDIT_EVENT', 'action'),
(6, 'event', 'remove', 'DT_EDIT_EVENT', 'action'),
(7, 'category', 'add', 'DT_CREATE_CATEGORY', 'action'),
(8, 'category', 'edit', 'DT_EDIT_DELETE_CATEGORY', 'action'),
(9, 'category', 'delete', 'DT_EDIT_DELETE_CATEGORY', 'action'),
(10, 'field', 'add', 'DT_CREATE_FIELD', 'action'),
(11, 'field', 'edit', 'DT_EDIT_DELETE_FIELD', 'action'),
(12, 'field', 'delete', 'DT_EDIT_DELETE_FIELD', 'action'),
(13, 'discountcode', 'add', 'DT_CREATE_DISCOUNTCODE', 'action'),
(14, 'discountcode', 'edit', 'DT_EDIT_DELETE_DISCOUNTCODE', 'action'),
(15, 'discountcode', 'delete', 'DT_EDIT_DELETE_DISCOUNTCODE', 'action'),
(16, 'location', 'location', 'DT_LOCATION_MANAGE', 'sessionUser'),
(17, 'location', 'edit', 'DT_LOCATION_MANAGE', 'sessionUser'),
(18, 'location', 'add', 'DT_LOCATION_MANAGE', 'sessionUser'),
(19, 'location', 'delete', 'DT_LOCATION_MANAGE', 'sessionUser'),
(20, 'config', 'index', 'DT_CONFIG', 'action'),
(21, 'registrantemail', 'index', 'DT_EMAIL_REGISTRANT', 'action'),
(22, 'payoption', 'payments', 'DT_PAYOPTION_MANAGE', 'sessionUser'),
(23, 'payoption', 'edit', 'DT_PAYOPTION_MANAGE', 'sessionUser'),
(24, 'payoption', 'add', 'DT_PAYOPTION_MANAGE', 'sessionUser'),
(25, 'payoption', 'delete', 'DT_PAYOPTION_MANAGE', 'sessionUser'),
(26, 'export', 'eventlist', 'DT_CSV_EXPORT', 'action'),
(27, 'export', 'fieldlist', 'DT_CSV_EXPORT', 'action'),
(28, 'usermanage', 'display', 'DT_RECORD_MANAGE', 'sessionUser'),
(29, 'membermanage', 'index', 'DT_RECORD_MANAGE', 'sessionUser'),
(30, 'template', 'index', 'DT_TEMPLATE_MANAGE', 'sessionUser'),
(31, 'template', 'edit', 'DT_TEMPLATE_MANAGE', 'sessionUser'),
(32, 'template', 'add', 'DT_TEMPLATE_MANAGE', 'sessionUser'),
(33, 'template', 'delete', 'DT_TEMPLATE_MANAGE', 'sessionUser');

DROP TABLE IF EXISTS `#__dtregister_agendas`;
CREATE TABLE `#__dtregister_agendas` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `event_id` bigint(11) DEFAULT NULL,
  `start` time DEFAULT NULL,
  `end` time DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_agendas` (`id`, `event_id`, `start`, `end`, `title`, `description`) VALUES
(1, 1, '22:52:00', '22:52:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(2, 2, '15:28:00', '15:28:00', 'Aliquam lorem ante', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(3, 3, '12:00:00', '13:00:00', 'Aliquam lorem ante', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(4, 1, '12:13:00', '13:36:00', 'Aliquam lorem ante', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(5, 1, '14:36:00', '15:36:00', 'Curabitur ullamcorper ultricies nisi', 'Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.'),
(6, 4, '00:00:00', '15:12:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(7, 4, '15:12:00', '16:12:00', 'Aliquam lorem ante', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(8, 4, '16:12:00', '17:12:00', 'Curabitur ullamcorper ultricies nisi', 'Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.'),
(9, 3, '15:17:00', '16:17:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(10, 2, '15:29:00', '16:29:00', 'Aliquam lorem ante', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(11, 2, '16:30:00', '18:30:00', 'Curabitur ullamcorper ultricies nisi', 'Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.'),
(12, 5, '12:00:00', '13:00:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(13, 5, '22:12:00', '23:12:00', 'Aliquam lorem ante', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(14, 5, '00:00:00', '00:00:00', 'Curabitur ullamcorper ultricies nisi', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(15, 6, '02:11:00', '15:11:00', 'Integer tincidunt', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(16, 6, '15:11:00', '11:12:00', 'Aliquam lorem ante', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(17, 6, '15:33:00', '17:12:00', 'Curabitur ullamcorper ultricies nisi', 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.'),
(18, 7, '18:03:00', '02:03:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(19, 7, '16:04:00', '02:04:00', 'Aliquam lorem ante', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(20, 7, '19:04:00', '06:04:00', 'Curabitur ullamcorper ultricies nisi', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(21, 8, '14:11:00', '16:11:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(22, 8, '07:12:00', '16:12:00', 'Aliquam lorem ante', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(23, 8, '09:12:00', '20:12:00', 'Curabitur ullamcorper ultricies nisi', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(24, 9, '18:32:00', '06:32:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(25, 9, '16:33:00', '01:33:00', 'Aliquam lorem ante', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(26, 9, '16:50:00', '23:33:00', 'Curabitur ullamcorper ultricies nisi', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(27, 10, '18:40:00', '04:40:00', 'Integer tincidunt', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(28, 10, '18:41:00', '02:41:00', 'Aliquam lorem ante', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.'),
(29, 10, '23:41:00', '06:41:00', 'Curabitur ullamcorper ultricies nisi', 'Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.');

DROP TABLE IF EXISTS `#__dtregister_aros`;
CREATE TABLE `#__dtregister_aros` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `aro_id` int(7) DEFAULT 0,
  `type` varchar(100) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_aros` (`id`, `aro_id`, `type`, `alias`) VALUES
(1, 1, 'joomlaAro', 'Public'),
(2, 2, 'joomlaAro', 'Registered'),
(3, 3, 'joomlaAro', 'Author'),
(4, 4, 'joomlaAro', 'Editor'),
(5, 5, 'joomlaAro', 'Publisher'),
(6, 6, 'joomlaAro', 'Manager'),
(7, 7, 'joomlaAro', 'Administrator'),
(8, 8, 'joomlaAro', 'Super Users'),
(9, 12, 'joomlaAro', 'Customer Group'),
(10, 10, 'joomlaAro', 'Shop Suppliers');

DROP TABLE IF EXISTS `#__dtregister_billing`;
CREATE TABLE `#__dtregister_billing` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(11) DEFAULT NULL,
  `firstname` varchar(100) DEFAULT NULL,
  `lastname` varchar(100) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `zipcode` varchar(300) DEFAULT NULL,
  `phone` varchar(30) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `country` varchar(120) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_captcha`;
CREATE TABLE `#__dtregister_captcha` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_ip` varchar(50) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_captcha` (`id`, `user_ip`, `code`) VALUES
(1, '10.0.0.138', 'frhdp'),
(2, '10.0.0.155', 'yhdcj'),
(3, '10.0.0.102', 'm3prp'),
(4, '10.0.0.10', 'pfhk2'),
(5, '10.0.0.84', 'mss5f'),
(6, '10.0.0.130', 'hzn3j'),
(7, '10.0.0.69', 'p9wpg'),
(8, '10.0.0.101', 'xcvb8'),
(9, '10.0.1.224', 'fd7fd'),
(10, '::1', 'y2669');

DROP TABLE IF EXISTS `#__dtregister_cards`;
CREATE TABLE `#__dtregister_cards` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `status` tinyint(4) DEFAULT NULL,
  `x_card_num` text DEFAULT NULL,
  `firstname` varchar(100) DEFAULT NULL,
  `lastname` varchar(100) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `city` varchar(200) DEFAULT NULL,
  `state` varchar(200) DEFAULT NULL,
  `zipcode` varchar(10) DEFAULT NULL,
  `country` varchar(200) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `cardtype` varchar(50) DEFAULT NULL,
  `x_exp_date` varchar(50) DEFAULT NULL,
  `userId` bigint(11) DEFAULT NULL,
  `cvv` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_cards_archive`;
CREATE TABLE `#__dtregister_cards_archive` (
  `id` bigint(11) NOT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `x_card_num` text DEFAULT NULL,
  `firstname` varchar(100) DEFAULT NULL,
  `lastname` varchar(100) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `city` varchar(200) DEFAULT NULL,
  `state` varchar(200) DEFAULT NULL,
  `zipcode` varchar(10) DEFAULT NULL,
  `country` varchar(200) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `cardtype` varchar(50) DEFAULT NULL,
  `x_exp_date` varchar(50) DEFAULT NULL,
  `userId` bigint(11) DEFAULT NULL,
  `cvv` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_categories`;
CREATE TABLE `#__dtregister_categories` (
  `categoryId` int(11) NOT NULL AUTO_INCREMENT,
  `categoryName` varchar(100) NOT NULL DEFAULT '',
  `parent_id` int(11) DEFAULT 0,
  `color` varchar(20) DEFAULT NULL,
  `published` int(1) DEFAULT 0,
  `access` int(2) DEFAULT 0,
  `level` int(10) NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `alias` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`categoryId`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_categories` (`categoryId`, `categoryName`, `parent_id`, `color`, `published`, `access`, `level`, `lft`, `rgt`, `alias`, `path`) VALUES
(1, 'Root', 0, NULL, 1, 0, 0, 0, 11, 'root', ''),
(2, 'Classes', 1, '#8b08ae', 1, 1, 1, 1, 10, NULL, ''),
(3, 'Weight loss', 2, '#d60a6c', 1, 1, 2, 8, 9, NULL, ''),
(4, 'Performance', 2, '#3399ff', 1, 1, 2, 6, 7, NULL, ''),
(5, 'Bootcamp', 2, '#24b524', 1, 1, 2, 4, 5, NULL, ''),
(6, 'Yoga', 2, '#ff8833', 1, 1, 2, 2, 3, NULL, '');

DROP TABLE IF EXISTS `#__dtregister_codes`;
CREATE TABLE `#__dtregister_codes` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `start` datetime DEFAULT NULL,
  `end` datetime DEFAULT NULL,
  `publish` int(11) DEFAULT 0,
  `discount_type` int(3) DEFAULT 1,
  `amount` decimal(8,2) DEFAULT 0.00,
  `code` varchar(20) DEFAULT NULL,
  `limit` int(4) DEFAULT 0,
  `events_enable` int(2) DEFAULT 0,
  `code_useage_reg` int(2) DEFAULT 3,
  `discountcode_group_behave` int(2) DEFAULT 2,
  `max` int(11) DEFAULT 0,
  `min` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_config`;
CREATE TABLE `#__dtregister_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `config_key` varchar(50) DEFAULT NULL,
  `config_value` text DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=185 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_config` (`id`, `config_key`, `config_value`, `title`) VALUES
(1, 'cb_integrated', '3', 'cb_integrated'),
(2, 'cbviewonly', '0', 'cbviewonly'),
(3, 'tax_exemption', '0', 'tax_exemption'),
(4, 'default_group', '2', 'default_group'),
(5, 'save_payment_info', '1', 'save_payment_info'),
(6, 'private_event_notification', 'onscreen', 'private_event_notification'),
(7, 'paid_default_status', '1', 'paid_default_status'),
(8, 'partial_default_status', '0', 'partial_default_status'),
(9, 'paylater_default_status', '0', 'paylater_default_status'),
(10, 'disable_cart', '0', 'disable_cart'),
(11, 'maximum_cart_event', '', 'maximum_cart_event'),
(12, 'confirm_number_type', 'random', 'confirm_number_type'),
(13, 'confirm_number_prefix', 'DT-', 'confirm_number_prefix'),
(14, 'member_confirmnum', '0', 'member_confirmnum'),
(15, 'csv_separator', ',', 'csv_separator'),
(16, 'prevent_duplication', '0', 'prevent_duplication'),
(17, 'timecheck', '0', 'timecheck'),
(18, 'prerequisite_paid', '0', 'prerequisite_paid'),
(19, 'prerequisite_attend', '0', 'prerequisite_attend'),
(20, 'register_timeout', '60', 'register_timeout'),
(21, 'print_option', '1', 'print_option'),
(22, 'discount_code_use_per_event', 'per_event', 'discount_code_use_per_event'),
(23, 'google_api_key', 'AIzaSyBDDkyySN43EcuUALvx-VjQEATqekswbmI', 'google_api_key'),
(24, 'security_image_check', '1', 'security_image_check'),
(25, 'terms_conditions', '1', 'terms_conditions'),
(26, 'button_color', 'green', 'button_color'),
(27, 'date_format', 'M j, Y', 'date_format'),
(28, 'event_show_date', '1', 'event_show_date'),
(29, 'timezone_enable', '0', 'timezone_enable'),
(30, 'timezone', 'America/Indiana/Indianapolis', 'timezone'),
(31, 'form_field_style', '0', 'form_field_style'),
(32, 'show_fee_breakdown', '1', 'show_fee_breakdown'),
(33, 'hide_full_event', '0', 'hide_full_event'),
(34, 'sendEmailToGroup', '1', 'sendEmailToGroup'),
(35, 'group_size_warning', '10', 'group_size_warning'),
(36, 'discount_code_group_reg', 'group', 'discount_code_group_reg'),
(37, 'late_fee_group_reg', 'group', 'late_fee_group_reg'),
(38, 'member_discount_group_reg', 'group', 'member_discount_group_reg'),
(39, 'bird_discount_group_reg', 'group', 'bird_discount_group_reg'),
(40, 'partial_payment_group_reg', 'group', 'partial_payment_group_reg'),
(41, 'member_discount_type', '0', 'member_discount_type'),
(42, 'member_discount_amount', '', 'member_discount_amount'),
(43, 'member_discount_group', '1', 'member_discount_group'),
(44, 'month_filter_show', '1', 'month_filter_show'),
(45, 'event_filter_show', '1', 'event_filter_show'),
(46, 'event_location_show', '0', 'event_location_show'),
(47, 'event_search_show', '1', 'event_search_show'),
(48, 'showlocationfilter', '0', 'showlocationfilter'),
(49, 'locationdistanceunit', 'mile', 'locationdistanceunit'),
(50, 'event_title_link', 'dtevent', 'event_title_link'),
(51, 'event_detail_link', 'article', 'event_detail_link'),
(52, 'event_field_width', '200', 'event_field_width'),
(53, 'event_date_width', '', 'event_date_width'),
(54, 'show_event_image', '1', 'show_event_image'),
(55, 'event_date_show', '1', 'event_date_show'),
(56, 'price_column', '1', 'price_column'),
(57, 'show_price_tax', '0', 'show_price_tax'),
(58, 'capacity_column', '1', 'capacity_column'),
(59, 'displaytime', '2', 'displaytime'),
(60, 'registered_column', '0', 'registered_column'),
(61, 'spots_column', '1', 'spots_column'),
(62, 'showlocation', '0', 'showlocation'),
(63, 'embed_map', '1', 'embed_map'),
(64, 'linktogoogle', '1', 'linktogoogle'),
(65, 'location_img_w', '150', 'location_img_w'),
(66, 'location_img_h', '150', 'location_img_h'),
(67, 'show_past_event', '1', 'show_past_event'),
(68, 'show_registration_button', '1', 'show_registration_button'),
(69, 'front_link_type', '1', 'front_link_type'),
(70, 'eventListOrder', '1', 'eventListOrder'),
(71, 'eventListOrder_sec', '0', 'eventListOrder_sec'),
(72, 'event_list_number', '4', 'event_list_number'),
(73, 'event_thumb_width', '352', 'event_thumb_width'),
(74, 'event_thumb_height', '264', 'event_thumb_height'),
(75, 'event_image_link', 'zoom_image', 'event_image_link'),
(76, 'show_moderator', '0', 'show_moderator'),
(77, 'show_category', '1', 'show_category'),
(78, 'link_moderator_profile', '0', 'link_moderator_profile'),
(79, 'calendar_link', '1', 'calendar_link'),
(80, 'timeformat', '2', 'timeformat'),
(81, 'calendar_startDay', '1', 'calendar_startDay'),
(82, 'calendar_showCat', '1', 'calendar_showCat'),
(83, 'calendar_eventTitle_wrap', '1', 'calendar_eventTitle_wrap'),
(84, 'calendar_showTime', '1', 'calendar_showTime'),
(85, 'calendar_show_image_gridview', '0', 'calendar_show_image_gridview'),
(86, 'event_image_gridview_width', '60', 'event_image_gridview_width'),
(87, 'event_image_gridview_height', '60', 'event_image_gridview_height'),
(88, 'calendar_show_popup', '1', 'calendar_show_popup'),
(89, 'calendar_show_image', '1', 'calendar_show_image'),
(90, 'calendar_show_date', '1', 'calendar_show_date'),
(91, 'calendar_show_time', '1', 'calendar_show_time'),
(92, 'calendar_show_price', '1', 'calendar_show_price'),
(93, 'calendar_show_capacity', '1', 'calendar_show_capacity'),
(94, 'calendar_show_registered', '1', 'calendar_show_registered'),
(95, 'calendar_show_available_spots', '1', 'calendar_show_available_spots'),
(96, 'calendar_show_location', '1', 'calendar_show_location'),
(97, 'calendar_show_moderator', '1', 'calendar_show_moderator'),
(98, 'thanks_redirection', '1', 'thanks_redirection'),
(99, 'thanks_redirect_url', '', 'thanks_redirect_url'),
(100, 'thanksmsg', 'Thank you for registering for [EVENT_NAME] on [EVENT_DATE]! Your registration is being processed and you will be sent any information that you need for the event. You will also be receiving an email receipt of your registration.', 'thanksmsg'),
(101, 'pay_later_redirection', '1', 'pay_later_redirection'),
(102, 'pay_later_redirect_url', '', 'pay_later_redirect_url'),
(103, 'pay_later_thk_msg', 'Thank you for registering for [EVENT_NAME] on [EVENT_DATE]! Your registration is being processed and you will be sent any information that you need for the event. You will also be receiving an email receipt of your registration.', 'pay_later_thk_msg'),
(104, 'full_message', 'This event is currently full and we are not allowing for any more registrations at this time.  We do apologize for this, but would like to offer you to be added to our Waiting List.  Fill out the following form, then if someone cancels their registration, you will be notified and given the opportunity to become an official registrant.', 'full_message'),
(105, 'cut_off_date_message', 'We are no longer accepting registrations for this event. Thank you.', 'cut_off_date_message'),
(106, 'waiting_msg', 'You have been added to the Waiting List for this event.  You will be notified if space becomes available. Thank you.', 'waiting_msg'),
(107, 'terms_conditions_msg', 'Place your terms and conditions message here.', 'terms_conditions_msg'),
(108, 'private_event_msg', 'This event requires that you be a logged in member of this website. Please register a user account to gain access to our private events.', 'private_event_msg'),
(109, 'prerequisite_event_msg', '<p>Before you can register for this event, you must have already registered for the following event(s): <br />[PREREQ_EVENTS]</p>', 'prerequisite_event_msg'),
(110, 'overlap_event_msg', '<p>You can not register for this event because you are already registered for another event at this same time.</p>', 'overlap_event_msg'),
(111, 'DT_fromname', '', 'DT_fromname'),
(112, 'admin_email_from_user', '0', 'admin_email_from_user'),
(113, 'DT_mailfrom', '', 'DT_mailfrom'),
(114, 'frontendEventNotification', '', 'frontendEventNotification'),
(115, 'thanksemail', '<p>[TITLE] [FIRSTNAME] [LASTNAME],</p>\r\n		<p>You have registered for [EVENT_NAME] on [EVENT_DATE] which will be held at [LOCATION]. Location details are:</p>\r\n		<p>[LOCATION_DETAILS]</p>\r\n		<p>Your info is:</p>\r\n		<p>[ADDRESS]<br />[ADDRESS2]<br />[CITY], [STATE] [ZIP]<br />[COUNTRY]<br />[ORGANIZATION]<br />Phone: [PHONE]<br /> Email: [EMAIL]<br /></p>\r\n		<p>There are [GROUP_NUMBER] people in your group:</p>\r\n		<p>{GROUP_MEMBER}<br /> [TITLE] [FIRSTNAME] [LASTNAME]<br /> [ADDRESS]<br /> [ADDRESS2]<br /> [CITY], [STATE] [ZIP]<br /> [COUNTRY]<br /> Phone: [PHONE]<br /> Email: [EMAIL]<br /> {/GROUP_MEMBER}</p>\r\n		<p>Your registration price total is [AMOUNT]. You have paid [AMOUNT_PAID], which leaves an amount due of [AMOUNT_DUE]. You paid via [PAYMENT_TYPE].</p>\r\n		<br />\r\n		<p>Your selected login info is:</p>\r\n		<p>Username: [USERNAME]<br />Password: [PASSWORD]</p>\r\n		<p>You registered on [DATE_REGISTERED] and your status is [STATUS] with a payment status of [PAID_STATUS].<br />Confirmation #: [CONFIRM_NUM]</p>\r\n		<p>Thanks again for registering!</p>\r\n		<p>Sincerely,</p>\r\n		<p>Registration Team</p>', 'thanksemail'),
(116, 'subthanksemail', 'You have registered for [EVENT_NAME]!', 'subthanksemail'),
(117, 'waitingemail', '<p>[TITLE] [FIRSTNAME] [LASTNAME],</p>\r\n		<p>You have joined the Waiting List for [EVENT_NAME] on [EVENT_DATE] which is held at [LOCATION]. Location details are:</p>\r\n		<p>[LOCATION_DETAILS]</p>\r\n		<p>Your info is:</p>\r\n		<p>[ADDRESS]<br />[ADDRESS2]<br />[CITY], [STATE] [ZIP]<br />[COUNTRY]<br />[ORGANIZATION]<br />Phone: [PHONE]<br /> Email: [EMAIL]</p>\r\n		<p>[ALL_FIELDIRECTORY_SEPARATOR]</p>\r\n		<p>There are [GROUP_NUMBER] people in your group:</p>\r\n		<p>{GROUP_MEMBER}<br /> [TITLE] [FIRSTNAME] [LASTNAME]<br /> [ADDRESS]<br /> [ADDRESS2]<br /> [CITY], [STATE] [ZIP]<br /> [COUNTRY]<br /> Phone: [PHONE]<br /> Email: [EMAIL]<br />[ALL_FIELDIRECTORY_SEPARATOR]<br /> {/GROUP_MEMBER}</p>\r\n		<p>Your registration price total is  [AMOUNT] and will be required if space becomes available for you.</p>\r\n		<p>You signed up on the waiting list on [DATE_REGISTERED] and your status is [STATUS].<br />Confirmation #: [CONFIRM_NUM]</p>\r\n		<p>Thanks again for registering!</p>\r\n		<p>Sincerely,</p>\r\n		<p>Registration Team</p>', 'waitingemail'),
(118, 'subwaitingemail', 'You are on the Waiting List for [EVENT_NAME]', 'subwaitingemail'),
(119, 'admin_registrationemail', '<p>A new registration has come in for [EVENT_NAME] on [EVENT_DATE] at [EVENT_TIME]. The registrant is:</p>\r\n		<p>Name: [FIRSTNAME] [LASTNAME]<br />Address: [ADDRESS]<br />Address2: [ADDRESS2]<br />City: [CITY]<br />State: [STATE] <br />Zip: [ZIP]<br />Country: [COUNTRY]<br />Organization: [ORGANIZATION]<br />Phone: [PHONE]<br /> Email: [EMAIL]</p>\r\n		<p>[ALL_FIELDIRECTORY_SEPARATOR]</p>\r\n		<p>Number of Members: [GROUP_NUMBER]</p>\r\n		<p>{GROUP_MEMBER}<br /> [TITLE] [FIRSTNAME] [LASTNAME]<br /> [ADDRESS]<br /> [ADDRESS2]<br /> [CITY], [STATE] [ZIP]<br /> [COUNTRY]<br /> Phone: [PHONE]<br /> Email: [EMAIL]<br />[ALL_FIELDIRECTORY_SEPARATOR]<br />{/GROUP_MEMBER}</p>\r\n		<p>Registration Amount: [AMOUNT]<br />Amount Paid: [AMOUNT_PAID]<br />Payment Method: [PAYMENT_TYPE]</p>\r\n		<p>Status: [STATUS]<br />Username created: [USERNAME]</p>\r\n		<p>Confirmation Number: [CONFIRM_NUM]<br />Transaction ID: [TRANS_ID]</p>\r\n		<p>[BARCODE]</p>', 'admin_registrationemail'),
(120, 'subject_admin_registrationemail', 'New [EVENT_NAME] Registration', 'subject_admin_registrationemail'),
(121, 'status_change_msg_send', '0', 'status_change_msg_send'),
(122, 'status_change_msg', 'The status of your registration of [EVENT_NAME] has been updated to [STATUS].', 'status_change_msg'),
(123, 'subchangestatusemail', 'Status changed for [EVENT_NAME]', 'subchangestatusemail'),
(124, 'paid_status_change_msg_send', '0', 'paid_status_change_msg_send'),
(125, 'paid_status_change_msg', 'The payment status of your registration of [EVENT_NAME] has been updated to [PAID_STATUS].', 'paid_status_change_msg'),
(126, 'subpaidstatusemail', 'Payment Status changed for [EVENT_NAME]', 'subpaidstatusemail'),
(127, 'registrant_message', '<p>Below are the users that have already registered for this event.</p>', 'registrant_message'),
(128, 'registrant_username', '0', 'registrant_username'),
(129, 'registrant_registered_date', '1', 'registrant_registered_date'),
(130, 'registrant_list', '1', 'registrant_list'),
(131, 'registrant_show_avatar', '0', 'registrant_show_avatar'),
(132, 'registrant_avatar_height', '86', 'registrant_avatar_height'),
(133, 'registrant_avatar_width', '60', 'registrant_avatar_width'),
(134, 'registrant_cb_linked', '0', 'registrant_cb_linked'),
(135, 'show_group_members', '0', 'show_group_members'),
(136, 'show_status', '0', 'show_status'),
(137, 'show_paid_status', '0', 'show_paid_status'),
(138, 'userpanelmessage', 'This is a message at the top of the user control panel.', 'userpanelmessage'),
(139, 'upanel_search_show', '1', 'upanel_search_show'),
(140, 'upanel_paid_status_show', '1', 'upanel_paid_status_show'),
(141, 'upanel_edit_show', '1', 'upanel_edit_show'),
(142, 'upanel_amount_show', '1', 'upanel_amount_show'),
(143, 'upanel_due_show', '1', 'upanel_due_show'),
(144, 'upanel_pay_show', '1', 'upanel_pay_show'),
(145, 'upanel_cancel_show', '1', 'upanel_cancel_show'),
(146, 'upanel_status_show', '1', 'upanel_status_show'),
(147, 'upanel_firstname_show', '0', 'upanel_firstname_show'),
(148, 'upanel_lastname_show', '0', 'upanel_lastname_show'),
(149, 'email_cancel_confirm', '', 'email_cancel_confirm'),
(150, 'upsubcancelemail', 'Cancelled Registration for [EVENT_NAME]', 'upsubcancelemail'),
(151, 'email_change_confirm', '', 'email_change_confirm'),
(152, 'upsubchangeemail', 'Changed Registration for [EVENT_NAME]', 'upsubchangeemail'),
(153, 'payment_confirm', '', 'payment_confirm'),
(154, 'upsubpaymentemail', 'Payment Made for [EVENT_NAME]', 'upsubpaymentemail'),
(155, 'map_joomla_fields', '{"name":{"firstname":"","lastname":""},"email":""}', 'map_joomla_fields'),
(156, 'barcode_enable', '1', 'barcode_enable'),
(157, 'barcode_type', 'code39', 'barcode_type'),
(158, 'barcode_image_type', 'png', 'barcode_image_type'),
(159, 'barcodeDpi', '72', 'barcodeDpi'),
(160, 'barcodeThick', '30', 'barcodeThick'),
(161, 'barcode_resolution', '1', 'barcode_resolution'),
(162, 'barcode_rotation', '0', 'barcode_rotation'),
(163, 'barcode_font_size', '12', 'barcode_font_size'),
(164, 'frontmgmt_email_show', '0', 'frontmgmt_email_show'),
(165, 'frontmgmt_amount_show', '1', 'frontmgmt_amount_show'),
(166, 'frontmgmt_due_show', '0', 'frontmgmt_due_show'),
(167, 'frontmgmt_regdate_show', '1', 'frontmgmt_regdate_show'),
(168, 'frontmgmt_confnum_show', '1', 'frontmgmt_confnum_show'),
(169, 'frontmgmt_paytype_show', '0', 'frontmgmt_paytype_show'),
(170, 'frontmgmt_paystatus_show', '1', 'frontmgmt_paystatus_show'),
(171, 'frontmgmt_attend_show', '0', 'frontmgmt_attend_show'),
(172, 'frontmgmt_status_show', '0', 'frontmgmt_status_show'),
(173, 'frontmgmt_eventid_show', '1', 'frontmgmt_eventid_show'),
(174, 'frontmgmt_category_show', '1', 'frontmgmt_category_show'),
(175, 'frontmgmt_time_show', '0', 'frontmgmt_time_show'),
(176, 'frontmgmt_feeorder_show', '1', 'frontmgmt_feeorder_show'),
(177, 'frontmgmt_regnumber_show', '1', 'frontmgmt_regnumber_show'),
(178, 'frontmgmt_available_show', '0', 'frontmgmt_available_show'),
(179, 'frontmgmt_codelimit_show', '0', 'frontmgmt_codelimit_show'),
(180, 'frontmgmt_codeused_show', '0', 'frontmgmt_codeused_show'),
(181, 'eventdetail', '{"id":"new","event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}', 'eventdetail'),
(182, 'templates', '{"template":"default"}', 'templates'),
(183, 'profile_show', '{"2":"1","12":"1","4":"1","6":"1","7":"1","8":"1","10":"1","11":"1","19":"1"}', 'profile_show'),
(184, 'profile_required', '{"1":"0","2":"1","3":"0","14":"0","12":"0","4":"1","5":"0","6":"1","7":"1","8":"1","9":"0","10":"0","11":"0","15":"0","21":"0","22":"0","23":"0","16":"0","17":"0","18":"0","19":"0","20":"0","24":"0"}', 'profile_required');

DROP TABLE IF EXISTS `#__dtregister_event_categories`;
CREATE TABLE `#__dtregister_event_categories` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `event_id` int(7) NOT NULL,
  `category_id` int(7) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=99 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_event_categories` (`id`, `event_id`, `category_id`) VALUES
(72, 4, 6),
(74, 3, 4),
(77, 2, 5),
(81, 5, 6),
(82, 1, 3),
(94, 9, 4),
(95, 8, 5),
(96, 7, 6),
(97, 10, 6),
(98, 6, 4);

DROP TABLE IF EXISTS `#__dtregister_event_categories_archive`;
CREATE TABLE `#__dtregister_event_categories_archive` (
  `id` int(7) NOT NULL DEFAULT 0,
  `event_id` int(7) NOT NULL,
  `category_id` int(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_event_config`;
CREATE TABLE `#__dtregister_event_config` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `eventId` bigint(20) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_event_detail`;
CREATE TABLE `#__dtregister_event_detail` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `slabId` int(7) DEFAULT 0,
  `member` int(4) DEFAULT 1,
  `type` varchar(20) DEFAULT 'per_person',
  `amount` decimal(10,2) DEFAULT 0.00,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=193 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_event_detail` (`id`, `slabId`, `member`, `type`, `amount`) VALUES
(139, 4, 1, 'per_person', '240.00'),
(140, 4, 0, 'flat', '0.00'),
(143, 3, 1, 'per_person', '145.00'),
(144, 3, 0, 'flat', '0.00'),
(149, 2, 1, 'per_person', '100.00'),
(150, 2, 0, 'flat', '0.00'),
(157, 5, 1, 'per_person', '342.00'),
(158, 5, 0, 'flat', '0.00'),
(159, 1, 1, 'per_person', '120.00'),
(160, 1, 0, 'flat', '0.00'),
(183, 9, 1, 'per_person', '352.00'),
(184, 9, 0, 'flat', '0.00'),
(185, 8, 1, 'per_person', '252.00'),
(186, 8, 0, 'flat', '0.00'),
(187, 7, 1, 'per_person', '382.00'),
(188, 7, 0, 'flat', '0.00'),
(189, 10, 1, 'per_person', '366.00'),
(190, 10, 0, 'flat', '0.00'),
(191, 6, 1, 'per_person', '256.00'),
(192, 6, 0, 'flat', '0.00');

DROP TABLE IF EXISTS `#__dtregister_event_detail_archive`;
CREATE TABLE `#__dtregister_event_detail_archive` (
  `id` int(7) DEFAULT NULL,
  `slabId` int(7) DEFAULT 0,
  `member` int(4) DEFAULT 1,
  `type` varchar(20) DEFAULT 'per_person',
  `amount` decimal(10,2) DEFAULT 0.00
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_event_moderator`;
CREATE TABLE `#__dtregister_event_moderator` (
  `id` bigint(7) NOT NULL AUTO_INCREMENT,
  `eventId` bigint(7) DEFAULT NULL,
  `user_id` bigint(7) DEFAULT NULL,
  `ordering` int(2) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_event_moderator` (`id`, `eventId`, `user_id`, `ordering`) VALUES
(59, 4, 42, 1),
(60, 3, 0, 1),
(63, 2, 42, 1),
(66, 1, 42, 1);

DROP TABLE IF EXISTS `#__dtregister_event_moderator_archive`;
CREATE TABLE `#__dtregister_event_moderator_archive` (
  `id` bigint(7) DEFAULT NULL,
  `eventId` bigint(7) DEFAULT NULL,
  `user_id` bigint(7) DEFAULT NULL,
  `ordering` int(2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_event_params`;
CREATE TABLE `#__dtregister_event_params` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `event_id` bigint(11) DEFAULT NULL,
  `params` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_event_params` (`id`, `event_id`, `params`) VALUES
(1, 1, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(2, 3, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(3, 2, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(4, 4, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(5, 5, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(6, 6, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(7, 7, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(8, 8, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(9, 9, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}'),
(10, 10, '{"event_name":"1","event_datetime":"1","event_individual_price":"1","total_registered":"1","spots":"1","event_start":"1","event_cutoff":"1","event_category":"1","event_address":"1","event_moderators":"1","agenda":"1","sponsor":"1","speaker":"1","map":"1"}');

DROP TABLE IF EXISTS `#__dtregister_events_codes`;
CREATE TABLE `#__dtregister_events_codes` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `event_id` bigint(11) DEFAULT NULL,
  `discount_code_id` bigint(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_events_codes_archive`;
CREATE TABLE `#__dtregister_events_codes_archive` (
  `id` bigint(11) DEFAULT NULL,
  `event_id` bigint(11) DEFAULT NULL,
  `discount_code_id` bigint(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_export_settings`;
CREATE TABLE `#__dtregister_export_settings` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `group_export_fields` text NOT NULL,
  `individual_export_fields` text NOT NULL,
  `general_export_fields` text NOT NULL,
  `events` text DEFAULT NULL,
  `group_reg` int(2) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_fee`;
CREATE TABLE `#__dtregister_fee` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT 0,
  `basefee` varchar(12) DEFAULT NULL,
  `memberdiscount` varchar(12) DEFAULT NULL,
  `latefee` varchar(12) DEFAULT NULL,
  `birddiscount` varchar(12) DEFAULT NULL,
  `discountcodefee` varchar(12) DEFAULT NULL,
  `customfee` varchar(12) DEFAULT NULL,
  `tax` varchar(12) DEFAULT NULL,
  `fee` varchar(12) DEFAULT NULL,
  `paid_amount` varchar(12) DEFAULT NULL,
  `status` varchar(12) DEFAULT '0',
  `due` varchar(20) DEFAULT '0',
  `payment_method` varchar(100) DEFAULT NULL,
  `feedate` datetime DEFAULT NULL,
  `changefee` varchar(12) DEFAULT '0',
  `cancelfee` varchar(12) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_fee_archive`;
CREATE TABLE `#__dtregister_fee_archive` (
  `id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT 0,
  `basefee` varchar(12) DEFAULT NULL,
  `memberdiscount` varchar(12) DEFAULT NULL,
  `latefee` varchar(12) DEFAULT NULL,
  `birddiscount` varchar(12) DEFAULT NULL,
  `discountcodefee` varchar(12) DEFAULT NULL,
  `customfee` varchar(12) DEFAULT NULL,
  `tax` varchar(12) DEFAULT NULL,
  `fee` varchar(12) DEFAULT NULL,
  `paid_amount` varchar(12) DEFAULT NULL,
  `status` varchar(12) DEFAULT '0',
  `due` varchar(20) DEFAULT '0',
  `payment_method` varchar(20) DEFAULT NULL,
  `feedate` datetime DEFAULT NULL,
  `changefee` varchar(12) DEFAULT '0',
  `cancelfee` varchar(12) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_feeorder`;
CREATE TABLE `#__dtregister_feeorder` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventId` int(11) DEFAULT 0,
  `type` varchar(255) DEFAULT NULL,
  `reference_id` int(11) DEFAULT 0,
  `title` varchar(255) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=78 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_feeorder` (`id`, `eventId`, `type`, `reference_id`, `title`, `ordering`) VALUES
(1, 1, 'basefee', 0, 'Base Event Fees', 1),
(2, 1, 'latefee', 0, 'Late Fee', 2),
(3, 1, 'birddiscount', 0, 'Early Bird Discount', 3),
(4, 1, 'memberdiscount', 0, 'Member Discount', 4),
(5, 1, 'tax', 0, 'Tax Amount', 5),
(6, 1, 'changefee', 0, 'Change Fee Amount', 6),
(7, 1, 'cancelfee', 0, 'Cancellation Fee Amount', 7),
(8, 2, 'basefee', 0, 'Base Event Fees', 1),
(9, 2, 'latefee', 0, 'Late Fee', 2),
(10, 2, 'birddiscount', 0, 'Early Bird Discount', 3),
(11, 2, 'memberdiscount', 0, 'Member Discount', 4),
(12, 2, 'tax', 0, 'Tax Amount', 5),
(13, 2, 'changefee', 0, 'Change Fee Amount', 6),
(14, 2, 'cancelfee', 0, 'Cancellation Fee Amount', 7),
(15, 3, 'basefee', 0, 'Base Event Fees', 1),
(16, 3, 'latefee', 0, 'Late Fee', 2),
(17, 3, 'birddiscount', 0, 'Early Bird Discount', 3),
(18, 3, 'memberdiscount', 0, 'Member Discount', 4),
(19, 3, 'tax', 0, 'Tax Amount', 5),
(20, 3, 'changefee', 0, 'Change Fee Amount', 6),
(21, 3, 'cancelfee', 0, 'Cancellation Fee Amount', 7),
(29, 4, 'basefee', 0, 'Base Event Fees', 1),
(30, 4, 'latefee', 0, 'Late Fee', 2),
(31, 4, 'birddiscount', 0, 'Early Bird Discount', 3),
(32, 4, 'memberdiscount', 0, 'Member Discount', 4),
(33, 4, 'tax', 0, 'Tax Amount', 5),
(34, 4, 'changefee', 0, 'Change Fee Amount', 6),
(35, 4, 'cancelfee', 0, 'Cancellation Fee Amount', 7),
(36, 5, 'basefee', 0, 'Base Event Fees', 1),
(37, 5, 'latefee', 0, 'Late Fee', 2),
(38, 5, 'birddiscount', 0, 'Early Bird Discount', 3),
(39, 5, 'memberdiscount', 0, 'Member Discount', 4),
(40, 5, 'tax', 0, 'Tax Amount', 5),
(41, 5, 'changefee', 0, 'Change Fee Amount', 6),
(42, 5, 'cancelfee', 0, 'Cancellation Fee Amount', 7),
(43, 6, 'basefee', 0, 'DT_BASE_FEE', 1),
(44, 6, 'latefee', 0, 'DT_LATE_FEE', 2),
(45, 6, 'birddiscount', 0, 'DT_BIRD_DISCOUNT', 3),
(46, 6, 'memberdiscount', 0, 'DT_MEMBER_DISCOUNT', 4),
(47, 6, 'tax', 0, 'DT_TAX_AMOUNT', 5),
(48, 6, 'changefee', 0, 'DT_CHANGE_FEE', 6),
(49, 6, 'cancelfee', 0, 'DT_CANCEL_FEE', 7),
(50, 7, 'basefee', 0, 'DT_BASE_FEE', 1),
(51, 7, 'latefee', 0, 'DT_LATE_FEE', 2),
(52, 7, 'birddiscount', 0, 'DT_BIRD_DISCOUNT', 3),
(53, 7, 'memberdiscount', 0, 'DT_MEMBER_DISCOUNT', 4),
(54, 7, 'tax', 0, 'DT_TAX_AMOUNT', 5),
(55, 7, 'changefee', 0, 'DT_CHANGE_FEE', 6),
(56, 7, 'cancelfee', 0, 'DT_CANCEL_FEE', 7),
(57, 8, 'basefee', 0, 'DT_BASE_FEE', 1),
(58, 8, 'latefee', 0, 'DT_LATE_FEE', 2),
(59, 8, 'birddiscount', 0, 'DT_BIRD_DISCOUNT', 3),
(60, 8, 'memberdiscount', 0, 'DT_MEMBER_DISCOUNT', 4),
(61, 8, 'tax', 0, 'DT_TAX_AMOUNT', 5),
(62, 8, 'changefee', 0, 'DT_CHANGE_FEE', 6),
(63, 8, 'cancelfee', 0, 'DT_CANCEL_FEE', 7),
(64, 9, 'basefee', 0, 'DT_BASE_FEE', 1),
(65, 9, 'latefee', 0, 'DT_LATE_FEE', 2),
(66, 9, 'birddiscount', 0, 'DT_BIRD_DISCOUNT', 3),
(67, 9, 'memberdiscount', 0, 'DT_MEMBER_DISCOUNT', 4),
(68, 9, 'tax', 0, 'DT_TAX_AMOUNT', 5),
(69, 9, 'changefee', 0, 'DT_CHANGE_FEE', 6),
(70, 9, 'cancelfee', 0, 'DT_CANCEL_FEE', 7),
(71, 10, 'basefee', 0, 'DT_BASE_FEE', 1),
(72, 10, 'latefee', 0, 'DT_LATE_FEE', 2),
(73, 10, 'birddiscount', 0, 'DT_BIRD_DISCOUNT', 3),
(74, 10, 'memberdiscount', 0, 'DT_MEMBER_DISCOUNT', 4),
(75, 10, 'tax', 0, 'DT_TAX_AMOUNT', 5),
(76, 10, 'changefee', 0, 'DT_CHANGE_FEE', 6),
(77, 10, 'cancelfee', 0, 'DT_CANCEL_FEE', 7);

DROP TABLE IF EXISTS `#__dtregister_feeorder_archive`;
CREATE TABLE `#__dtregister_feeorder_archive` (
  `id` int(11) NOT NULL,
  `eventId` int(11) DEFAULT 0,
  `type` varchar(255) DEFAULT NULL,
  `reference_id` int(11) DEFAULT 0,
  `title` varchar(255) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_field_event`;
CREATE TABLE `#__dtregister_field_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) DEFAULT NULL,
  `event_id` int(11) DEFAULT NULL,
  `showed` tinyint(3) DEFAULT NULL,
  `group_behave` mediumint(11) NOT NULL DEFAULT 1,
  `required` tinyint(1) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1153 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_field_event` (`id`, `field_id`, `event_id`, `showed`, `group_behave`, `required`) VALUES
(829, 1, 4, 0, 1, 0),
(830, 2, 4, -1, 3, 1),
(831, 3, 4, -1, 3, 1),
(832, 12, 4, 0, 1, 0),
(833, 4, 4, 0, 1, 0),
(834, 5, 4, 0, 1, 0),
(835, 6, 4, -1, 3, 1),
(836, 7, 4, -1, 3, 0),
(837, 8, 4, -1, 1, 0),
(838, 9, 4, 0, 1, 0),
(839, 10, 4, -1, 3, 1),
(840, 11, 4, -1, 3, 0),
(853, 1, 3, 0, 1, 0),
(854, 2, 3, -1, 3, 1),
(855, 3, 3, -1, 3, 1),
(856, 12, 3, 0, 1, 0),
(857, 4, 3, 0, 1, 0),
(858, 5, 3, 0, 1, 0),
(859, 6, 3, -1, 3, 1),
(860, 7, 3, -1, 3, 0),
(861, 8, 3, -1, 1, 0),
(862, 9, 3, 0, 1, 0),
(863, 10, 3, -1, 3, 1),
(864, 11, 3, -1, 3, 0),
(889, 1, 2, 0, 1, 0),
(890, 2, 2, -1, 3, 1),
(891, 3, 2, -1, 3, 1),
(892, 12, 2, 0, 1, 0),
(893, 4, 2, 0, 1, 0),
(894, 5, 2, 0, 1, 0),
(895, 6, 2, -1, 3, 1),
(896, 7, 2, -1, 3, 0),
(897, 8, 2, -1, 1, 0),
(898, 9, 2, 0, 1, 0),
(899, 10, 2, -1, 3, 1),
(900, 11, 2, -1, 3, 0),
(937, 1, 5, 0, 1, 0),
(938, 2, 5, -1, 3, 1),
(939, 3, 5, -1, 3, 1),
(940, 12, 5, 0, 1, 0),
(941, 4, 5, 0, 1, 0),
(942, 5, 5, 0, 1, 0),
(943, 6, 5, -1, 3, 1),
(944, 7, 5, -1, 3, 0),
(945, 8, 5, -1, 1, 0),
(946, 9, 5, 0, 1, 0),
(947, 10, 5, -1, 3, 1),
(948, 11, 5, -1, 3, 0),
(949, 1, 1, 0, 1, 0),
(950, 2, 1, -1, 3, 1),
(951, 3, 1, -1, 3, 1),
(952, 12, 1, 0, 1, 0),
(953, 4, 1, 0, 1, 0),
(954, 5, 1, 0, 1, 0),
(955, 6, 1, -1, 3, 1),
(956, 7, 1, -1, 3, 0),
(957, 8, 1, -1, 1, 0),
(958, 9, 1, 0, 1, 0),
(959, 10, 1, -1, 3, 1),
(960, 11, 1, -1, 3, 0),
(1093, 1, 9, 0, 1, 0),
(1094, 2, 9, -1, 3, 1),
(1095, 3, 9, -1, 3, 1),
(1096, 12, 9, 0, 1, 0),
(1097, 4, 9, 0, 1, 0),
(1098, 5, 9, 0, 1, 0),
(1099, 6, 9, -1, 3, 1),
(1100, 7, 9, -1, 3, 0),
(1101, 8, 9, -1, 1, 0),
(1102, 9, 9, 0, 1, 0),
(1103, 10, 9, -1, 3, 1),
(1104, 11, 9, -1, 3, 0),
(1105, 1, 8, 0, 1, 0),
(1106, 2, 8, -1, 3, 1),
(1107, 3, 8, -1, 3, 1),
(1108, 12, 8, 0, 1, 0),
(1109, 4, 8, 0, 1, 0),
(1110, 5, 8, 0, 1, 0),
(1111, 6, 8, -1, 3, 1),
(1112, 7, 8, -1, 3, 0),
(1113, 8, 8, -1, 1, 0),
(1114, 9, 8, 0, 1, 0),
(1115, 10, 8, -1, 3, 1),
(1116, 11, 8, -1, 3, 0),
(1117, 1, 7, 0, 1, 0),
(1118, 2, 7, -1, 3, 1),
(1119, 3, 7, -1, 3, 1),
(1120, 12, 7, 0, 1, 0),
(1121, 4, 7, 0, 1, 0),
(1122, 5, 7, 0, 1, 0),
(1123, 6, 7, -1, 3, 1),
(1124, 7, 7, -1, 3, 0),
(1125, 8, 7, -1, 1, 0),
(1126, 9, 7, 0, 1, 0),
(1127, 10, 7, -1, 3, 1),
(1128, 11, 7, -1, 3, 0),
(1129, 1, 10, 0, 1, 0),
(1130, 2, 10, -1, 3, 1),
(1131, 3, 10, -1, 3, 1),
(1132, 12, 10, 0, 1, 0),
(1133, 4, 10, 0, 1, 0),
(1134, 5, 10, 0, 1, 0),
(1135, 6, 10, -1, 3, 1),
(1136, 7, 10, -1, 3, 0),
(1137, 8, 10, -1, 1, 0),
(1138, 9, 10, 0, 1, 0),
(1139, 10, 10, -1, 3, 1),
(1140, 11, 10, -1, 3, 0),
(1141, 1, 6, 0, 1, 0),
(1142, 2, 6, -1, 3, 1),
(1143, 3, 6, -1, 3, 1),
(1144, 12, 6, 0, 1, 0),
(1145, 4, 6, 0, 1, 0),
(1146, 5, 6, 0, 1, 0),
(1147, 6, 6, -1, 3, 1),
(1148, 7, 6, -1, 3, 0),
(1149, 8, 6, -1, 1, 0),
(1150, 9, 6, 0, 1, 0),
(1151, 10, 6, -1, 3, 1),
(1152, 11, 6, -1, 3, 0);

DROP TABLE IF EXISTS `#__dtregister_field_event_archive`;
CREATE TABLE `#__dtregister_field_event_archive` (
  `id` int(11) DEFAULT NULL,
  `field_id` int(11) DEFAULT NULL,
  `event_id` int(11) DEFAULT NULL,
  `showed` tinyint(3) unsigned DEFAULT NULL,
  `group_behave` mediumint(11) NOT NULL DEFAULT 1,
  `required` tinyint(1) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_fields`;
CREATE TABLE `#__dtregister_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `field_size` smallint(3) unsigned DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `ordering` smallint(3) unsigned DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `required` tinyint(4) DEFAULT 0,
  `values` text DEFAULT NULL,
  `type` int(4) NOT NULL DEFAULT 0,
  `selected` varchar(255) DEFAULT NULL,
  `rows` tinyint(4) NOT NULL DEFAULT 0,
  `cols` tinyint(4) NOT NULL DEFAULT 0,
  `fee_field` tinyint(4) NOT NULL DEFAULT 0,
  `fees` text DEFAULT NULL,
  `new_line` tinyint(4) NOT NULL DEFAULT 0,
  `textual` text NOT NULL,
  `export_individual` int(2) DEFAULT 1,
  `export_group` int(2) DEFAULT 1,
  `attendee_list` tinyint(2) NOT NULL DEFAULT 0,
  `usagelimit` text DEFAULT NULL,
  `fee_type` tinyint(2) NOT NULL DEFAULT 1,
  `filetypes` text DEFAULT NULL,
  `upload` tinyint(2) DEFAULT NULL,
  `filesize` int(4) DEFAULT NULL,
  `hidden` tinyint(2) DEFAULT NULL,
  `group_behave` tinyint(2) NOT NULL DEFAULT 1,
  `allevent` tinyint(2) NOT NULL DEFAULT 0,
  `showed` tinyint(2) NOT NULL DEFAULT 0,
  `maxlength` int(4) DEFAULT NULL,
  `date_format` varchar(25) DEFAULT NULL,
  `parent_id` int(7) DEFAULT 0,
  `selection_values` text DEFAULT NULL,
  `textareafee` text DEFAULT NULL,
  `showcharcnt` int(2) DEFAULT 0,
  `default` int(2) DEFAULT 0,
  `confirmation_field` int(2) DEFAULT 0,
  `listing` text DEFAULT NULL,
  `textualdisplay` int(1) DEFAULT 0,
  `applychangefee` int(2) DEFAULT 1,
  `tag` varchar(255) DEFAULT NULL,
  `all_tag_enable` int(2) DEFAULT 0,
  `minimum_group_size` int(4) DEFAULT 0,
  `max_group_size` int(4) DEFAULT 0,
  `discountcode_depend` int(2) DEFAULT 0,
  `discount_codes` text DEFAULT NULL,
  `profile_showed` tinyint(1) DEFAULT 0,
  `profile_required` tinyint(1) DEFAULT 0,
  `lft` int(11) DEFAULT NULL,
  `rgt` int(11) DEFAULT NULL,
  `level` int(10) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `alias` varchar(100) DEFAULT NULL,
  `path` varchar(400) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_fields` (`id`, `name`, `label`, `field_size`, `description`, `ordering`, `published`, `required`, `values`, `type`, `selected`, `rows`, `cols`, `fee_field`, `fees`, `new_line`, `textual`, `export_individual`, `export_group`, `attendee_list`, `usagelimit`, `fee_type`, `filetypes`, `upload`, `filesize`, `hidden`, `group_behave`, `allevent`, `showed`, `maxlength`, `date_format`, `parent_id`, `selection_values`, `textareafee`, `showcharcnt`, `default`, `confirmation_field`, `listing`, `textualdisplay`, `applychangefee`, `tag`, `all_tag_enable`, `minimum_group_size`, `max_group_size`, `discountcode_depend`, `discount_codes`, `profile_showed`, `profile_required`, `lft`, `rgt`, `level`, `title`, `alias`, `path`) VALUES
(1, 'title', 'Title', 100, '', 1, 1, 0, '	Mr|Mrs|Ms|Miss|Dr|Rev', 1, '', 0, 0, 0, '', 0, '', 1, 1, 1, '0|0|0|0|0|0', 1, '', 0, 0, 0, 2, 0, 3, 0, '', 0, '', '', 0, 0, 0, '', 0, 1, 'TITLE', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(2, 'firstname', 'First Name', 30, '', 2, 1, 1, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 3, 1, 3, 60, '', 0, '', '', 0, 1, 0, 'memberlist|attendeelist|recordlist', 0, 1, 'FIRSTNAME', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(3, 'lastname', 'Last Name', 30, '', 3, 1, 1, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 3, 1, 3, 100, '', 0, '', '', 0, 1, 0, 'memberlist|attendeelist|recordlist', 0, 1, 'LASTNAME', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(4, 'address', 'Address', 30, '', 5, 1, 0, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 1, 0, 0, 200, '', 0, '', '', 0, 0, 0, 'memberlist', 0, 0, 'ADDRESS', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(5, 'address2', 'Address 2', 30, '', 6, 1, 0, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 1, 0, 0, 200, '', 0, '', '', 0, 0, 0, 'memberlist', 0, 0, 'ADDRESS2', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(6, 'city', 'City', 30, '', 7, 1, 1, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 3, 1, 3, 100, '', 0, '', '', 0, 0, 0, 'memberlist', 0, 0, 'CITY', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(7, 'state', 'State', 150, '', 8, 1, 0, 'Alabama|Alaska|Arizona|Arkansas|California|Colorado|Connecticut|Delaware|District of Columbia|Florida|Georgia|Hawaii|Idaho|Illinois|Indiana|Iowa|Kansas|Kentucky|Louisiana|Maine|Maryland|Massachusetts|Michigan|Minnesota|Mississippi|Missouri|Montana|Nebraska|Nevada|New Hampshire|New Jersey|New Mexico|New York|North Carolina|North Dakota|Ohio|Oklahoma|Oregon|Pennsylvania|Rhode Island|South Carolina|South Dakota|Tennessee|Texas|Utah|Vermont|Virginia|Washington|West Virginia|Wisconsin|Wyoming', 1, '', 0, 0, 0, '', 0, '', 1, 1, 1, '0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0', 1, '', 0, 0, 0, 3, 1, 3, 0, '', 0, '', '', 0, 0, 0, '', 0, 0, 'STATE', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(8, 'zip', 'Zip', 10, '', 9, 1, 0, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 1, 1, 3, 10, '', 0, '', '', 0, 0, 0, '', 0, 0, 'ZIP', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(9, 'country', 'Country', 150, '', 10, 1, 0, 'Afghanistan|Albania|Algeria|Andorra|Angola|Antigua & Barbuda|Argentina|Armenia|Australia|Austria|Azerbaijan|Bahamas|Bahrain|Bangladesh|Barbados|Belarus|Belgium|Belize|Benin|Bhutan|Bolivia|Bosnia & Herzegovina|Botswana|Brazil|Brunei Darussalam|Bulgaria|Burkina Faso|Burma (Myanmar)|Burundi|Cambodia|Cameroon|Canada|Cape Verde|Cayman Islands|Central African|Chad|Chile|China|Colombia|Comoros|Congo|Congo, Democratic Republic of the|Costa Rica|Côte d\'Ivoire|Croatia|Cuba|Cyprus|Czech Republic|Denmark|Djibouti|Dominica|Dominican Republic|Ecuador|East Timor|Egypt|El Salvador|England|Equatorial Guinea|Eritrea|Estonia|Ethiopia|Fiji|Finland|France|Gabon|Gambia, The|Georgia|Germany|Ghana|Great Britain|Greece|Grenada|Guatemala|Guinea|Guinea-Bissau|Guyana|Haiti|Honduras|Hong Kong|Hungary|Iceland|India|Indonesia|Iran|Iraq|Ireland|Israel|Italy|Jamaica|Japan|Jordan|Kazakhstan|Kenya|Kiribati|Kuwait|Kyrgyzstan|Laos|Latvia|Lebanon|Lesotho|Liberia|Libya|Liechtenstein|Lithuania|Luxembourg|Macedonia|Madagascar|Malawi|Malaysia|Maldives|Mali|Malta|Marshall Islands|Mauritania|Mauritius|Mexico|Micronesia|Moldova|Monaco|Mongolia|Montenegro|Morocco|Mozambique|Myanmar|Namibia|Nauru|Nepal|The Netherlands|New Zealand|Nicaragua|Niger|Nigeria|North Korea|Norway|Oman|Pakistan|Palau|Palestinian State|Panama|Papua New Guinea|Paraguay|Peru|Philippines|Poland|Portugal|Qatar|Romania|Russia|Rwanda|St. Kitts & Nevis|St. Lucia|St. Vincent & The Grenadines|Samoa|San Marino|São Tomé & Príncipe|Saudi Arabia|Senegal|Serbia|Seychelles|Sierra Leone|Singapore|Slovakia|Slovenia|Solomon Islands|Somalia|South Africa|South Korea|Spain|Sri Lanka|Sudan|Suriname|Swaziland|Sweden|Switzerland|Syria|Taiwan|Tajikistan|Tanzania|Thailand|Togo|Tonga|Trinidad & Tobago|Tunisia|Turkey|Turkmenistan|Tuvalu|Uganda|Ukraine|United Arab Emirates|United Kingdom|United States|Uruguay|Uzbekistan|Vanuatu|Vatican City|Venezuela|Vietnam|Western Sahara|Yemen|Yugoslavia|Zaire|Zambia|Zimbabwe', 1, 'United States', 0, 0, 0, '', 0, '', 1, 1, 1, '0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0', 1, '', 0, 0, 0, 2, 0, 3, 0, '', 0, '', '', 0, 0, 0, '', 0, 0, 'COUNTRY', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(10, 'email', 'Email', 30, '', 11, 1, 1, '', 8, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 3, 1, 3, 100, '', 0, '', '', 0, 0, 1, 'memberlist|recordlist', 0, 0, 'EMAIL', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(11, 'phone', 'Phone', 10, '', 12, 1, 0, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 3, 1, 1, 12, '', 0, '', '', 0, 0, 0, '', 0, 0, 'PHONE', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL),
(12, 'organization', 'Organization', 30, '', 4, 1, 0, '', 0, '', 0, 0, 0, '', 0, '', 1, 1, 1, '', 1, '', 0, 0, 0, 1, 0, 0, 200, '', 0, '', '', 0, 0, 0, 'attendeelist', 0, 0, 'ORGANIZATION', 0, 0, 0, 0, '0', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL);

DROP TABLE IF EXISTS `#__dtregister_files`;
CREATE TABLE `#__dtregister_files` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `path` varchar(255) DEFAULT NULL,
  `event_id` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_files_archive`;
CREATE TABLE `#__dtregister_files_archive` (
  `id` bigint(11) NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `event_id` bigint(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_google_exports`;
CREATE TABLE `#__dtregister_google_exports` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `google_calendar_id` varchar(255) DEFAULT NULL,
  `event_id` int(7) DEFAULT 0,
  `google_event_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_group`;
CREATE TABLE `#__dtregister_group` (
  `groupId` int(11) NOT NULL AUTO_INCREMENT,
  `useid` int(11) DEFAULT NULL,
  PRIMARY KEY (`groupId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_group_amount`;
CREATE TABLE `#__dtregister_group_amount` (
  `groupId` int(11) NOT NULL DEFAULT 0,
  `numberOfPerson` int(11) NOT NULL DEFAULT 0,
  `amount` decimal(10,2) NOT NULL DEFAULT 0.00,
  PRIMARY KEY (`groupId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_group_event`;
CREATE TABLE `#__dtregister_group_event` (
  `slabId` int(11) NOT NULL AUTO_INCREMENT,
  `eventId` int(11) NOT NULL DEFAULT 0,
  `title` varchar(255) DEFAULT NULL,
  `dtstart` date DEFAULT NULL,
  `dtend` date DEFAULT NULL,
  `dtstarttime` time DEFAULT NULL,
  `dtendtime` time DEFAULT NULL,
  `latefee` decimal(10,2) NOT NULL DEFAULT 0.00,
  `latefeedate` date NOT NULL DEFAULT '0000-00-00',
  `email` text DEFAULT NULL,
  `max_registrations` int(11) NOT NULL DEFAULT 0,
  `registration_type` varchar(50) DEFAULT 'individual',
  `topmsg` text DEFAULT NULL,
  `cut_off_date` date DEFAULT NULL,
  `discount_type` tinyint(4) NOT NULL DEFAULT 0,
  `discount_amount` decimal(10,2) NOT NULL DEFAULT 0.00,
  `thksmsg` text DEFAULT NULL,
  `thksmsg_set` tinyint(4) NOT NULL DEFAULT 0,
  `event_describe` text DEFAULT NULL,
  `event_describe_set` tinyint(4) DEFAULT NULL,
  `terms_conditions_set` tinyint(4) NOT NULL DEFAULT 0,
  `terms_conditions_msg` text DEFAULT NULL,
  `category` int(11) DEFAULT NULL,
  `max_group_size` smallint(5) unsigned DEFAULT NULL,
  `ordering` int(7) unsigned DEFAULT 1,
  `waiting_list` tinyint(1) DEFAULT NULL,
  `public` tinyint(1) NOT NULL DEFAULT 1,
  `export` int(2) NOT NULL DEFAULT 1,
  `use_discountcode` int(3) DEFAULT 0,
  `article_id` bigint(11) DEFAULT 0,
  `detail_link_show` int(2) NOT NULL DEFAULT 0,
  `show_registrant` int(4) DEFAULT 0,
  `publish` int(4) NOT NULL DEFAULT 0,
  `startdate` date DEFAULT '0000-00-00',
  `bird_discount_type` tinyint(2) DEFAULT 0,
  `bird_discount_amount` varchar(12) DEFAULT NULL,
  `bird_discount_date` date DEFAULT '0000-00-00',
  `payment_option` tinyint(2) NOT NULL DEFAULT 1,
  `location_id` int(11) DEFAULT NULL,
  `archive` int(2) DEFAULT 0,
  `partial_payment` int(2) DEFAULT 0,
  `partial_amount` varchar(20) DEFAULT NULL,
  `partial_minimum_amount` varchar(20) DEFAULT NULL,
  `edit_fee` int(2) DEFAULT 0,
  `cancelfee_enable` int(2) DEFAULT NULL,
  `cancel_date` varchar(30) DEFAULT NULL,
  `cancel_refund_status` int(1) DEFAULT 0,
  `excludeoverlap` int(2) DEFAULT 0,
  `pay_later_thk_msg_set` tinyint(2) NOT NULL DEFAULT 0,
  `pay_later_thk_msg` text DEFAULT NULL,
  `thanksmsg_set` tinyint(2) NOT NULL DEFAULT 0,
  `thanksmsg` text DEFAULT NULL,
  `change_date` varchar(20) DEFAULT NULL,
  `detail_itemid` int(4) DEFAULT NULL,
  `tax_enable` int(2) DEFAULT 0,
  `tax_amount` decimal(8,2) DEFAULT 0.00,
  `payment_id` int(4) DEFAULT 0,
  `repetition_id` int(7) DEFAULT 0,
  `parent_id` int(7) DEFAULT 0,
  `usercreation` int(2) DEFAULT 0,
  `imagepath` varchar(255) DEFAULT NULL,
  `timeformat` int(2) DEFAULT 2,
  `latefeetime` time DEFAULT NULL,
  `bird_discount_time` time DEFAULT NULL,
  `starttime` time DEFAULT NULL,
  `cut_off_time` time DEFAULT NULL,
  `change_time` time DEFAULT NULL,
  `cancel_time` time DEFAULT NULL,
  `user_id` int(7) DEFAULT 0,
  `changefee_enable` int(2) DEFAULT 0,
  `changefee_type` int(2) DEFAULT 1,
  `changefee` decimal(8,2) DEFAULT NULL,
  `cancelfee_type` int(2) DEFAULT 1,
  `cancelfee` decimal(8,2) DEFAULT NULL,
  `usetimecheck` int(1) DEFAULT 0,
  `group_registration_type` varchar(20) DEFAULT NULL,
  `cancel_enable` tinyint(1) DEFAULT 0,
  `min_group_size` int(4) DEFAULT 2,
  `admin_notification_set` tinyint(2) DEFAULT 0,
  `admin_notification` text DEFAULT NULL,
  `partial_payment_enable` int(1) DEFAULT 0,
  `prevent_duplication` tinyint(1) DEFAULT 1,
  `event_admin_email_set` tinyint(4) NOT NULL DEFAULT 0,
  `event_admin_email_from_name` varchar(100) DEFAULT NULL,
  `event_admin_email_from_email` varchar(100) DEFAULT NULL,
  `thanks_redirection` int(2) DEFAULT 0,
  `thanks_redirect_url` varchar(255) DEFAULT NULL,
  `pay_later_redirection` int(2) DEFAULT 0,
  `pay_later_redirect_url` varchar(255) DEFAULT NULL,
  `timezone` varchar(255) DEFAULT NULL,
  `registering` text DEFAULT NULL,
  `uid` varchar(100) NOT NULL COMMENT 'ICAL EVENT UD',
  `usergroup` text DEFAULT NULL,
  `discount_code_usagetype` int(2) DEFAULT 0,
  `confirm_number_prefix` varchar(20) DEFAULT NULL,
  `tax_exemption_allow` int(2) DEFAULT 0,
  `tax_code_field_type` varchar(20) DEFAULT '1',
  `tax_code_values` text DEFAULT NULL,
  PRIMARY KEY (`slabId`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_group_event` (`slabId`, `eventId`, `title`, `dtstart`, `dtend`, `dtstarttime`, `dtendtime`, `latefee`, `latefeedate`, `email`, `max_registrations`, `registration_type`, `topmsg`, `cut_off_date`, `discount_type`, `discount_amount`, `thksmsg`, `thksmsg_set`, `event_describe`, `event_describe_set`, `terms_conditions_set`, `terms_conditions_msg`, `category`, `max_group_size`, `ordering`, `waiting_list`, `public`, `export`, `use_discountcode`, `article_id`, `detail_link_show`, `show_registrant`, `publish`, `startdate`, `bird_discount_type`, `bird_discount_amount`, `bird_discount_date`, `payment_option`, `location_id`, `archive`, `partial_payment`, `partial_amount`, `partial_minimum_amount`, `edit_fee`, `cancelfee_enable`, `cancel_date`, `cancel_refund_status`, `excludeoverlap`, `pay_later_thk_msg_set`, `pay_later_thk_msg`, `thanksmsg_set`, `thanksmsg`, `change_date`, `detail_itemid`, `tax_enable`, `tax_amount`, `payment_id`, `repetition_id`, `parent_id`, `usercreation`, `imagepath`, `timeformat`, `latefeetime`, `bird_discount_time`, `starttime`, `cut_off_time`, `change_time`, `cancel_time`, `user_id`, `changefee_enable`, `changefee_type`, `changefee`, `cancelfee_type`, `cancelfee`, `usetimecheck`, `group_registration_type`, `cancel_enable`, `min_group_size`, `admin_notification_set`, `admin_notification`, `partial_payment_enable`, `prevent_duplication`, `event_admin_email_set`, `event_admin_email_from_name`, `event_admin_email_from_email`, `thanks_redirection`, `thanks_redirect_url`, `pay_later_redirection`, `pay_later_redirect_url`, `timezone`, `registering`, `uid`, `usergroup`, `discount_code_usagetype`, `confirm_number_prefix`, `tax_exemption_allow`, `tax_code_field_type`, `tax_code_values`) VALUES
(1, 0, 'Barbell', '2018-06-20', '2018-06-21', '17:30:00', '00:00:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'individual', '', '2018-06-22', 1, '0.00', '', 0, '<p>\r\n  Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 20, 7, 2, 1, 1, 0, 0, 1, 1, 1, '2018-06-18', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 1, 0, 1, 'images/joomlart/blog/item-5.jpg', 1, '00:00:00', '00:00:00', '09:23:00', '09:26:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'America/Bahia', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(2, 0, 'Boxing', '2018-06-05', '2018-07-28', '17:32:00', '17:32:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'individual', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 0, 10, 0, 1, 1, 0, 0, 0, 0, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 0, 0, 0, 'images/joomlart/blog/item-3.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Accra', NULL, '', '[]', 2, '', 0, 'text_req', ''),
(3, 0, 'Body building', '2018-06-15', '2018-06-29', '11:10:00', '11:10:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'individual', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Dapibus in, viverra quis, feugiat a, tellus. Aliquam lorem ante, phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 0, 9, 0, 1, 1, 0, 0, 0, 0, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 0, 0, 0, 'images/joomlart/blog/item-1.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Abidjan', NULL, '', '[]', 2, '', 0, 'text_req', ''),
(4, 0, 'Out With The Old', '2018-06-20', '2018-06-21', '17:30:00', '00:00:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'individual', '', '2018-06-22', 1, '0.00', '', 0, '<p>\r\n  Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 20, 8, 2, 1, 1, 0, 0, 1, 1, 1, '2018-06-18', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 0, 0, 1, 'images/joomlart/blog/item-2.jpg', 1, '00:00:00', '00:00:00', '09:23:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'America/Bahia', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(5, 0, 'Mindful Meditation', '2018-06-28', '2018-06-28', '12:00:00', '17:00:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'group', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Phasellus viverra nulla ut metus varius laoreet. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 20, 1, 0, 1, 1, 0, 0, 1, 1, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 2, 0, 0, 'images/joomlart/blog/item-7.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Asmara', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(6, 0, 'Lean Wolves Fitness Club ', '2018-06-22', '2018-06-24', '14:51:00', '00:51:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'group', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Phasellus viverra nulla ut metus varius laoreet. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 25, 6, 0, 1, 1, 0, 0, 1, 1, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 3, 0, 0, 'images/joomlart/blog/item-32.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Abidjan', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(7, 0, 'Fitness Studio', '2018-06-22', '2018-06-25', '17:00:00', '16:00:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'group', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Phasellus viverra nulla ut metus varius laoreet. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 30, 4, 0, 1, 1, 0, 0, 1, 1, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 4, 0, 0, 'images/joomlart/blog/item-17.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Abidjan', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(8, 0, 'Greek God Gym', '2018-06-23', '2018-06-24', '16:09:00', '21:09:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'group', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Phasellus viverra nulla ut metus varius laoreet. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 20, 3, 0, 1, 1, 0, 0, 1, 1, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 5, 0, 0, 'images/joomlart/blog/item-22.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Abidjan', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(9, 0, 'Kick Start Fitness Club', '2018-06-24', '2018-06-27', '16:30:00', '16:30:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'group', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Phasellus viverra nulla ut metus varius laoreet. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 20, 2, 0, 1, 1, 0, 0, 1, 1, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 6, 0, 0, 'images/joomlart/blog/item-29.jpg', 1, '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Abidjan', NULL, '', '["2"]', 2, '', 0, 'text_req', ''),
(10, 0, 'The Macho Man Gym', '2018-06-22', '2018-06-25', '16:38:00', '04:38:00', '0.00', '0000-00-00', 'no-reply@gmail.com', 0, 'group', '', '0000-00-00', 1, '0.00', '', 0, '<p>\r\n  Phasellus viverra nulla ut metus varius laoreet. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.\r\n</p>\r\n<hr id="system-readmore" />\r\n<h3>\r\n  Tellus eget condimentum rhoncus\r\n</h3>\r\n<p>\r\n  Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n</p>\r\n\r\n<p>Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec <a href="#" title="">sodales sagittis</a> magna.</p>\r\n\r\n<p>Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu.</p>\r\n<h3>\r\n  Sed fringilla mauris sit amet nibh\r\n</h3>\r\n<p>\r\n  Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\r\n</p>', 1, 0, '', NULL, 25, 5, 0, 1, 1, 0, 0, 1, 1, 1, '0000-00-00', 0, '', '0000-00-00', 1, 1, 0, 0, '', '', 0, 0, '', 0, 0, 0, '', 0, '', '', 0, 0, '0.00', 1, 7, 0, 0, 'images/joomlart/blog/item-6.jpg', 1, '00:00:00', '16:40:00', '00:00:00', '00:00:00', '00:00:00', '00:00:00', 0, 0, 1, '0.00', 1, '0.00', 0, 'detail', 0, 1, 0, '', 0, 1, 0, '', '', 1, '', 1, '', 'Africa/Abidjan', NULL, '', '["2"]', 2, '', 0, 'text_req', '');

DROP TABLE IF EXISTS `#__dtregister_group_event_archive`;
CREATE TABLE `#__dtregister_group_event_archive` (
  `slabId` int(11) NOT NULL DEFAULT 0,
  `eventId` int(11) NOT NULL DEFAULT 0,
  `title` varchar(255) DEFAULT NULL,
  `dtstart` date DEFAULT NULL,
  `dtend` date DEFAULT NULL,
  `dtstarttime` time DEFAULT NULL,
  `dtendtime` time DEFAULT NULL,
  `latefee` decimal(10,2) NOT NULL DEFAULT 0.00,
  `latefeedate` date NOT NULL DEFAULT '0000-00-00',
  `email` text DEFAULT NULL,
  `max_registrations` int(11) NOT NULL DEFAULT 0,
  `registration_type` varchar(50) DEFAULT 'individual',
  `topmsg` text DEFAULT NULL,
  `cut_off_date` date DEFAULT NULL,
  `discount_type` tinyint(4) NOT NULL DEFAULT 0,
  `discount_amount` decimal(10,2) NOT NULL DEFAULT 0.00,
  `thksmsg` text DEFAULT NULL,
  `thksmsg_set` tinyint(4) NOT NULL DEFAULT 0,
  `event_describe` text DEFAULT NULL,
  `event_describe_set` tinyint(4) DEFAULT NULL,
  `terms_conditions_set` tinyint(4) NOT NULL DEFAULT 0,
  `terms_conditions_msg` text DEFAULT NULL,
  `category` int(11) DEFAULT NULL,
  `max_group_size` smallint(5) unsigned DEFAULT NULL,
  `ordering` int(7) unsigned DEFAULT 1,
  `waiting_list` tinyint(1) DEFAULT NULL,
  `public` tinyint(1) NOT NULL DEFAULT 1,
  `export` int(2) NOT NULL DEFAULT 1,
  `use_discountcode` int(3) DEFAULT 0,
  `article_id` bigint(11) DEFAULT 0,
  `detail_link_show` int(2) NOT NULL DEFAULT 0,
  `show_registrant` int(4) DEFAULT 0,
  `publish` int(4) NOT NULL DEFAULT 0,
  `startdate` date DEFAULT '0000-00-00',
  `bird_discount_type` tinyint(2) DEFAULT 0,
  `bird_discount_amount` varchar(12) DEFAULT NULL,
  `bird_discount_date` date DEFAULT '0000-00-00',
  `payment_option` tinyint(2) NOT NULL DEFAULT 1,
  `location_id` int(11) DEFAULT NULL,
  `archive` int(2) DEFAULT 0,
  `partial_payment` int(2) DEFAULT 0,
  `partial_amount` varchar(20) DEFAULT NULL,
  `partial_minimum_amount` varchar(20) DEFAULT NULL,
  `edit_fee` int(2) DEFAULT 0,
  `cancelfee_enable` int(2) DEFAULT NULL,
  `cancel_date` varchar(30) DEFAULT NULL,
  `cancel_refund_status` int(1) DEFAULT 0,
  `excludeoverlap` int(2) DEFAULT 0,
  `pay_later_thk_msg_set` tinyint(2) NOT NULL DEFAULT 0,
  `pay_later_thk_msg` text DEFAULT NULL,
  `thanksmsg_set` tinyint(2) NOT NULL DEFAULT 0,
  `thanksmsg` text DEFAULT NULL,
  `change_date` varchar(20) DEFAULT NULL,
  `detail_itemid` int(4) DEFAULT NULL,
  `tax_enable` int(2) DEFAULT 0,
  `tax_amount` decimal(8,2) DEFAULT 0.00,
  `payment_id` int(4) DEFAULT 0,
  `repetition_id` int(7) DEFAULT 0,
  `parent_id` int(7) DEFAULT 0,
  `usercreation` int(2) DEFAULT 0,
  `imagepath` varchar(255) DEFAULT NULL,
  `timeformat` int(2) DEFAULT 2,
  `latefeetime` time DEFAULT NULL,
  `bird_discount_time` time DEFAULT NULL,
  `starttime` time DEFAULT NULL,
  `cut_off_time` time DEFAULT NULL,
  `change_time` time DEFAULT NULL,
  `cancel_time` time DEFAULT NULL,
  `user_id` int(7) DEFAULT 0,
  `changefee_enable` int(2) DEFAULT 0,
  `changefee_type` int(2) DEFAULT 1,
  `changefee` decimal(8,2) DEFAULT NULL,
  `cancelfee_type` int(2) DEFAULT 1,
  `cancelfee` decimal(8,2) DEFAULT NULL,
  `usetimecheck` int(1) DEFAULT 0,
  `group_registration_type` varchar(20) DEFAULT NULL,
  `cancel_enable` tinyint(1) DEFAULT 0,
  `min_group_size` int(4) DEFAULT 2,
  `admin_notification_set` tinyint(2) DEFAULT 0,
  `admin_notification` text DEFAULT NULL,
  `partial_payment_enable` int(1) DEFAULT 0,
  `prevent_duplication` tinyint(1) DEFAULT 1,
  `event_admin_email_set` tinyint(4) NOT NULL DEFAULT 0,
  `event_admin_email_from_name` varchar(100) DEFAULT NULL,
  `event_admin_email_from_email` varchar(100) DEFAULT NULL,
  `thanks_redirection` int(2) DEFAULT 0,
  `thanks_redirect_url` varchar(255) DEFAULT NULL,
  `pay_later_redirection` int(2) DEFAULT 0,
  `pay_later_redirect_url` varchar(255) DEFAULT NULL,
  `timezone` varchar(255) DEFAULT NULL,
  `registering` text DEFAULT NULL,
  `uid` varchar(100) NOT NULL COMMENT 'ICAL EVENT UD',
  `usergroup` text DEFAULT NULL,
  `discount_code_usagetype` int(2) DEFAULT 0,
  `confirm_number_prefix` varchar(20) DEFAULT NULL,
  `tax_exemption_allow` int(2) DEFAULT 0,
  `tax_code_field_type` varchar(20) DEFAULT '1',
  `tax_code_values` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_group_member`;
CREATE TABLE `#__dtregister_group_member` (
  `groupMemberId` int(11) NOT NULL AUTO_INCREMENT,
  `groupUserId` int(11) NOT NULL DEFAULT 0,
  `created` datetime DEFAULT NULL,
  `confirmnum` varchar(100) DEFAULT NULL,
  `attend` int(2) DEFAULT 0,
  `discount_code_id` int(7) DEFAULT 0,
  PRIMARY KEY (`groupMemberId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_group_member_archive`;
CREATE TABLE `#__dtregister_group_member_archive` (
  `groupMemberId` int(11) NOT NULL DEFAULT 0,
  `groupUserId` int(11) NOT NULL DEFAULT 0,
  `created` datetime DEFAULT NULL,
  `confirmnum` varchar(100) DEFAULT NULL,
  `attend` int(2) DEFAULT 0,
  `discount_code_id` int(7) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_history`;
CREATE TABLE `#__dtregister_history` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT 0.00,
  `payment_date` date DEFAULT NULL,
  `user_id` int(7) DEFAULT 0,
  `reason` varchar(100) DEFAULT NULL,
  `transaction_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_images`;
CREATE TABLE `#__dtregister_images` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `event_id` bigint(11) DEFAULT NULL,
  `path` text DEFAULT NULL,
  `mime` varchar(255) DEFAULT NULL,
  `thumb` text DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_itemized_bills`;
CREATE TABLE `#__dtregister_itemized_bills` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `object_type` varchar(30) DEFAULT NULL,
  `object_id` int(11) DEFAULT NULL,
  `name` varchar(30) DEFAULT NULL,
  `reference_id` int(11) DEFAULT NULL,
  `value` varchar(10) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_locations`;
CREATE TABLE `#__dtregister_locations` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `address2` varchar(255) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `zip` varchar(20) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `website` varchar(255) DEFAULT NULL,
  `image` varchar(255) NOT NULL,
  `showimage` tinyint(2) NOT NULL DEFAULT 0,
  `lng` varchar(100) DEFAULT NULL,
  `lat` varchar(100) DEFAULT NULL,
  `user_id` int(7) DEFAULT 0,
  `public` int(2) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_locations` (`id`, `name`, `address`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `email`, `website`, `image`, `showimage`, `lng`, `lat`, `user_id`, `public`) VALUES
(1, 'Fitness Series', '1493 Single Street Needham, MA 02192', '', 'Hispanic', '', '1001', 'United States', '(39) 329 392', 'no-reply@gmail.com', 'https://joomlart.com', '', 1, '', '', 42, 1);

DROP TABLE IF EXISTS `#__dtregister_logs`;
CREATE TABLE `#__dtregister_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(255) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_mass_emails`;
CREATE TABLE `#__dtregister_mass_emails` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `template_id` bigint(11) DEFAULT 0,
  `settings` text DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  `subject` varchar(255) DEFAULT NULL,
  `event_id` bigint(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_member_discount`;
CREATE TABLE `#__dtregister_member_discount` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `group_id` int(7) DEFAULT NULL,
  `amount` float DEFAULT 0,
  `ordering` int(4) DEFAULT NULL,
  `event_id` int(7) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=97 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_member_discount` (`id`, `group_id`, `amount`, `ordering`, `event_id`) VALUES
(70, 1, 0, NULL, 4),
(72, 1, 0, NULL, 3),
(75, 1, 0, NULL, 2),
(79, 1, 0, NULL, 5),
(80, 1, 0, NULL, 1),
(92, 1, 0, NULL, 9),
(93, 1, 0, NULL, 8),
(94, 1, 0, NULL, 7),
(95, 1, 0, NULL, 10),
(96, 1, 0, NULL, 6);

DROP TABLE IF EXISTS `#__dtregister_member_discount_archive`;
CREATE TABLE `#__dtregister_member_discount_archive` (
  `id` int(7) NOT NULL DEFAULT 0,
  `group_id` int(7) DEFAULT NULL,
  `amount` float DEFAULT 0,
  `ordering` int(4) DEFAULT NULL,
  `event_id` int(7) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_member_field_values`;
CREATE TABLE `#__dtregister_member_field_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(7) DEFAULT 0,
  `member_id` int(7) DEFAULT 0,
  `value` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_member_field_values_archive`;
CREATE TABLE `#__dtregister_member_field_values_archive` (
  `id` int(11) NOT NULL DEFAULT 0,
  `field_id` int(7) DEFAULT 0,
  `member_id` int(7) DEFAULT 0,
  `value` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_outgoing_emails`;
CREATE TABLE `#__dtregister_outgoing_emails` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `status` int(2) DEFAULT 0,
  `tries` int(4) DEFAULT NULL,
  `content` text DEFAULT NULL,
  `subject` varchar(255) DEFAULT NULL,
  `to` varchar(255) DEFAULT NULL,
  `header` text DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  `user_id` bigint(4) DEFAULT NULL,
  `member_id` bigint(4) DEFAULT NULL,
  `mass_email_id` bigint(4) DEFAULT NULL,
  `fromemail` varchar(255) DEFAULT NULL,
  `fromname` varchar(255) DEFAULT NULL,
  `attachment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_paylater`;
CREATE TABLE `#__dtregister_paylater` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_paylater` (`id`, `name`) VALUES
(1, 'Pay at the Door'),
(2, 'Mail in Payment'),
(3, 'Call in Payment');

DROP TABLE IF EXISTS `#__dtregister_payment`;
CREATE TABLE `#__dtregister_payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `default` tinyint(2) DEFAULT 0,
  `user_id` int(7) DEFAULT NULL,
  `public` int(2) DEFAULT 0,
  `params` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_payment` (`id`, `name`, `default`, `user_id`, `public`, `params`) VALUES
(1, 'Default Payment Options', 1, 0, 1, NULL);

DROP TABLE IF EXISTS `#__dtregister_payment_config`;
CREATE TABLE `#__dtregister_payment_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(255) DEFAULT NULL,
  `value` text DEFAULT NULL,
  `payment_id` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_payment_config` (`id`, `key`, `value`, `payment_id`) VALUES
(1, 'pay_later_options', '1,2,3', 1),
(2, 'sage_M_id', '', 1),
(3, 'sage_M_key', '', 1),
(4, 'idealLiteHashKey', '', 1),
(5, 'idealLiteMerchantId', '', 1),
(6, 'partner_id', '', 1),
(7, 'eway_customerid', '', 1),
(8, 'ewaytype', 'hosted', 1),
(9, 'paypalid', '', 1),
(10, 'netdeposit_clientcode', '', 1),
(11, 'netdeposit_clientid', '', 1),
(12, 'googleapikey', '', 1),
(13, 'googlemerchid', '', 1),
(14, 'merchid', '', 1),
(15, 'transkey', '', 1),
(16, 'cardtype', 'Visa,MasterCard', 1),
(17, 'paymentmethod', 'authorizenet,paypal,pay_later', 1),
(18, 'paymentmode', 'live', 1),
(19, 'currency_separator', '2', 1),
(20, 'currency_code', 'USD', 1),
(21, 'eway_username', '', 1),
(22, 'godaddy_hosting', '0', 1),
(23, 'offline_zero_credit', '0', 1),
(24, 'quickbook_app_ID', '', 1),
(25, 'quickbook_app_login', '', 1),
(26, 'quickbook_connection_ticket', '', 1),
(27, 'omn_password', '', 1),
(28, 'omn_username', '', 1),
(29, 'usaepay_key', '', 1),
(30, 'psitype', 'live', 1),
(31, 'psi_live_url', '', 1),
(32, 'psi_storeid', '', 1),
(33, 'psi_passphrase', '', 1),
(34, 'psi_merchantId', '', 1),
(35, 'safe_pay_account_id', '', 1),
(36, 'paypal_pro_country', 'US', 1),
(37, 'paypal_api_signature', '', 1),
(38, 'paypal_api_password', '', 1),
(39, 'paypal_api_user', '', 1),
(40, 'depend_on_field', '0', 1),
(41, 'payfast_accountname', '', 1),
(42, 'payfast_username', '', 1),
(43, 'payfast_merchant_id', '', 1),
(44, 'payfast_merchant_key', '', 1),
(45, 'transfirst_transkey', '', 1),
(46, 'transfirst_merchid', '', 1),
(47, 'paylater_field', '', 1),
(48, 'paylater_field_options', '', 1),
(49, 'authorizenet_type', '', 0);

DROP TABLE IF EXISTS `#__dtregister_payments`;
CREATE TABLE `#__dtregister_payments` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `amount` varchar(20) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_permissions`;
CREATE TABLE `#__dtregister_permissions` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `aro_id` int(7) DEFAULT NULL,
  `aco_id` int(7) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_permissions` (`id`, `aro_id`, `aco_id`) VALUES
(1, 8, 2),
(2, 8, 3),
(3, 8, 4),
(4, 8, 5),
(5, 8, 6),
(6, 8, 7),
(7, 8, 8),
(8, 8, 9),
(9, 8, 10),
(10, 8, 11),
(11, 8, 12),
(12, 8, 13),
(13, 8, 14),
(14, 8, 15),
(15, 8, 16),
(16, 8, 17),
(17, 8, 18),
(18, 8, 19),
(19, 8, 20),
(20, 8, 21),
(21, 8, 22),
(22, 8, 23),
(23, 8, 24),
(24, 8, 25),
(25, 8, 26),
(26, 8, 27),
(27, 8, 28),
(28, 8, 29),
(29, 8, 30),
(30, 8, 31),
(31, 8, 32),
(32, 8, 33);

DROP TABLE IF EXISTS `#__dtregister_prerequisite`;
CREATE TABLE `#__dtregister_prerequisite` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `event_id` int(7) DEFAULT 0,
  `prerequisite_id` int(7) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_prerequisite_archive`;
CREATE TABLE `#__dtregister_prerequisite_archive` (
  `id` int(7) NOT NULL DEFAULT 0,
  `event_id` int(7) DEFAULT 0,
  `prerequisite_id` int(7) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_prerequisite_category`;
CREATE TABLE `#__dtregister_prerequisite_category` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `event_id` int(7) DEFAULT 0,
  `prerequisite_id` int(7) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_prerequisite_category` (`id`, `event_id`, `prerequisite_id`) VALUES
(7, 2, 2);

DROP TABLE IF EXISTS `#__dtregister_prerequisite_category_archive`;
CREATE TABLE `#__dtregister_prerequisite_category_archive` (
  `id` int(7) NOT NULL DEFAULT 0,
  `event_id` int(7) DEFAULT 0,
  `prerequisite_id` int(7) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_profiles`;
CREATE TABLE `#__dtregister_profiles` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `data` text DEFAULT NULL,
  `user_id` bigint(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_reminders`;
CREATE TABLE `#__dtregister_reminders` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) DEFAULT NULL,
  `message` text DEFAULT NULL,
  `timer` int(7) DEFAULT NULL,
  `eventId` int(9) DEFAULT 0,
  `files` text DEFAULT NULL,
  `timer_after_reg` int(7) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_repetitions`;
CREATE TABLE `#__dtregister_repetitions` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `eventId` varchar(255) NOT NULL,
  `repeatType` varchar(20) NOT NULL,
  `rpcount` varchar(10) DEFAULT NULL,
  `rpuntil` date DEFAULT NULL,
  `rpinterval` int(8) DEFAULT NULL,
  `countselector` varchar(20) DEFAULT NULL,
  `weekdays` varchar(100) DEFAULT NULL,
  `monthdays` varchar(255) DEFAULT NULL,
  `monthweekdays` varchar(255) DEFAULT NULL,
  `monthweeks` varchar(255) DEFAULT NULL,
  `monthdayselector` varchar(20) DEFAULT NULL,
  `yeardays` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_repetitions` (`id`, `eventId`, `repeatType`, `rpcount`, `rpuntil`, `rpinterval`, `countselector`, `weekdays`, `monthdays`, `monthweekdays`, `monthweeks`, `monthdayselector`, `yeardays`) VALUES
(1, '1', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', ''),
(2, '5', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', ''),
(3, '6', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', ''),
(4, '7', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', ''),
(5, '8', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', ''),
(6, '9', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', ''),
(7, '10', 'daily', '', '0000-00-00', 1, 'count', '', '', '', '', 'monthweekdays', '');

DROP TABLE IF EXISTS `#__dtregister_repetitions_archive`;
CREATE TABLE `#__dtregister_repetitions_archive` (
  `id` int(7) NOT NULL DEFAULT 0,
  `eventId` varchar(255) NOT NULL,
  `repeatType` varchar(20) NOT NULL,
  `rpcount` varchar(10) DEFAULT NULL,
  `rpuntil` date DEFAULT NULL,
  `rpinterval` int(8) DEFAULT NULL,
  `countselector` varchar(20) DEFAULT NULL,
  `weekdays` varchar(100) DEFAULT NULL,
  `monthdays` varchar(255) DEFAULT NULL,
  `monthweekdays` varchar(255) DEFAULT NULL,
  `monthweeks` varchar(255) DEFAULT NULL,
  `monthdayselector` varchar(20) DEFAULT NULL,
  `yeardays` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_session`;
CREATE TABLE `#__dtregister_session` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `session_id` varchar(255) DEFAULT NULL,
  `data` longtext DEFAULT NULL,
  `user_id` bigint(11) NOT NULL,
  `processed` tinyint(1) DEFAULT 0,
  `confirm_num` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_sofort_session`;
CREATE TABLE `#__dtregister_sofort_session` (
  `session_id` int(11) NOT NULL AUTO_INCREMENT,
  `transactionid` varchar(255) NOT NULL,
  PRIMARY KEY (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_speakers`;
CREATE TABLE `#__dtregister_speakers` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `image` tinytext DEFAULT NULL,
  `event_id` bigint(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_speakers` (`id`, `name`, `description`, `image`, `event_id`) VALUES
(1, 'Patrick O\'Connell', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-1.jpg', 1),
(2, 'Patrick O\'Connell', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-1.jpg', 2),
(3, 'Patrick O\'Connell', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-1.jpg', 3),
(4, 'Maria Ghoshal', 'Maecenas nec odio et ante tincidunt tempus\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-2.jpg', 1),
(5, 'Natalie Lafour', 'Curabitur ullamcorper ultricies nisi\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-3.jpg', 1),
(6, 'Patrick O\'Connell', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-1.jpg', 4),
(7, 'Maria Ghoshal', 'Maecenas nec odio et ante tincidunt tempus\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-2.jpg', 4),
(8, 'Natalie Lafour', 'Curabitur ullamcorper ultricies nisi\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-3.jpg', 4),
(9, 'Maria Ghoshal', 'Maecenas nec odio et ante tincidunt tempus\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-2.jpg', 3),
(10, 'Natalie Lafour', 'Curabitur ullamcorper ultricies nisi\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-3.jpg', 3),
(11, 'Maria Ghoshal', 'Maecenas nec odio et ante tincidunt tempus\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-2.jpg', 2),
(12, 'Natalie Lafour', 'Curabitur ullamcorper ultricies nisi\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-3.jpg', 2),
(13, 'Patrick O\'Connell', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-1.jpg', 5),
(14, 'Maria Ghoshal', 'Maecenas nec odio et ante tincidunt tempus\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-2.jpg', 5),
(15, 'Natalie Lafour', 'Curabitur ullamcorper ultricies nisi\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-3.jpg', 5),
(16, 'James D. Fox', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-5.jpg', 6),
(17, 'Fred E. Smith', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-4.jpg', 6),
(18, 'Kyle I. Gill', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-2.jpg', 6),
(19, 'Kevin L. Cree', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-20.jpg', 7),
(20, 'David K. Lewis', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-21.jpg', 7),
(21, 'Charles N. Beams', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-22.jpg', 7),
(22, 'Anthony J. Midkiff', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-7.jpg', 8),
(23, 'Anthony M. Gibbs', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-8.jpg', 8),
(24, 'Frank J. Baker', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-9.jpg', 8),
(25, 'Charles C. Carleton', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-25.jpg', 9),
(26, 'Shelton D. Trott', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-20.jpg', 9),
(27, 'Michael J. Powers', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-7.jpg', 9),
(28, 'Sherman M. Bombard', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-19.jpg', 10),
(29, 'Dustin E. Hatfield', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-25.jpg', 10),
(30, 'Larry J. Sisk', 'Phasellus viverra nulla ut metus varius laoreet\r\n<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 'images/joomlart/teams/item-22.jpg', 10);

DROP TABLE IF EXISTS `#__dtregister_sponsors`;
CREATE TABLE `#__dtregister_sponsors` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `event_id` bigint(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `logo` text DEFAULT NULL,
  `description` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8;

INSERT INTO `#__dtregister_sponsors` (`id`, `event_id`, `name`, `logo`, `description`) VALUES
(1, 1, '', 'images/joomlart/clients/item-1.png', ''),
(2, 2, '', 'images/joomlart/clients/item-1.png', ''),
(3, 3, '', 'images/joomlart/clients/item-1.png', ''),
(4, 1, '', 'images/joomlart/clients/item-2.png', ''),
(5, 1, '', 'images/joomlart/clients/item-3.png', ''),
(7, 1, '', 'images/joomlart/clients/item-5.png', ''),
(8, 1, '', 'images/joomlart/clients/item-6.png', ''),
(9, 4, '', 'images/joomlart/clients/item-1.png', ''),
(10, 4, '', 'images/joomlart/clients/item-2.png', ''),
(11, 4, '', 'images/joomlart/clients/item-3.png', ''),
(12, 4, '', 'images/joomlart/clients/item-4.png', ''),
(13, 4, '', 'images/joomlart/clients/item-5.png', ''),
(14, 4, '', 'images/joomlart/clients/item-5.png', ''),
(15, 3, '', 'images/joomlart/clients/item-2.png', ''),
(16, 3, '', 'images/joomlart/clients/item-3.png', ''),
(17, 3, '', 'images/joomlart/clients/item-4.png', ''),
(18, 3, '', 'images/joomlart/clients/item-5.png', ''),
(19, 3, '', 'images/joomlart/clients/item-6.png', ''),
(20, 2, '', 'images/joomlart/clients/item-2.png', ''),
(21, 2, '', 'images/joomlart/clients/item-3.png', ''),
(22, 2, '', 'images/joomlart/clients/item-4.png', ''),
(23, 2, '', 'images/joomlart/clients/item-5.png', ''),
(24, 2, '', 'images/joomlart/clients/item-6.png', ''),
(25, 5, '', 'images/joomlart/clients/item-1.png', ''),
(26, 5, '', 'images/joomlart/clients/item-2.png', ''),
(27, 5, '', 'images/joomlart/clients/item-3.png', ''),
(28, 5, '', 'images/joomlart/clients/item-4.png', ''),
(29, 5, '', 'images/joomlart/clients/item-5.png', ''),
(30, 5, '', 'images/joomlart/clients/item-6.png', ''),
(31, 6, 'Thomas J. Hubert', 'images/joomlart/clients/item-1.png', ''),
(32, 6, 'Daniel L. Woodward', 'images/joomlart/clients/item-3.png', ''),
(33, 6, 'Timothy M. Caulfield', 'images/joomlart/clients/item-4.png', ''),
(34, 6, 'Jason M. Mance', 'images/joomlart/clients/item-5.png', ''),
(35, 6, 'Juan D. Hill', 'images/joomlart/clients/item-6.png', ''),
(36, 7, 'Robert J. Hector', 'images/joomlart/clients/item-1.png', ''),
(37, 7, 'Anthony D. Gonzales', 'images/joomlart/clients/item-2.png', ''),
(38, 7, 'James K. Hambly', 'images/joomlart/clients/item-3.png', ''),
(39, 7, 'Michael D. Linn', 'images/joomlart/clients/item-5.png', ''),
(40, 7, 'Robert L. Morris', 'images/joomlart/clients/item-6.png', ''),
(41, 8, 'David W. Beauford', 'images/joomlart/clients/item-6.png', ''),
(42, 8, 'Timothy J. Ponce', 'images/joomlart/clients/item-2.png', ''),
(43, 8, 'Richard D. Elmore', 'images/joomlart/clients/item-3.png', ''),
(44, 8, 'Danilo M. Disney', 'images/joomlart/clients/item-5.png', ''),
(45, 8, 'Pete M. Bourdon', 'images/joomlart/clients/item-4.png', ''),
(46, 9, 'George P. Lanphear', 'images/joomlart/clients/item-1.png', ''),
(47, 9, 'Ken V. Poirier', 'images/joomlart/clients/item-2.png', ''),
(48, 9, 'Edward L. Nobles', 'images/joomlart/clients/item-3.png', ''),
(49, 9, 'Richard C. Johnson', 'images/joomlart/clients/item-4.png', ''),
(50, 9, 'Timothy C. Singh', 'images/joomlart/clients/item-5.png', ''),
(51, 10, 'Frank M. Broman', 'images/joomlart/clients/item-2.png', ''),
(52, 10, 'Darryl R. Mullen', 'images/joomlart/clients/item-3.png', ''),
(53, 10, 'Garth K. Brinkley', 'images/joomlart/clients/item-4.png', ''),
(54, 10, 'Troy C. Griffin', 'images/joomlart/clients/item-5.png', ''),
(55, 10, 'Michael K. Smith', 'images/joomlart/clients/item-6.png', '');

DROP TABLE IF EXISTS `#__dtregister_sync`;
CREATE TABLE `#__dtregister_sync` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `old_event_id` bigint(12) NOT NULL,
  `new_event_id` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_templates`;
CREATE TABLE `#__dtregister_templates` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `tmpl_content` text DEFAULT NULL,
  `subject` varchar(255) DEFAULT NULL,
  `from_name` varchar(255) DEFAULT NULL,
  `from_email` varchar(255) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `user_id` int(9) DEFAULT NULL,
  `public` tinyint(2) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_user`;
CREATE TABLE `#__dtregister_user` (
  `userId` int(11) NOT NULL AUTO_INCREMENT,
  `eventId` int(11) NOT NULL DEFAULT 0,
  `type` enum('I','G') DEFAULT 'I',
  `register_date` datetime DEFAULT NULL,
  `payment_type` varchar(100) DEFAULT NULL,
  `due_amount` decimal(10,2) NOT NULL DEFAULT 0.00,
  `pay_later_option` tinyint(4) NOT NULL DEFAULT 0,
  `confirmNum` varchar(50) DEFAULT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `payment_verified` tinyint(4) NOT NULL DEFAULT 1,
  `pay_later_paid` tinyint(4) NOT NULL DEFAULT 0,
  `discount_code_id` bigint(11) DEFAULT 0,
  `billing_firstname` varchar(150) DEFAULT NULL,
  `billing_lastname` varchar(150) DEFAULT NULL,
  `billing_address` varchar(255) DEFAULT NULL,
  `billing_city` varchar(150) DEFAULT NULL,
  `billing_state` varchar(150) DEFAULT NULL,
  `billing_zipcode` varchar(10) DEFAULT NULL,
  `billing_email` varchar(150) DEFAULT NULL,
  `due_payment` decimal(10,2) DEFAULT 0.00,
  `status` int(11) DEFAULT 0,
  `attend` int(2) DEFAULT 0,
  `paid_amount` varchar(30) DEFAULT NULL,
  `transaction_id` varchar(255) DEFAULT NULL,
  `memtot` int(4) DEFAULT 0,
  `cancel` int(11) DEFAULT 0,
  `tax_exemption` int(2) DEFAULT 0,
  `tax_exemption_code` varchar(100) DEFAULT NULL,
  `modified_on` datetime DEFAULT NULL,
  `ip` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`userId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_user_archive`;
CREATE TABLE `#__dtregister_user_archive` (
  `userId` int(11) NOT NULL DEFAULT 0,
  `eventId` int(11) NOT NULL DEFAULT 0,
  `type` enum('I','G') DEFAULT 'I',
  `register_date` datetime DEFAULT NULL,
  `payment_type` varchar(100) DEFAULT NULL,
  `due_amount` decimal(10,2) NOT NULL DEFAULT 0.00,
  `pay_later_option` tinyint(4) NOT NULL DEFAULT 0,
  `confirmNum` varchar(50) DEFAULT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `payment_verified` tinyint(4) NOT NULL DEFAULT 1,
  `pay_later_paid` tinyint(4) NOT NULL DEFAULT 0,
  `discount_code_id` bigint(11) DEFAULT 0,
  `billing_firstname` varchar(150) DEFAULT NULL,
  `billing_lastname` varchar(150) DEFAULT NULL,
  `billing_address` varchar(255) DEFAULT NULL,
  `billing_city` varchar(150) DEFAULT NULL,
  `billing_state` varchar(150) DEFAULT NULL,
  `billing_zipcode` varchar(10) DEFAULT NULL,
  `billing_email` varchar(150) DEFAULT NULL,
  `due_payment` decimal(10,2) DEFAULT 0.00,
  `status` int(11) DEFAULT 0,
  `attend` int(2) DEFAULT 0,
  `paid_amount` varchar(30) DEFAULT NULL,
  `transaction_id` varchar(255) DEFAULT NULL,
  `memtot` int(4) DEFAULT 0,
  `cancel` int(11) DEFAULT 0,
  `tax_exemption` int(2) DEFAULT 0,
  `tax_exemption_code` varchar(100) DEFAULT NULL,
  `modified_on` datetime DEFAULT NULL,
  `ip` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_user_field_values`;
CREATE TABLE `#__dtregister_user_field_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(7) DEFAULT 0,
  `user_id` int(7) DEFAULT 0,
  `value` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_user_field_values_archive`;
CREATE TABLE `#__dtregister_user_field_values_archive` (
  `id` int(11) NOT NULL DEFAULT 0,
  `field_id` int(7) DEFAULT 0,
  `user_id` int(7) DEFAULT 0,
  `value` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__dtregister_user_payments`;
CREATE TABLE `#__dtregister_user_payments` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(11) DEFAULT NULL,
  `payment_id` bigint(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 1,
  `protected` tinyint(3) NOT NULL DEFAULT 0,
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT 0,
  `state` int(11) DEFAULT 0,
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10022 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":"","save_history":"1","history_limit":10}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{"contact_layout":"_:default","show_contact_category":"hide","save_history":"1","history_limit":10,"show_contact_list":"0","presentation_style":"sliders","show_tags":"1","show_info":"1","show_name":"0","show_position":"1","show_email":"0","add_mailto_link":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_image":"1","image":"","show_misc":"1","allow_vcard":"0","show_articles":"0","articles_display_num":"10","show_profile":"0","show_user_custom_fields":["-1"],"show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_subcat_desc":"1","show_empty_categories":"0","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_subcat_desc_cat":"1","show_empty_categories_cat":"0","show_cat_items_cat":"1","filter_field":"0","show_pagination_limit":"0","show_headings":"1","show_image_heading":"0","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1","sef_advanced":0,"sef_ids":0,"custom_fields_enable":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{"show_jed_info":"1","cachetimeout":"6","minimum_stability":"4"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"newsfeed_layout":"_:default","save_history":"1","history_limit":5,"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"0","feed_display_order":"des","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"1","show_articles":"0","show_link":"1","show_pagination":"1","show_pagination_results":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}', '{"enabled":"0","search_phrases":"1","search_areas":"1","show_date":"1","opensearch_name":"","opensearch_description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"0","upload_limit":"10","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css,scss,sass","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","info_block_show_title":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_associations":"0","flags":"1","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"1","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"0","captcha":"","show_publishing_options":"1","show_article_options":"1","save_history":"1","history_limit":10,"show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"0","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_featured":"show","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0","sef_advanced":0,"sef_ids":0,"custom_fields_enable":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"9":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"9","sendpassword":"0","useractivation":"2","mail_to_admin":"1","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","minimum_length":"4","minimum_integers":"0","minimum_symbols":"0","minimum_uppercase":"0","save_history":"1","history_limit":5,"mailSubjectPrefix":"","mailBodySuffix":"","debugUsers":"1","debugGroups":"1","sef_advanced":0,"custom_fields_enable":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{"enabled":"0","show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_autosuggest":"1","show_suggested_query":"1","show_explained_query":"1","show_advanced":"1","show_advanced_tips":"1","expand_advanced":"0","show_date_filters":"0","sort_order":"relevance","sort_direction":"desc","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stem":"1","stemmer":"snowball","enable_logging":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{"updatesource":"default","customurl":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"tag_layout":"_:default","save_history":"1","history_limit":5,"show_tag_title":"0","tag_list_show_tag_image":"0","tag_list_show_tag_description":"0","tag_list_image":"","tag_list_orderby":"title","tag_list_orderby_direction":"ASC","show_headings":"0","tag_list_show_date":"0","tag_list_show_item_image":"0","tag_list_show_item_description":"0","tag_list_item_maximum_characters":0,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"title","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"0","all_tags_show_tag_descripion":"0","all_tags_tag_maximum_characters":20,"all_tags_show_tag_hits":"0","filter_field":"1","show_pagination_limit":"1","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 1, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{"name":"com_fields","type":"component","creationDate":"March 2016","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{"name":"com_associations","type":"component","creationDate":"January 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_ASSOCIATIONS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(35, 0, 'com_privacy', 'component', 'com_privacy', '', 1, 1, 1, 1, '{"name":"com_privacy","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_PRIVACY_XML_DESCRIPTION","group":"","filename":"privacy"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(36, 0, 'com_actionlogs', 'component', 'com_actionlogs', '', 1, 1, 1, 1, '{"name":"com_actionlogs","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_ACTIONLOGS_XML_DESCRIPTION","group":""}', '{"ip_logging":0,"csv_delimiter":",","loggable_extensions":["com_banners","com_cache","com_categories","com_checkin","com_config","com_contact","com_content","com_installer","com_media","com_menus","com_messages","com_modules","com_newsfeeds","com_plugins","com_redirect","com_tags","com_templates","com_users"]}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"LIB_PHPUTF8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"LIB_JOOMLA","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"https:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"mediaversion":"504989f872025cadf85b785c6b559ac9"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"LIB_IDNA","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{"name":"LIB_PHPASS","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":"","filename":"phpass"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":"","filename":"mod_finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":"","filename":"mod_version"}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 1, 1, 0, '{"name":"mod_sampledata","type":"module","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"MOD_SAMPLEDATA_XML_DESCRIPTION","group":"","filename":"mod_sampledata"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(319, 0, 'mod_latestactions', 'module', 'mod_latestactions', '', 1, 1, 1, 0, '{"name":"mod_latestactions","type":"module","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_LATESTACTIONS_XML_DESCRIPTION","group":"","filename":"mod_latestactions"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(320, 0, 'mod_privacy_dashboard', 'module', 'mod_privacy_dashboard', '', 1, 1, 1, 0, '{"name":"mod_privacy_dashboard","type":"module","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION","group":"","filename":"mod_privacy_dashboard"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 0, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"http:\\/\\/codemirror.net\\/","version":"5.40.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2018","author":"Ephox Corporation","copyright":"Ephox Corporation","authorEmail":"N\\/A","authorUrl":"http:\\/\\/www.tinymce.com","version":"4.5.9","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}', '{"configuration":{"toolbars":{"2":{"toolbar1":["bold","underline","strikethrough","|","undo","redo","|","bullist","numlist","|","pastetext"]},"1":{"menu":["edit","insert","view","format","table","tools"],"toolbar1":["bold","italic","underline","strikethrough","|","alignleft","aligncenter","alignright","alignjustify","|","formatselect","|","bullist","numlist","|","outdent","indent","|","undo","redo","|","link","unlink","anchor","code","|","hr","table","|","subscript","superscript","|","charmap","pastetext","preview"]},"0":{"menu":["edit","insert","view","format","table","tools"],"toolbar1":["bold","italic","underline","strikethrough","|","alignleft","aligncenter","alignright","alignjustify","|","styleselect","|","formatselect","fontselect","fontsizeselect","|","searchreplace","|","bullist","numlist","|","outdent","indent","|","undo","redo","|","link","unlink","anchor","image","|","code","|","forecolor","backcolor","|","fullscreen","|","table","|","subscript","superscript","|","charmap","emoticons","media","hr","ltr","rtl","|","cut","copy","paste","pastetext","|","visualchars","visualblocks","nonbreaking","blockquote","template","|","print","preview","codesample","insertdatetime","removeformat"]}},"setoptions":{"2":{"access":["1"],"skin":"0","skin_admin":"0","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","use_config_textfilters":"0","invalid_elements":"script,applet,iframe","valid_elements":"","extended_elements":"","resizing":"1","resize_horizontal":"1","element_path":"1","wordcount":"1","image_advtab":"0","advlist":"1","autosave":"1","contextmenu":"1","custom_plugin":"","custom_button":""},"1":{"access":["6","2"],"skin":"0","skin_admin":"0","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","use_config_textfilters":"0","invalid_elements":"script,applet,iframe","valid_elements":"","extended_elements":"","resizing":"1","resize_horizontal":"1","element_path":"1","wordcount":"1","image_advtab":"0","advlist":"1","autosave":"1","contextmenu":"1","custom_plugin":"","custom_button":""},"0":{"access":["7","4","8"],"skin":"0","skin_admin":"0","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","use_config_textfilters":"0","invalid_elements":"script,applet,iframe","valid_elements":"","extended_elements":"","resizing":"1","resize_horizontal":"1","element_path":"1","wordcount":"1","image_advtab":"1","advlist":"1","autosave":"1","contextmenu":"1","custom_plugin":"","custom_button":""}}},"sets_amount":3,"html_height":"550","html_width":"750"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 0, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}', '', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 0, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}', '', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"autoregister":"1","mail_to_user":"1","forceLogout":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}', '', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 0, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":"","filename":"highlight"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":"","filename":"cookie"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 1, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"search_limit":"50","show_tagged_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{"name":"plg_system_updatenotification","type":"plugin","creationDate":"May 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION","group":"","filename":"updatenotification"}', '{"lastrun":1557717388}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_module","type":"plugin","creationDate":"October 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_MODULE_XML_DESCRIPTION","group":"","filename":"module"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 1, 1, 0, '{"name":"plg_system_stats","type":"plugin","creationDate":"November 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_STATS_XML_DESCRIPTION","group":"","filename":"stats"}', '{"mode":3,"lastrun":"","unique_id":"9050fc2f4448bb6d2feddf9bb735818b941b485b","interval":12}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(455, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 1, '{"name":"plg_installer_packageinstaller","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"packageinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(456, 0, 'PLG_INSTALLER_FOLDERINSTALLER', 'plugin', 'folderinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_FOLDERINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"folderinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(457, 0, 'PLG_INSTALLER_URLINSTALLER', 'plugin', 'urlinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_URLINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"urlinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_phpversioncheck","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION","group":"","filename":"phpversioncheck"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_menu","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION","group":"","filename":"menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_contact","type":"plugin","creationDate":"October 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{"name":"plg_system_fields","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_SYSTEM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_calendar","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CALENDAR_XML_DESCRIPTION","group":"","filename":"calendar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_checkboxes","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION","group":"","filename":"checkboxes"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_color","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_COLOR_XML_DESCRIPTION","group":"","filename":"color"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_editor","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_EDITOR_XML_DESCRIPTION","group":"","filename":"editor"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_imagelist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION","group":"","filename":"imagelist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_integer","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_INTEGER_XML_DESCRIPTION","group":"","filename":"integer"}', '{"multiple":"0","first":"1","last":"100","step":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_list","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_LIST_XML_DESCRIPTION","group":"","filename":"list"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_media","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_radio","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_RADIO_XML_DESCRIPTION","group":"","filename":"radio"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_sql","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_SQL_XML_DESCRIPTION","group":"","filename":"sql"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_text","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXT_XML_DESCRIPTION","group":"","filename":"text"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_textarea","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION","group":"","filename":"textarea"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_url","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_URL_XML_DESCRIPTION","group":"","filename":"url"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_user","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USER_XML_DESCRIPTION","group":"","filename":"user"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_usergrouplist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION","group":"","filename":"usergrouplist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{"name":"plg_content_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_CONTENT_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 1, 1, 0, '{"name":"plg_sampledata_blog","type":"plugin","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION","group":"","filename":"blog"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(480, 0, 'plg_system_sessiongc', 'plugin', 'sessiongc', 'system', 0, 1, 1, 0, '{"name":"plg_system_sessiongc","type":"plugin","creationDate":"February 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.6","description":"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION","group":"","filename":"sessiongc"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(481, 0, 'plg_fields_repeatable', 'plugin', 'repeatable', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_repeatable","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION","group":"","filename":"repeatable"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(482, 0, 'plg_content_confirmconsent', 'plugin', 'confirmconsent', 'content', 0, 1, 1, 0, '{"name":"plg_content_confirmconsent","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION","group":"","filename":"confirmconsent"}', '{"consentbox_text":"Basic plugin to request user\'s consent to the site\'s privacy policy.","privacy_article":33}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(483, 0, 'PLG_SYSTEM_ACTIONLOGS', 'plugin', 'actionlogs', 'system', 0, 0, 1, 0, '{"name":"PLG_SYSTEM_ACTIONLOGS","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(484, 0, 'PLG_ACTIONLOG_JOOMLA', 'plugin', 'joomla', 'actionlog', 0, 1, 1, 0, '{"name":"PLG_ACTIONLOG_JOOMLA","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(485, 0, 'plg_system_privacyconsent', 'plugin', 'privacyconsent', 'system', 0, 1, 1, 0, '{"name":"plg_system_privacyconsent","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION","group":"","filename":"privacyconsent"}', '{"privacy_note":"Basic plugin to request user\'s consent to the site\'s privacy policy.","privacy_article":33,"messageOnRedirect":"Basic plugin to request user\'s consent to the site\'s privacy policy.","enabled":0,"cachetimeout":30,"consentexpiration":360,"remind":30,"lastrun":0}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(486, 0, 'plg_system_logrotation', 'plugin', 'logrotation', 'system', 0, 1, 1, 0, '{"name":"plg_system_logrotation","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION","group":"","filename":"logrotation"}', '{"lastrun":1555401151}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(487, 0, 'plg_privacy_user', 'plugin', 'user', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_user","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_USER_XML_DESCRIPTION","group":"","filename":"user"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(488, 0, 'plg_quickicon_privacycheck', 'plugin', 'privacycheck', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_privacycheck","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION","group":"","filename":"privacycheck"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(489, 0, 'plg_user_terms', 'plugin', 'terms', 'user', 0, 0, 1, 0, '{"name":"plg_user_terms","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_USER_TERMS_XML_DESCRIPTION","group":"","filename":"terms"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(490, 0, 'plg_privacy_contact', 'plugin', 'contact', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_contact","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(491, 0, 'plg_privacy_content', 'plugin', 'content', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_content","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(492, 0, 'plg_privacy_message', 'plugin', 'message', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_message","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION","group":"","filename":"message"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(493, 0, 'plg_privacy_actionlogs', 'plugin', 'actionlogs', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_actionlogs","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(494, 0, 'plg_captcha_recaptcha_invisible', 'plugin', 'recaptcha_invisible', 'captcha', 0, 0, 1, 0, '{"name":"plg_captcha_recaptcha_invisible","type":"plugin","creationDate":"November 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8","description":"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION","group":"","filename":"recaptcha_invisible"}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(495, 0, 'plg_privacy_consents', 'plugin', 'consents', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_consents","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION","group":"","filename":"consents"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 802, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"May 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.6","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 802, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"May 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.6","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"May 2019","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.6","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(802, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB) Language Pack","type":"package","creationDate":"May 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.6.1","description":"en-GB language pack","group":"","filename":"pkg_en-GB"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10000, 0, 'MOD_JA_ACM', 'module', 'mod_ja_acm', '', 0, 1, 1, 0, '{"name":"MOD_JA_ACM","type":"module","creationDate":"30 August 2017","author":"JoomlArt","copyright":"Copyright \\u00a9 2005 - 2015 JoomlArt.com. All Rights Reserved.","authorEmail":"info@joomlart.com","authorUrl":"www.joomlart.com","version":"2.1.4","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<div style=\\"background:url(\'http:\\/\\/joomlart.s3.amazonaws.com\\/images\\/userguide\\/ja_templates\\/uber\\/acm-logo.png\') no-repeat top left;padding-left:100px;\\">\\n\\t\\t\\t\\t<h1>JA ACM Module for Joomla 2.5 & 3.x<\\/h1>\\n\\t\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t\\t\\t<p>JA ACM module (JoomlArt Advanced Custom module) is to help you build content blocks for your Joomla site easily based on pre-made layouts and styles. The content blocks together will build a landing page or a complete site for you. <\\/p>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t<p>Highlighted features:<\\/p>\\n\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t\\t<ul>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">12+ block types: At this phase, we round up typical blocks that Uber has to offer. Each block type comes with multiple styles.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">Easy editing & defining your page-specific field sets within each block. Each block has its own LESS file, so you have full control to define your own class and style.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">Content-creator-friendly: completely separate content & design. No longer mixing HTML syntax embedded inside article.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">Allow us to dig deeper into the modular block approach which eases our page management effort.<\\/li>\\n\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"mod_ja_acm"}', '{"jatools-config":"1","cache":"1","cache_time":"900","cachemode":"itemid"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 0, 'JA Masthead', 'module', 'mod_jamasthead', '', 0, 1, 1, 0, '{"name":"JA Masthead","type":"module","creationDate":"Jul 2018","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"1.0.5","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<h2>JA Masthead Module for Joomla 2.5 & 3.x<\\/h2>\\n\\t\\t\\t<p>JA Masthead Module is used to Masthead title like the JoomlArt Masthead. With this module, the Masshead can be configured to be in any pages with different titles, descriptions as well as background images and background video. For video background, it supports local video with types: .mp4, ogg, webm.<\\/p>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"mod_jamasthead"}', '{"default-title":"","default-description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 0, 'T3 Framework', 'plugin', 't3', 'system', 0, 1, 1, 0, '{"name":"T3 Framework","type":"plugin","creationDate":"Nov 01, 2018","author":"JoomlArt.com","copyright":"Copyright (C) 2005 - 2018 Open Source Matters. All rights reserved.","authorEmail":"info@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"2.7.3","description":"\\n\\t\\n\\t<div align=\\"center\\">\\n\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/t3-framework.org\\/\\"><img src=\\"http:\\/\\/static.joomlart.com\\/images\\/jat3v3-documents\\/message-installation\\/logo.png\\" alt=\\"some_text\\" width=\\"300\\" height=\\"99\\"><\\/a>\\n\\t\\t\\t\\t<h4><a href=\\"http:\\/\\/t3-framework.org\\/\\" title=\\"\\">Home<\\/a> | <a href=\\"http:\\/\\/demo.t3-framework.org\\/\\" title=\\"\\">Demo<\\/a> | <a href=\\"http:\\/\\/t3-framework.org\\/documentation\\" title=\\"\\">Document<\\/a> | <a href=\\"https:\\/\\/github.com\\/t3framework\\/t3\\/blob\\/master\\/CHANGELOG.md\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\t\\t<p> <\\/p>\\n\\t\\t<p>Copyright 2004 - 2018 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n     <style>table.adminform{width: 100%;}<\\/style>\\n\\t <\\/div>\\n\\t\\t\\n\\t","group":"","filename":"t3"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 0, 'ja_fit', 'template', 'ja_fit', '', 0, 1, 1, 0, '{"name":"ja_fit","type":"template","creationDate":"July 02, 2018","author":"JoomlArt.com","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"1.0.0","description":"\\n\\t\\t\\n\\t\\t<div align=\\"center\\">\\n\\t\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<h3><a href=\\"\\/\\/www.joomlart.com\\/joomla\\/templates\\/ja-fit\\">Joomla template for Gym and Fitness - JA Fit<\\/a><\\/h3>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<h4><a href=\\"\\/\\/www.joomlart.com\\/joomla\\/templates\\/ja-fit\\" title=\\"\\">Home<\\/a> | <a href=\\"\\/\\/joomlart.com\\/demo\\/#ja_fit\\" title=\\"\\">Demo<\\/a> | <a href=\\"http:\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-fit\\" title=\\"\\">Document<\\/a> | <a href=\\"\\/\\/pm.joomlart.com\\/browse\\/JATCFIT\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\n\\t\\t\\t\\t<p>JA Fit is Gym and Fitness Joomla template with creative, modern design, multiple theme color support, beautiful pages: category blog, event\\/schedule list and detail page, calendar page based on advanced Joomla event registration extension - DT Register and more.<\\/p>\\n\\n\\t\\t\\t\\t<span style=\\"color:#FF0000\\">Note: T3 blank requires T3 plugin to be installed and enabled.<\\/span><p><\\/p>\\n\\t\\t\\t\\t<p>Copyright 2004 - 2018 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<style>table.adminform{width: 100%;}<\\/style>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"templateDetails"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 0, 'System - JA Google Map', 'plugin', 'jagooglemap', 'system', 0, 1, 1, 0, '{"name":"System - JA Google Map","type":"plugin","creationDate":"Oct 2017","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"2.6.5","description":"\\n\\t\\t\\n\\t\\t<div style=\'font-weight:normal; text-align: left;\'>\\n\\t\\t\\t<span style=\\"color: #008000;\\">\\n\\t\\t\\t\\t<strong>Google Maps Plugin for Joomla 2.5 and Joomla 3.x<\\/strong>\\n\\t\\t\\t<\\/span>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t<p><img src=\\"http:\\/\\/static.s3.amazonaws.com\\/images\\/mis\\/coming_up_teaser\\/ja_map_logo.jpg\\" \\/><\\/p>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<span style=\\"color: #ff6600;\\">\\n\\t\\t\\t\\t\\t<strong>Features:<\\/strong>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t<ol>\\n\\t\\t\\t\\t<li>Easy to use. Change configuration values, check the checkboxes to include the values in the code, copy the code and paste into your article.<\\/li>\\n\\t\\t\\t\\t<li>Tooltips added to all config options, with description and help text. Hover your mouse over the configuration options and read the tips.<\\/li>\\n\\t\\t\\t<\\/ol>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<strong>\\n\\t\\t\\t\\t\\t<span style=\\"color: #ff6600;\\">Requirements:<\\/span>\\n\\t\\t\\t\\t<\\/strong>\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t<ol>\\n\\t\\t\\t\\t<li> Google Map API Key is required to validate requests from your site to Google Maps, sign up for a Google Map API Key <a target=\\"_blank\\" href=\\"http:\\/\\/code.google.com\\/apis\\/maps\\/signup.html\\">HERE<\\/a> .<\\/li>\\n\\t\\t\\t\\t<li>If you plan to use Latitude &amp; Longitude for your target location. Get co-ordinates from <a target=\\"_blank\\" href=\\"http:\\/\\/www.satsig.net\\/maps\\/lat-long-finder.htm\\">HERE<\\/a>. Pick the co-ordinates as shown in the screenshot below.<\\/li>\\n\\t\\t\\t<\\/ol>\\n\\t\\t\\t<img src=\\"http:\\/\\/static.s3.amazonaws.com\\/images\\/mis\\/Latitude_Longitude_picker.png\\" \\/>\\n\\t\\t\\t<p style=\\"clear:both;\\"><br \\/>\\n\\t\\t\\t\\t<span style=\\"color: #008000;\\">\\n\\t\\t\\t\\t\\t<strong>Watch the Video<\\/strong>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<object data=\\"http:\\/\\/www.youtube.com\\/v\\/4YHh4JGpTig&amp;hl=en&amp;fs=1&amp;rel=0\\" type=\\"application\\/x-shockwave-flash\\" height=\\"385\\" width=\\"480\\"><param name=\\"allowfullscreen\\" value=\\"true\\" \\/><param name=\\"allowscriptaccess\\" value=\\"always\\" \\/><param name=\\"src\\" value=\\"http:\\/\\/www.youtube.com\\/v\\/4YHh4JGpTig&amp;hl=en&amp;fs=1&amp;rel=0\\" \\/><\\/object>\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t<p>Right click on the video and Click \\"Open in Youtube\\" to view full screen.<\\/p>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<strong>\\n\\t\\t\\t\\t\\t<span style=\\"color: #ff0000;\\">Important Instruction:<\\/span>\\n\\t\\t\\t\\t\\t<br \\/>\\n\\t\\t\\t\\t<\\/strong>\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t<ol>\\n\\t\\t\\t\\t<li>Use the Code generator to generate codes. However do not save the plugin settings when done. Always Hit the Close Button.<\\/li>\\n\\t\\t\\t\\t<li><span style=\\"color: #ff0000;\\">DO NOT<\\/span> save settings each time you generate the map, the default configured maps will be affected. This is true incase your earlier maps CODE do not have the override values in them. Hit the Cancel button to preserve your default settings.<\\/li>\\n\\t\\t\\t\\t<li>If your map is not seen in the article, then SwitchOver to HTML Source Edit view, while inserting the code into the desired location<\\/li>\\n\\t\\t\\t<\\/ol>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<span style=\\"color: #008000;\\">\\n\\t\\t\\t\\t\\t<strong>Links:<\\/strong>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<a target=\\"_blank\\" href=\\"http:\\/\\/www.joomlart.com\\/forums\\/forumdisplay.php?f=172\\">JA Google Map Forum<\\/a><p> <a target=\\"_blank\\" href=\\"http:\\/\\/pm.joomlart.com\\/browse\\/JAECPLGGMAPJIVI\\">Found a Bug? \\/ Have a Wishlist? Report here<\\/a><\\/p><p>Copyright 2012 <a href=\\"http:\\/\\/www.joomlart.com\\/\\" title=\\"Visit Joomlart.com!\\">JoomlArt.com<\\/a>.\\n\\t\\t\\t<\\/p>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"jagooglemap"}', '{"api_key":"AIzaSyCNIJV_hl5sVimQSQlc7PsP9-Kz0KGGQ1Y","disable_map":"0","mode":"normal","locations":{"location":[""],"latitude":[""],"longitude":[""],"info":[""]},"zoom":"15","maptype":"normal","map_width":"1500","map_height":"300","maptype_control_display":"1","mapstyles_control_display":"1","map_styles":"[{\\"featureType\\":\\"water\\",\\"elementType\\":\\"geometry\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":17}]},{\\"featureType\\":\\"landscape\\",\\"elementType\\":\\"geometry\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":20}]},{\\"featureType\\":\\"road.highway\\",\\"elementType\\":\\"geometry.fill\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":17}]},{\\"featureType\\":\\"road.highway\\",\\"elementType\\":\\"geometry.stroke\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":29},{\\"weight\\":0.2}]},{\\"featureType\\":\\"road.arterial\\",\\"elementType\\":\\"geometry\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":18}]},{\\"featureType\\":\\"road.local\\",\\"elementType\\":\\"geometry\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":16}]},{\\"featureType\\":\\"poi\\",\\"elementType\\":\\"geometry\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":21}]},{\\"elementType\\":\\"labels.text.stroke\\",\\"stylers\\":[{\\"visibility\\":\\"on\\"},{\\"color\\":\\"#000000\\"},{\\"lightness\\":16}]},{\\"elementType\\":\\"labels.text.fill\\",\\"stylers\\":[{\\"saturation\\":36},{\\"color\\":\\"#000000\\"},{\\"lightness\\":40}]},{\\"elementType\\":\\"labels.icon\\",\\"stylers\\":[{\\"visibility\\":\\"off\\"}]},{\\"featureType\\":\\"transit\\",\\"elementType\\":\\"geometry\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":19}]},{\\"featureType\\":\\"administrative\\",\\"elementType\\":\\"geometry.fill\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":20}]},{\\"featureType\\":\\"administrative\\",\\"elementType\\":\\"geometry.stroke\\",\\"stylers\\":[{\\"color\\":\\"#000000\\"},{\\"lightness\\":17},{\\"weight\\":1.2}]}]","maptype_control_style":"drop_down","maptype_control_position":"TR","toolbar_control_display":"1","toolbar_control_style":"default","toolbar_control_position":"TL","disable_scrollwheelzoom":"0","display_scale":"0","display_overview":"0","clustering":"0","center":"all","code_container":"{jamap }"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10016, 0, 'com_jaextmanager', 'component', 'com_jaextmanager', '', 1, 1, 0, 0, '{"name":"com_jaextmanager","type":"component","creationDate":"May 29th, 2018","author":"JoomlArt","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"2.6.4","description":"JA Extension Manager Component","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10017, 10021, 'JUB', 'plugin', 'jabuilder', 'system', 0, 1, 1, 0, '{"name":"JUB","type":"plugin","creationDate":"Sep 21, 2018","author":"JoomlArt.com","copyright":"Copyright (C) 2005 - 2018 Open Source Matters. All rights reserved.","authorEmail":"info@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"1.1.6","description":"\\n\\t\\t<div align=\\"left\\" style=\\"background-color: #dff0d8; border: 1px solid #d6e9c6; border-radius: 2px; color: #3c763d; padding: 20px;\\">\\n\\t\\t\\t\\t<h3 style=\\"margin: 0 0 20px; font-size: 24px;\\">JA Universal Plugin<\\/h3>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<p>JA Builder is dedicated builder tool for Joomla CMS to build pages, landing pages, layouts based on pre-made content blocks and powerful options to help any user handle all the website development work with ease. Newbies will have fun learning and developers would love it.<\\/p>\\n\\t\\t\\t\\n\\t\\t\\t\\t<p>Access Extensions \\u00bb Plugin and find the JoomlArt Universal Builder plugin then enable it.<\\/p>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<div class=\\"btn-actions\\">\\n\\t\\t\\t\\t<a href=\\"\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-builder\\" title=\\"Document\\" class=\\"primary\\">Document<\\/a>\\n\\t\\t\\t\\t<a href=\\"https:\\/\\/www.joomlart.com\\/forums\\/forum\\/joomlart-public-forums\\/ja-site-builder\\/\\" title=\\"Forum\\">Forum<\\/a>\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/demo.builder.joomlart.com\\/\\" title=\\"Demo\\">Demo<\\/a>\\n\\t\\t\\t\\t<a href=\\"https:\\/\\/www.joomlart.com\\/ja-builder\\" title=\\"More info\\">More info...<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<p style=\\"font-size: 12px; margin-bottom: 0;\\">Copyright 2004 - 2018 <a href=\'\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t\\t\\t<p>This extension collects anonymous data comprising server and joomla environment. <a href=\\"https:\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-builder#collect-data\\" target=\\"_blank\\">Details click here<\\/a><\\/p>\\n\\t\\t\\t<style>\\n\\t\\t\\t  .btn-actions {margin: 30px 0;}\\n\\t\\t\\t  .btn-actions a {background: #fff; border: 1px solid #ddd; border-radius: 2px; color: #666; box-shadow: 0 -2px 0 rgba(0,0,0,0.1) inset; font-size: 16px; letter-spacing: 0.5px; padding: 8px 20px 9px; margin: 0 5px 0 0; text-decoration: none; transition: all 0.35s;}\\n\\t\\t\\t  .btn-actions a.primary {background-color: #2e7d32; border-color: #2e7d32; color: #fff;}\\n\\t\\t\\t  .btn-actions a:hover, .btn-actions a:focus {background: #01579b; border-color: #01579b; color: #fff;}\\n\\t\\t\\t  <\\/style>\\n\\t\\t<\\/div>\\n\\t\\t","group":"","filename":"jabuilder"}', '{"upload_max_size":"1","max_revisions_load":"100","receivers":"","nobootstrap":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10018, 10021, 'com_jabuilder', 'component', 'com_jabuilder', '', 1, 1, 0, 0, '{"name":"com_jabuilder","type":"component","creationDate":"May 10, 2017","author":"JoomlArt.com","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"1.0.5","description":"\\n\\t\\t<div align=\\"center\\">\\n\\t\\t\\t<div align=\\"left\\" style=\\"background-color: #dff0d8; border: 1px solid #d6e9c6; border-radius: 2px; color: #3c763d; padding: 20px;\\">\\n\\t\\t\\t\\t<h3 style=\\"margin: 0 0 20px; font-size: 24px;\\">JA Builder Component<\\/h3>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<p>JA Builder is dedicated builder tool for Joomla CMS to build pages, landing pages, layouts based on pre-made content blocks and powerful options to help any user handle all the website development work with ease. Newbies will have fun learning and developers would love it.<\\/p>\\n\\t\\t\\t\\n\\t\\t\\t\\t<p>Access Components \\u00bb JA Builder and you can create new pages, layouts and edit pages, layout on front-end.<\\/p>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<div class=\\"btn-actions\\">\\n\\t\\t\\t\\t<a href=\\"\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-builder\\" title=\\"Document\\" class=\\"primary\\">Document<\\/a>\\n\\t\\t\\t\\t<a href=\\"https:\\/\\/www.joomlart.com\\/forums\\/forum\\/joomlart-public-forums\\/ja-site-builder\\/\\" title=\\"Forum\\">Forum<\\/a>\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/demo.builder.joomlart.com\\/\\" title=\\"Demo\\">Demo<\\/a>\\n\\t\\t\\t\\t<a href=\\"https:\\/\\/www.joomlart.com\\/ja-builder\\" title=\\"More info\\">More info...<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<p style=\\"font-size: 12px;\\">Copyright 2004 - 2017 <a href=\'\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n      \\n\\t\\t\\t\\t<p>This extension collects anonymous data comprising server and joomla environment. <a href=\\"https:\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-builder#collect-data\\" target=\\"_blank\\">Details click here<\\/a><\\/p>\\n\\t  \\t\\t\\t<\\/div>\\n\\t\\t\\t<style>\\n\\t\\t\\t  .btn-actions {margin: 30px 0;}\\n\\t\\t\\t  .btn-actions a {background: #fff; border: 1px solid #ddd; border-radius: 2px; color: #666; box-shadow: 0 -2px 0 rgba(0,0,0,0.1) inset; font-size: 16px; letter-spacing: 0.5px; padding: 8px 20px 9px; margin: 0 5px 0 0; text-decoration: none; transition: all 0.35s;}\\n\\t\\t\\t  .btn-actions a.primary {background-color: #2e7d32; border-color: #2e7d32; color: #fff;}\\n\\t\\t\\t  .btn-actions a:hover, .btn-actions a:focus {background: #01579b; border-color: #01579b; color: #fff;}\\n\\t\\t\\t  <\\/style>\\n\\t\\t<\\/div>\\n\\t\\t","group":"","filename":"jabuilder"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10019, 10021, 'JA Builder Quick Icons', 'module', 'mod_jabuilder_quickicons', '', 1, 1, 2, 0, '{"name":"JA Builder Quick Icons","type":"module","creationDate":"March 22, 2017","author":"JoomlArt","copyright":"Copyright \\u00a9 2005 - 2017 JoomlArt.com. All Rights Reserved.","authorEmail":"info@joomlart.com","authorUrl":"www.joomlart.com","version":"1.0.1","description":"","group":"","filename":"mod_jabuilder_quickicons"}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10020, 10021, 'JA Builder Admin Menu', 'module', 'mod_jabuilder_admin_menu', '', 1, 1, 2, 0, '{"name":"JA Builder Admin Menu","type":"module","creationDate":"March 14, 2017","author":"Joomlart","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"1.0.0","description":"JA Builder Admin Menu","group":"","filename":"mod_jabuilder_admin_menu"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__fields`;
CREATE TABLE `#__fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `context` varchar(255) NOT NULL DEFAULT '',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(255) NOT NULL DEFAULT '',
  `default_value` text NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'text',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `required` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `fieldparams` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_categories`;
CREATE TABLE `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT 0,
  `category_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`field_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_groups`;
CREATE TABLE `#__fields_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `context` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_values`;
CREATE TABLE `#__fields_values` (
  `field_id` int(10) unsigned NOT NULL,
  `item_id` varchar(255) NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text NOT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__jabuilder_pages`;
CREATE TABLE `#__jabuilder_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `alias` text NOT NULL,
  `slug` varchar(255) NOT NULL,
  `type` text NOT NULL,
  `content` mediumtext NOT NULL,
  `data` mediumtext NOT NULL,
  `parent` int(11) NOT NULL DEFAULT 0,
  `state` int(11) NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  `params` mediumtext NOT NULL,
  `published_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__jabuilder_revisions`;
CREATE TABLE `#__jabuilder_revisions` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `itemid` int(20) NOT NULL DEFAULT 0,
  `itemtype` varchar(10) NOT NULL,
  `data` mediumtext NOT NULL,
  `rev` int(11) NOT NULL DEFAULT 0,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `note` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lang_code` char(7) binary NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English (en-GB)', 'English (United Kingdom)', 'en', 'en_gb', '', '', '', '', 1, 1, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) binary NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=254 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 185, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 1, 10, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 2, 3, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 4, 5, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 6, 7, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 8, 9, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 65, 70, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 66, 67, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 68, 69, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 71, 74, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 72, 73, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 75, 80, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 76, 77, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 78, 79, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 81, 82, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 83, 84, 0, '*', 1),
(18, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 85, 86, 0, '*', 1),
(19, 'main', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 87, 88, 0, '*', 1),
(20, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 89, 90, 0, '', 1),
(21, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 1, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 91, 92, 0, '*', 1),
(22, 'main', 'com_associations', 'Multilingual Associations', '', 'Multilingual Associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 0, 'class:associations', 0, '', 93, 94, 0, '*', 1),
(101, 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"1","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"Joomla template for Gym and Fitness - JA Fit","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"JA Fit is Gym and Fitness Joomla template with creative, modern design, multiple theme color support, beautiful pages: category blog, event\\/schedule list and detail page, calendar page based on advanced Joomla event registration extension - DT Register and more","menu-meta_keywords":"travel joomla template, tour guide joomla template, directory joomla template, travel guide joomla template, t3 framework joomla template","robots":"","secure":0}', 11, 20, 1, '*', 0),
(102, 'mainmenu', 'Contact', 'contact', '', 'contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"presentation_style":"plain","show_contact_category":"","show_contact_list":"","show_tags":"","show_info":"","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 63, 64, 0, '*', 0),
(103, 'mainmenu', 'Our Blog', 'our-blog', '', 'our-blog', 'index.php?option=com_content&view=categories&id=2', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"-1","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_pagination":"","show_pagination_results":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 23, 24, 0, '*', 0),
(104, 'mainmenu', 'Pages', 'pages', '', 'pages', '', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 31, 62, 0, '*', 0),
(105, 'mainmenu', 'User Pages', 'user-pages', '', 'pages/user-pages', 'index.php?option=com_users&view=login', 'component', 1, 104, 2, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"loginredirectchoice":"1","login_redirect_url":"","login_redirect_menuitem":"","logindescription_show":"1","login_description":"","login_image":"","logoutredirectchoice":"1","logout_redirect_url":"","logout_redirect_menuitem":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 32, 41, 0, '*', 0),
(106, 'mainmenu', 'Login Form', 'login-form', '', 'pages/user-pages/login-form', 'index.php?option=com_users&view=login', 'component', 1, 105, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"loginredirectchoice":"1","login_redirect_url":"","login_redirect_menuitem":"","logindescription_show":"1","login_description":"","login_image":"","logoutredirectchoice":"1","logout_redirect_url":"","logout_redirect_menuitem":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"1","page_heading":"Login","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 33, 34, 0, '*', 0),
(107, 'mainmenu', 'User Profile', 'user-profile', '', 'pages/user-pages/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 105, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 35, 36, 0, '*', 0),
(108, 'mainmenu', 'Registration Form', 'registration-form', '', 'pages/user-pages/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 105, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 37, 38, 0, '*', 0),
(109, 'mainmenu', 'Edit User Profile', 'edit-user-profile', '', 'pages/user-pages/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 105, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 39, 40, 0, '*', 0),
(110, 'mainmenu', 'Other Pages', 'other-pages', '', 'pages/other-pages', '', 'heading', 1, 104, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 42, 51, 0, '*', 0),
(111, 'mainmenu', 'Search', 'search', '', 'pages/other-pages/search', 'index.php?option=com_search&view=search', 'component', 1, 110, 3, 19, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"search_phrases":"","search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 43, 44, 0, '*', 0),
(112, 'mainmenu', 'Smart Search', 'smart-search', '', 'pages/other-pages/smart-search', 'index.php?option=com_finder&view=search', 'component', 1, 110, 3, 27, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":"","show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"","show_suggested_query":"","show_explained_query":"","sort_order":"","sort_direction":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 45, 46, 0, '*', 0),
(113, 'useful-links', 'Home', 'home-ft', '', 'home-ft', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 95, 96, 0, '*', 0),
(114, 'useful-links', 'Services', 'services', '', 'services', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 97, 98, 0, '*', 0),
(115, 'useful-links', 'News', 'news', '', 'news', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 99, 100, 0, '*', 0),
(116, 'useful-links', 'Testimonials', 'testimonials', '', 'testimonials', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 101, 102, 0, '*', 0),
(117, 'useful-links', 'Advisors', 'advisors', '', 'advisors', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 103, 104, 0, '*', 0),
(118, 'useful-links', 'Contact Us', 'contact-us', '', 'contact-us', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 105, 106, 0, '*', 0),
(120, 'classes', 'Boxing', 'boxing', '', 'boxing', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 107, 108, 0, '*', 0),
(121, 'classes', 'Body Building', 'body-building', '', 'body-building', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 109, 110, 0, '*', 0),
(122, 'classes', 'Yoga & Pilates', 'yoga-pilates', '', 'yoga-pilates', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 111, 112, 0, '*', 0),
(124, 'classes', 'Animal Flow', 'animal-flow', '', 'animal-flow', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 113, 114, 0, '*', 0),
(125, 'classes', 'Stretching', 'stretching', '', 'stretching', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 115, 116, 0, '*', 0),
(126, 'classes', 'Weight Training', 'weight-training', '', 'weight-training', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 117, 118, 0, '*', 0),
(127, 'follow-us', 'Twitter', 'twitter', '', 'twitter', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 119, 120, 0, '*', 0),
(128, 'follow-us', 'Facebook', 'facebook', '', 'facebook', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 121, 122, 0, '*', 0),
(129, 'follow-us', 'Instagram', 'instagram', '', 'instagram', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 123, 124, 0, '*', 0),
(130, 'follow-us', 'Tumblr', 'tumblr', '', 'tumblr', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 125, 126, 0, '*', 0),
(131, 'follow-us', 'Pinterest', 'pinterest', '', 'pinterest', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 127, 128, 0, '*', 0),
(132, 'resources', 'Get the Theme', 'get-the-theme', '', 'get-the-theme', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 129, 130, 0, '*', 0),
(133, 'resources', 'Deals & Coupons', 'deals-coupons', '', 'deals-coupons', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 131, 132, 0, '*', 0),
(134, 'resources', 'How It Works', 'how-it-works', '', 'how-it-works', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 133, 134, 0, '*', 0),
(135, 'resources', 'Articles & Tips', 'articles-tips', '', 'articles-tips', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 135, 136, 0, '*', 0),
(136, 'resources', 'Terms of Service', 'terms-of-service', '', 'terms-of-service', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 137, 138, 0, '*', 0),
(154, 'mainmenu', 'Joomla Content', 'joomla-content', '', 'pages/joomla-content', '', 'heading', 1, 104, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 52, 61, 0, '*', 0),
(155, 'mainmenu', 'Featured Articles', 'featured-articles', '', 'pages/joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 154, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 53, 54, 0, '*', 0),
(156, 'mainmenu', 'Category Blog', 'category-blog', '', 'pages/joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=2', 'component', 1, 154, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 55, 56, 0, '*', 0),
(173, 'mainmenu', 'Error page', 'error-page', '', 'pages/other-pages/error-page', 'index.php?option=com_content&view=article&id=4', 'component', 1, 110, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 47, 48, 0, '*', 0),
(174, 'mainmenu', 'Offline Page', 'offline-page', '', 'pages/other-pages/offline-page', 'index.php?option=com_content&view=article&id=5', 'component', 1, 110, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 49, 50, 0, '*', 0),
(175, 'mainmenu', 'Tagged Items', 'tagged-items', '', 'pages/joomla-content/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=2&id[1]=3&id[2]=4', 'component', 1, 154, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_tag_title":"1","tag_list_show_tag_image":"1","tag_list_show_tag_description":"1","tag_list_image":"","tag_list_description":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"1","tag_list_show_item_description":"1","tag_list_item_maximum_characters":"","filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 57, 58, 0, '*', 0),
(176, 'mainmenu', 'Typography', 'typography', '', 'pages/joomla-content/typography', 'index.php?option=com_content&view=article&id=6', 'component', 1, 154, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 59, 60, 0, '*', 0),
(225, 'mainmenu', 'Home Blue', 'home-blue', '', 'home/home-blue', 'index.php?option=com_content&view=featured', 'component', 1, 101, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 12, 13, 0, '*', 0),
(226, 'mainmenu', 'Home Green', 'home-green', '', 'home/home-green', 'index.php?option=com_content&view=featured', 'component', 1, 101, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 11, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 14, 15, 0, '*', 0),
(227, 'mainmenu', 'Home Orange', 'home-orange', '', 'home/home-orange', 'index.php?option=com_content&view=featured', 'component', 1, 101, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 12, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 16, 17, 0, '*', 0),
(229, 'mainmenu', 'Classes', 'classes', '', 'classes', 'index.php?option=com_content&view=category&layout=blog&id=13', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"0","info_block_position":"","info_block_show_title":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 21, 22, 0, '*', 0),
(230, 'mainmenu', 'Home Light', 'home-light', '', 'home/home-light', 'index.php?option=com_content&view=featured', 'component', 1, 101, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 13, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 18, 19, 0, '*', 0),
(231, 'classes', 'Climbing', 'climbing', '', 'climbing', 'index.php?option=com_content&view=article&id=31', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 141, 142, 0, '*', 0),
(232, 'classes', 'Yoga Pilates', 'yoga-pilates-detail', '', 'yoga-pilates-detail', 'index.php?option=com_content&view=article&id=33', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 145, 146, 0, '*', 0),
(233, 'classes', 'Body Building', 'body-building-detail', '', 'body-building-detail', 'index.php?option=com_content&view=article&id=30', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 139, 140, 0, '*', 0),
(234, 'classes', 'Body Pump', 'body-pump', '', 'body-pump', 'index.php?option=com_content&view=article&id=32', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 143, 144, 0, '*', 0),
(235, 'main', 'COM_JAEXTMANAGER', 'com-jaextmanager', '', 'com-jaextmanager', 'index.php?option=com_jaextmanager', 'component', 1, 1, 1, 10016, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_jaextmanager/assets/images/jauc.png', 0, '{}', 147, 148, 0, '', 1),
(236, 'main', 'COM_JABUILDER_MENU', 'com-jabuilder-menu', '', 'com-jabuilder-menu', 'index.php?option=com_jabuilder', 'component', 1, 1, 1, 10018, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 149, 150, 0, '', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(1, 0, 'mainmenu', 'Main Menu', 'The main menu for the site', 0),
(2, 76, 'useful-links', 'Useful Links', '', 0),
(3, 77, 'classes', 'Classes', '', 0),
(4, 78, 'resources', 'Resources', '', 0),
(5, 79, 'follow-us', 'Follow us', '', 0);

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT 0,
  `user_id_to` int(10) unsigned NOT NULL DEFAULT 0,
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `priority` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT 1,
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=123 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 40, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 41, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(4, 42, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(8, 43, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 44, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 45, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(12, 46, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 47, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 48, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 49, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(79, 52, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 53, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(87, 55, 'Sample Data', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sampledata', 6, 1, '{}', 1, '*'),
(88, 56, 'Welcome', '', '<p>\r\n  Welcome to Experts Fitness Joomla Template!\r\n</p>', 1, 'topbar-left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(89, 57, 'Social', '', '<ul class="social-list">\r\n	<li><a href="index.php" title="facebook"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="twitter"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="vimeo"><span class="fa fa-vimeo" aria-hidden="true"></span></a></li>\r\n	<li><a href="index.php" title="rss"><span class="fa fa-rss" aria-hidden="true"></span></a></li>\r\n</ul>', 1, 'topbar-right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(90, 58, 'Head Info', '', '<div class="other-info">\r\n	<div class="row">\r\n		<!-- Item Detail -->\r\n		<div class="col-sm-4">\r\n			<div class="info-item">\r\n				<span class="title-small">\r\n					Email Us\r\n				</span>\r\n				<a href="mailto:no-reply@gmail.com" title="Send Mail">no-reply@gmail.com</a>\r\n			</div>\r\n		</div>\r\n\r\n		<!-- Item Detail -->\r\n		<div class="col-sm-4">\r\n			<div class="info-item">\r\n				<span class="title-small">\r\n					Phone Number\r\n				</span>\r\n				<p>021-168-993-7763</p>\r\n			</div>\r\n		</div>\r\n\r\n		<!-- Item Detail -->\r\n		<div class="col-sm-4">\r\n			<div class="info-item">\r\n				<span class="title-small">\r\n					Open Hours\r\n				</span>\r\n				<p>6am - 9pm / Everyday</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>', 1, 'head-right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(91, 59, 'Slideshow', '', '', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:slideshow\\",\\"slideshow\\":{\\"jatools-layout-slideshow\\":\\"style-owl\\",\\"slideshow[auto-play]\\":[\\"false\\"],\\"slideshow[data]\\":{\\"slideshow[data][sub-title]\\":[\\"We make you hard and strong\\",\\"We make you hard and strong\\"],\\"slideshow[data][title]\\":[\\"Be ((i))strong((\\/i)) with((br\\/)) fit studio\\",\\"Be ((i))strong((\\/i)) with((br\\/)) fit studio\\"],\\"slideshow[data][btn-title]\\":[\\"Join with Us Now\\",\\"Join with Us Now\\"],\\"slideshow[data][btn-link]\\":[\\"#\\",\\"#\\"],\\"slideshow[data][image]\\":[\\"images\\/joomlart\\/slideshow\\/item-1.jpg\\",\\"images\\/joomlart\\/slideshow\\/item-1.jpg\\"],\\"rows\\":2,\\"cols\\":6,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(92, 62, 'Features Intro', '', '', 1, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 0, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-1\\",\\"features-intro[title-align]\\":[\\"0\\"],\\"features-intro[columns]\\":[\\"3\\"],\\"features-intro[ft-img]\\":[\\"images\\/joomlart\\/features\\/item-1.jpg\\",\\"images\\/joomlart\\/features\\/item-2.jpg\\",\\"images\\/joomlart\\/features\\/item-3.jpg\\"],\\"features-intro[ft-icon]\\":[\\"images\\/joomlart\\/features\\/icon-1.jpg\\",\\"images\\/joomlart\\/features\\/icon-2.jpg\\",\\"images\\/joomlart\\/features\\/icon-3.jpg\\"],\\"features-intro[title]\\":[\\"Body Building\\",\\"Weight Loss\\",\\"Kickboxing\\"],\\"features-intro[description]\\":[\\"In hac habitasse platea dictumst. Enean dapibus eros ac leo blandit, ligula sit amet posuere turpis \\\\nlementum at mattis.\\",\\"Duis at mi felis. Sed ultricies iaculis ligula at finibus. Fusce in ligula mauris. Donec blandit turpis vel justo dolo fermentum.\\",\\"Sed sit amet mi elit. Phasellus ligula sollicitudin metus quis lobortis pharetra. Pellentesque pharetra neque eget quam.\\"],\\"features-intro[text-link]\\":[\\"Book now\\",\\"Book now\\",\\"Book now\\"],\\"features-intro[link]\\":[\\"#\\",\\"#\\",\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"center","padding-top":"0","padding-bottom":"1","module-width":"0"}', 0, '*'),
(93, 63, 'Build Perfect body with clean mind', '', '', 2, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-2\\",\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/features\\/gym-red.png\\"],\\"features-intro[description]\\":[\\"In sodales lobortis mollis. Mauris commodo metus in est \\\\neleifend ultrices duis ligula tincidunt ultricies enim, in viverra ligula dolo condimentum nec. Phasellus tempus turpis pulvinar, rutrum urna nec, pretium metus.\\"],\\"features-intro[button]\\":[\\"Become a member\\"],\\"features-intro[title-link]\\":[\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Say \\u201chello\\u201d to Fit","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"1","module-width":"1"}', 0, '*'),
(94, 64, 'Classes', '', '', 6, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 0, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-3\\",\\"features-intro[columns]\\":[\\"5\\"],\\"features-intro[data]\\":{\\"features-intro[data][img]\\":[\\"images\\/joomlart\\/features\\/class-1.jpg\\",\\"images\\/joomlart\\/features\\/class-2.jpg\\",\\"images\\/joomlart\\/features\\/class-3.jpg\\",\\"images\\/joomlart\\/features\\/class-4.jpg\\",\\"images\\/joomlart\\/features\\/class-5.jpg\\",\\"images\\/joomlart\\/features\\/class-3.jpg\\"],\\"features-intro[data][title]\\":[\\"Barbell\\",\\"Boxing\\",\\"Body Building\\",\\"Yoga & Pilates\\",\\"Climbing\\",\\"Boxing\\"],\\"features-intro[data][description]\\":[\\"Sed sit amet mi elit. Phasellus \\\\nllicitudin metus quis lobortis dolo laoreet ligula.\\",\\"Sed sit amet mi elit. Phasellus \\\\nllicitudin metus quis lobortis dolo laoreet ligula.\\",\\"Sed sit amet mi elit. Phasellus \\\\nllicitudin metus quis lobortis dolo laoreet ligula.\\",\\"Sed sit amet mi elit. Phasellus \\\\nllicitudin metus quis lobortis dolo laoreet ligula.\\",\\"Sed sit amet mi elit. Phasellus \\\\nllicitudin metus quis lobortis dolo laoreet ligula.\\",\\"Sed sit amet mi elit. Phasellus \\\\nllicitudin metus quis lobortis dolo laoreet ligula.\\"],\\"features-intro[data][link]\\":[\\"#\\",\\"#\\",\\"#\\",\\"#\\",\\"#\\",\\"#\\"],\\"rows\\":6,\\"cols\\":5,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"0","module-width":"1"}', 0, '*'),
(95, 65, 'Meet with the trainers', '', '', 9, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:teams\\",\\"teams\\":{\\"jatools-layout-teams\\":\\"style-1\\",\\"teams-intro[columns]\\":[\\"4\\"],\\"teams-intro[data]\\":{\\"teams-intro[data][img]\\":[\\"images\\/joomlart\\/teams\\/item-1.jpg\\",\\"images\\/joomlart\\/teams\\/item-2.jpg\\",\\"images\\/joomlart\\/teams\\/item-3.jpg\\",\\"images\\/joomlart\\/teams\\/item-4.jpg\\",\\"images\\/joomlart\\/teams\\/item-5.jpg\\"],\\"teams-intro[data][title]\\":[\\"Patrick O\'Connell\\",\\"Maria Ghoshal\\",\\"Natalie Lafour\\",\\"Luca Bartoletti\\",\\"Natalie Lafour\\"],\\"teams-intro[data][description]\\":[\\"Body Builder\\",\\"Fitness Model\\",\\"Fitness Expert\\",\\"Personal Trainer\\",\\"Fitness Model\\"],\\"teams-intro[data][link]\\":[\\"#\\",\\"#\\",\\"#\\",\\"#\\",\\"#\\"],\\"rows\\":5,\\"cols\\":5,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Our Trainers","mod-bg":"images\\/joomlart\\/others\\/bg-mod-1.jpg","align-bg":"left","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"0"}', 0, '*'),
(96, 66, '20% Discount  for Body Building Classes', '', '', 10, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-4\\",\\"features-intro[description]\\":[\\"Nulla porttitor ex nisl, nec vehicula orci dapibus eu. Donec purus mauris, porttitor id elit eu, aliquet sollicitudin purus. Integer quis ante enim. Nulla facilisi. Ut justo orci, tempor quis sodales vitae, ehicula in diam. Fusce gravida magna eu mauris fringilla, id \\\\neuismod risus volutpat.\\"],\\"features-intro[align]\\":[\\"1\\"],\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/features\\/item-4.jpg\\"],\\"features-intro[btn-link]\\":[\\"#\\"],\\"features-intro[btn-title]\\":[\\"Join with Us Now\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Promotions","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"0","module-width":"1"}', 0, '*'),
(97, 70, 'Latest News + updates', '', '', 1, 'section-bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 0, '{"catid":["2","8","9"],"count":"3","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"ja_fit:list","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Latest News + updates","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"0"}', 0, '*'),
(98, 71, 'CTA Background', '', '', 1, 'section-bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:cta\\",\\"cta\\":{\\"jatools-layout-cta\\":\\"style-1\\",\\"parallax[bg-image]\\":[\\"images\\/joomlart\\/others\\/cta.png\\"],\\"parallax[cta-title]\\":[\\"Join this month & get 2 months FREE \\"],\\"parallax[cta-btn]\\":[\\"Join with Us Now\\"],\\"parallax[cta-btn-link]\\":[\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"0","module-width":"1"}', 0, '*'),
(99, 72, 'Location', '', '<div class="box-info">\r\n  <p>\r\n    4 5th Avenue at St. Marks Place, <br/>Cathedral District Brooklyn, NY 11217\r\n  </p>\r\n  <a href="#" title="View on Google Map">View on Google Map</a>\r\n</div>', 1, 'position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(100, 73, 'Contact', '', '<div class="box-info">\r\n  <p>\r\n    Phone: (084) 555-0110<br/>Mobile: (084) 168-993-7763\r\n  </p>\r\n  Email: <a href="#" title="View on Google Map">info@fitstudio.com</a>\r\n</div>', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(101, 74, 'Open Hours', '', '<div class="box-info">\r\n  <p>\r\n    Monday - Thusday: 9 AM - 8 PM<br/>Friday - Saturday: 10 AM - 9 PM<br/>Sunday: 10 AM – 4 PM\r\n  </p>\r\n</div>', 1, 'position-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(102, 75, 'Footer', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(103, 80, 'Useful Links', '', '', 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"useful-links","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(104, 81, 'Classes', '', '', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"classes","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(105, 82, 'Resources', '', '', 1, 'footer-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"resources","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(106, 83, 'Follow us', '', '', 1, 'footer-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"follow-us","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(109, 94, 'JA Masthead', '', '', 1, 'masthead', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jamasthead', 1, 1, '{"default-title":"JA <span>Fit<\\/span>","default-description":"Welcome to Experts Fitness Joomla Template","menuitem_config":{"item_id":[["103","156"],["229"]],"title":["Our <span>Blog<\\/span>","Group <span>Exercise Classes<\\/span>"],"description":["Here, you\'ll discover what\'s new in the fitness world","When it comes to group sessions we are a different class!"],"background":["",""]},"layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(110, 95, 'Banner 1', '', '<a href="#" title="banner 1"><img src="images/joomlart/others/banner-1.png" alt=""/></a>', 1, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(111, 96, 'Login', '', '', 6, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","profilelink":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(112, 97, 'Categories', '', '', 4, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"2","show_description":"0","numitems":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(113, 98, 'Latest News', '', '', 5, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 1, '{"catid":["2","8","9"],"count":"5","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(114, 119, 'Search', '', '', 1, 'head-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"","text":"","button":"0","button_pos":"left","imagebutton":"0","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(116, 147, 'Build Perfect body with clean mind', 'Home Blue', '', 5, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-2\\",\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/features\\/gym-blue.png\\"],\\"features-intro[description]\\":[\\"In sodales lobortis mollis. Mauris commodo metus in est \\\\neleifend ultrices duis ligula tincidunt ultricies enim, in viverra ligula dolo condimentum nec. Phasellus tempus turpis pulvinar, rutrum urna nec, pretium metus.\\"],\\"features-intro[button]\\":[\\"Become a member\\"],\\"features-intro[title-link]\\":[\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Say \\u201chello\\u201d to Fit","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"1","module-width":"1"}', 0, '*'),
(117, 148, 'Build Perfect body with clean mind', 'Home Green', '', 4, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-2\\",\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/features\\/gym-green.png\\"],\\"features-intro[description]\\":[\\"In sodales lobortis mollis. Mauris commodo metus in est \\\\neleifend ultrices duis ligula tincidunt ultricies enim, in viverra ligula dolo condimentum nec. Phasellus tempus turpis pulvinar, rutrum urna nec, pretium metus.\\"],\\"features-intro[button]\\":[\\"Become a member\\"],\\"features-intro[title-link]\\":[\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Say \\u201chello\\u201d to Fit","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"1","module-width":"1"}', 0, '*'),
(118, 149, 'Build Perfect body with clean mind', 'Home Orange', '', 3, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-2\\",\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/features\\/gym-orange.png\\"],\\"features-intro[description]\\":[\\"In sodales lobortis mollis. Mauris commodo metus in est \\\\neleifend ultrices duis ligula tincidunt ultricies enim, in viverra ligula dolo condimentum nec. Phasellus tempus turpis pulvinar, rutrum urna nec, pretium metus.\\"],\\"features-intro[button]\\":[\\"Become a member\\"],\\"features-intro[title-link]\\":[\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Say \\u201chello\\u201d to Fit","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"0","padding-bottom":"1","module-width":"1"}', 0, '*'),
(119, 150, 'Offcanvas', '', '', 1, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"","mod-bg":"","align-bg":"center","align-title":"left","padding-top":"1","padding-bottom":"1","module-width":"1"}', 0, '*'),
(120, 151, 'Fit\'S SCHEDULE', '', '', 7, 'section-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_fit:calendar\\",\\"calendar\\":{\\"jatools-layout-calendar\\":\\"style-1\\",\\"calendar[intro-top]\\":[\\"Quisque dictum lorem ex, id volutpat lectus bibendum vel. Proin eu \\\\ntristique erat. Curabitur tortor nunc, fermentum sit amet arcu ac, \\\\nmaximus ullamcorper quam.\\"],\\"calendar[intro-bottom]\\":[\\"Sed sit amet mi elit llicitudin metus quis lobortis dolo laoreet ligula. ((a href=\'index.php?Itemid=229\' title=\'More info\'))More info...((\\/a))\\"],\\"calendar[data]\\":{\\"calendar[data][calendar-col-name]\\":[\\"Mo\\",\\"Tue\\",\\"Wed\\",\\"Thu\\",\\"Fri\\",\\"Sat\\",\\"Sun\\"],\\"data\\":[[\\"9:00 - 10:30\\",\\"t((a href=\\\\\\"index.php?Itemid=233\\\\\\"))Body Building((\\/a))\\\\n((p))Patrick O\'Connell((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Climbing((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\\\n\\",\\"t((a href=\\\\\\"index.php?Itemid=234\\\\\\"))Body Pump((\\/a))\\\\n((p))Luca Bartoletti((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=232\\\\\\"))Yoga Pilates((\\/a))\\\\n((p))Natalie Lafour((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Barbell((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\"],[\\"10:30 - 11: 00\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Barbell((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=232\\\\\\"))Yoga Pilates((\\/a))\\\\n((p))Natalie Lafour((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=234\\\\\\"))Body Pump((\\/a))\\\\n((p))Luca Bartoletti((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Climbing((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=233\\\\\\"))Body Building((\\/a))\\\\n((p))Patrick O\'Connell((\\/p))\\"],[\\"11:30 - 13: 00\\",\\"t((a href=\\\\\\"index.php?Itemid=233\\\\\\"))Body Building((\\/a))\\\\n((p))Patrick O\'Connell((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Climbing((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=234\\\\\\"))Body Pump((\\/a))\\\\n((p))Luca Bartoletti((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=232\\\\\\"))Yoga Pilates((\\/a))\\\\n((p))Natalie Lafour((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Barbell((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t\\"],[\\"13:30 - 14: 00\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Barbell((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=232\\\\\\"))Yoga Pilates((\\/a))\\\\n((p))Natalie Lafour((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=234\\\\\\"))Body Pump((\\/a))\\\\n((p))Luca Bartoletti((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Climbing((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=233\\\\\\"))Body Building((\\/a))\\\\n((p))Patrick O\'Connell((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=232\\\\\\"))Yoga Pilates((\\/a))\\\\n((p))Natalie Lafour((\\/p))\\"],[\\"13:30 - 14: 00\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=232\\\\\\"))Yoga Pilates((\\/a))\\\\n((p))Natalie Lafour((\\/p))\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Climbing((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=233\\\\\\"))Body Building((\\/a))\\\\n((p))Patrick O\'Connell((\\/p))\\",\\"t\\",\\"t((a href=\\\\\\"index.php?Itemid=231\\\\\\"))Barbell((\\/a))\\\\n((p))Maria Ghoshal((\\/p))\\"]],\\"rows\\":5,\\"cols\\":7,\\"type\\":\\"table\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","sub-heading":"Class Timetable","mod-bg":"","align-bg":"center","align-title":"center","padding-top":"1","padding-bottom":"1","module-width":"0"}', 0, '*'),
(121, 167, 'JA Builder Quick Icons', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jabuilder_quickicons', 3, 1, '{"moduleclass_sfx":"","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}', 1, '*'),
(122, 168, 'JA Builder Admin Menu', '', '', 10, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jabuilder_admin_menu', 3, 1, '{"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 1, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT 0,
  `menuid` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(79, 0),
(86, 0),
(87, 0),
(88, 0),
(89, 0),
(90, 0),
(91, 101),
(91, 225),
(91, 226),
(91, 227),
(91, 230),
(92, 101),
(92, 225),
(92, 226),
(92, 227),
(92, 230),
(93, 101),
(93, 230),
(94, 101),
(94, 225),
(94, 226),
(94, 227),
(94, 230),
(95, 101),
(95, 225),
(95, 226),
(95, 227),
(95, 230),
(96, 101),
(96, 225),
(96, 226),
(96, 227),
(96, 230),
(97, 101),
(97, 225),
(97, 226),
(97, 227),
(97, 230),
(98, 0),
(99, 0),
(100, 0),
(101, 0),
(102, 0),
(103, 0),
(104, 0),
(105, 0),
(106, 0),
(107, 101),
(107, 225),
(107, 226),
(107, 227),
(108, 152),
(108, 153),
(109, -230),
(109, -227),
(109, -226),
(109, -225),
(109, -101),
(110, 152),
(110, 155),
(110, 156),
(110, 175),
(110, 229),
(110, 231),
(110, 232),
(110, 233),
(110, 234),
(111, 155),
(111, 156),
(111, 175),
(111, 229),
(111, 231),
(111, 232),
(111, 233),
(111, 234),
(112, 155),
(112, 156),
(112, 175),
(113, 155),
(113, 156),
(113, 175),
(113, 229),
(113, 231),
(113, 232),
(113, 233),
(113, 234),
(114, 0),
(115, 152),
(115, 153),
(116, 225),
(117, 226),
(118, 227),
(119, 0),
(120, 101),
(120, 225),
(120, 226),
(120, 227),
(120, 230),
(121, 0),
(122, 0);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT 0,
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `numarticles` int(10) unsigned NOT NULL DEFAULT 1,
  `cache_time` int(10) unsigned NOT NULL DEFAULT 3600,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rtl` tinyint(4) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT 700 COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT 1,
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT 1,
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(3, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(4, 700, 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', 1, 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', 1),
(5, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(6, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1),
(7, 700, 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_TITLE', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_BODY', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_ACTION', 'plg_captcha_recaptcha', 1, 'action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_condition', '3.8.6', 1),
(8, 700, 'COM_ACTIONLOGS_POSTINSTALL_TITLE', 'COM_ACTIONLOGS_POSTINSTALL_BODY', '', 'com_actionlogs', 1, 'message', '', '', '', '', '3.9.0', 1),
(9, 700, 'COM_PRIVACY_POSTINSTALL_TITLE', 'COM_PRIVACY_POSTINSTALL_BODY', '', 'com_privacy', 1, 'message', '', '', '', '', '3.9.0', 1),
(10, 700, 'COM_CPANEL_MSG_ADDNOSNIFF_TITLE', 'COM_CPANEL_MSG_ADDNOSNIFF_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/addnosniff.php', 'admin_postinstall_addnosniff_condition', '3.9.3', 1);

DROP TABLE IF EXISTS `#__privacy_consents`;
CREATE TABLE `#__privacy_consents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `state` int(10) NOT NULL DEFAULT 1,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT 0,
  `token` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__privacy_requests`;
CREATE TABLE `#__privacy_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `request_type` varchar(25) NOT NULL DEFAULT '',
  `confirm_token` varchar(100) NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.9.3-2019-02-07');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 7, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2019-05-13 03:45:53', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'gym', 'gym', 'gym', '', '', 1, 0, '2018-06-11 08:09:29', 1, '{}', '', '', '{}', 42, '2019-05-13 03:45:53', '', 0, '2019-05-13 03:45:53', '{}', '{}', 18, '*', 1, '2019-05-13 03:45:53', '2019-05-13 03:45:53'),
(3, 1, 3, 4, 1, 'weight', 'weight', 'weight', '', '', 1, 0, '2018-06-11 08:09:29', 1, '{}', '', '', '{}', 42, '2019-05-13 03:45:53', '', 0, '2019-05-13 03:45:53', '{}', '{}', 3, '*', 1, '2019-05-13 03:45:53', '2019-05-13 03:45:53'),
(4, 1, 5, 6, 1, 'fitness', 'fitness', 'fitness', '', '', 1, 0, '2018-06-11 08:09:29', 1, '{}', '', '', '{}', 42, '2019-05-13 03:45:53', '', 0, '2019-05-13 03:45:53', '{}', '{}', 0, '*', 1, '2019-05-13 03:45:53', '2019-05-13 03:45:53');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez3', 0, '0', 'Beez3 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.png","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(8, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(9, 'ja_fit', 0, '1', 'ja_fit - Default', '{"bg-body":"images\\/joomlart\\/others\\/bg-body.jpg","logofooterimage":"","enable-effect":"0","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"1","t3-assets":"t3-assets","t3-rmvlogo":"0","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"","link_titles":"","theme":"","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","skip_component_content":["101","225","226","227"],"mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-104\\":{\\"sub\\":{\\"width\\":\\"600\\",\\"rows\\":[[{\\"item\\":105,\\"width\\":4},{\\"item\\":110,\\"width\\":4},{\\"item\\":154,\\"width\\":4}]]}},\\"item-105\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":106,\\"width\\":12}]]},\\"group\\":1},\\"item-110\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":111,\\"width\\":12}]]},\\"group\\":1},\\"item-154\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":155,\\"width\\":12}]]},\\"group\\":1}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":"","snippet_close_head":"","snippet_open_body":"","snippet_close_body":"","snippet_debug":"0","theme_extras_com_dtregister":["-1"]}'),
(10, 'ja_fit', 0, '0', 'ja_fit - Home Blue', '{"bg-body":"images\\/joomlart\\/others\\/bg-body.jpg","logofooterimage":"","enable-effect":"0","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"1","t3-assets":"t3-assets","t3-rmvlogo":"0","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"link_titles":null,"theme":"blue","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","skip_component_content":["101","225","226","227"],"mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":null,"navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-104\\":{\\"sub\\":{\\"width\\":\\"600\\",\\"rows\\":[[{\\"item\\":105,\\"width\\":4},{\\"item\\":110,\\"width\\":4},{\\"item\\":154,\\"width\\":4}]]}},\\"item-105\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":106,\\"width\\":12}]]},\\"group\\":1},\\"item-110\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":111,\\"width\\":12}]]},\\"group\\":1},\\"item-154\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":155,\\"width\\":12}]]},\\"group\\":1}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_dtregister":["-1"]}'),
(11, 'ja_fit', 0, '0', 'ja_fit - Home Green', '{"bg-body":"images\\/joomlart\\/others\\/bg-body.jpg","logofooterimage":"","enable-effect":"0","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"1","t3-assets":"t3-assets","t3-rmvlogo":"0","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"link_titles":null,"theme":"green","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","skip_component_content":["101","225","226","227"],"mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":null,"navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-104\\":{\\"sub\\":{\\"width\\":\\"600\\",\\"rows\\":[[{\\"item\\":105,\\"width\\":4},{\\"item\\":110,\\"width\\":4},{\\"item\\":154,\\"width\\":4}]]}},\\"item-105\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":106,\\"width\\":12}]]},\\"group\\":1},\\"item-110\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":111,\\"width\\":12}]]},\\"group\\":1},\\"item-154\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":155,\\"width\\":12}]]},\\"group\\":1}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_dtregister":["-1"]}'),
(12, 'ja_fit', 0, '0', 'ja_fit - Home Orange', '{"bg-body":"images\\/joomlart\\/others\\/bg-body.jpg","logofooterimage":"","enable-effect":"0","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"1","t3-assets":"t3-assets","t3-rmvlogo":"0","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"link_titles":null,"theme":"orange","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","skip_component_content":["101","225","226","227"],"mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":null,"navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-104\\":{\\"sub\\":{\\"width\\":\\"600\\",\\"rows\\":[[{\\"item\\":105,\\"width\\":4},{\\"item\\":110,\\"width\\":4},{\\"item\\":154,\\"width\\":4}]]}},\\"item-105\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":106,\\"width\\":12}]]},\\"group\\":1},\\"item-110\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":111,\\"width\\":12}]]},\\"group\\":1},\\"item-154\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":155,\\"width\\":12}]]},\\"group\\":1}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_dtregister":["-1"]}'),
(13, 'ja_fit', 0, '0', 'ja_fit - Home Light', '{"bg-body":"images\\/joomlart\\/others\\/bg-body-light.jpg","logofooterimage":"","enable-effect":"0","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"1","t3-assets":"t3-assets","t3-rmvlogo":"0","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"link_titles":null,"theme":"light","logotype":"image","sitename":"","slogan":"","logoimage":"images\\/joomlart\\/others\\/logo-light.png","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","skip_component_content":["101","225","226","227","230"],"mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":null,"navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-104\\":{\\"sub\\":{\\"width\\":\\"600\\",\\"rows\\":[[{\\"item\\":105,\\"width\\":4},{\\"item\\":110,\\"width\\":4},{\\"item\\":154,\\"width\\":4}]]}},\\"item-105\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":106,\\"width\\":12}]]},\\"group\\":1},\\"item-110\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":111,\\"width\\":12}]]},\\"group\\":1},\\"item-154\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":155,\\"width\\":12}]]},\\"group\\":1}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_dtregister":["-1"]}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(1, 3, 1, 0),
(2, 2, 1, 0),
(3, 1, 1, 0),
(4, 7, 1, 0),
(5, 8, 1, 0),
(6, 9, 1, 0),
(7, 10, 1, 0),
(8, 11, 1, 0),
(9, 12, 1, 0),
(10, 13, 1, 0),
(11, 14, 1, 0),
(12, 15, 1, 0),
(13, 16, 1, 0),
(14, 17, 1, 0),
(15, 18, 1, 0),
(16, 19, 1, 0),
(17, 20, 1, 0),
(18, 21, 1, 0),
(19, 22, 1, 0),
(20, 23, 1, 0),
(21, 24, 1, 0),
(22, 25, 1, 0),
(23, 26, 1, 0),
(24, 27, 1, 0),
(25, 28, 1, 0),
(26, 29, 1, 0),
(27, 30, 1, 0),
(28, 31, 1, 0),
(29, 32, 1, 0),
(30, 33, 1, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) binary NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT 0,
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_access` int(10) unsigned NOT NULL DEFAULT 0,
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT 0,
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT 0,
  `core_version` int(10) unsigned NOT NULL DEFAULT 1,
  `core_ordering` int(11) NOT NULL DEFAULT 0,
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT 0,
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`(100)),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 COMMENT='Contains core content data in name spaced fields' DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(1, 'com_content.article', 'Do You Actually Need Weightlifting Shoes?', 'do-you-actually-need-weightlifting-shoes', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 3, 90, '{"image_intro":"images\\/joomlart\\/blog\\/item-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 2, 4, 0, '', '', 8, '', 1),
(2, 'com_content.article', '10 Ways to Give Back Through Exercise', '10-ways-to-give-back-through-exercise', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 2, 91, '{"image_intro":"images\\/joomlart\\/blog\\/item-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 0, '', '', 9, '', 1),
(3, 'com_content.article', 'Easy Mindful Eating Tips That Are  Actually Worth Following', 'easy-mindful-eating-tips-that-are-actually-worth-following', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 1, 92, '{"image_intro":"images\\/joomlart\\/blog\\/item-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 1, '', '', 8, '', 1),
(4, 'com_content.article', 'Gym Exercises to Improve Your Posture', 'do-you-actually-need-weightlifting-shoes-2', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 7, 100, '{"image_intro":"images\\/joomlart\\/blog\\/item-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 7, 0, '', '', 12, '', 1),
(5, 'com_content.article', '25 minute full body HIIT workout', '25-minute-full-body-hiit-workout', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 8, 102, '{"image_intro":"images\\/joomlart\\/blog\\/item-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 0, '', '', 8, '', 1),
(6, 'com_content.article', 'Can the Gym Really Help Me Sleep Better?', 'can-the-gym-really-help-me-sleep-better', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 9, 104, '{"image_intro":"images\\/joomlart\\/blog\\/item-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 1, '', '', 11, '', 1),
(7, 'com_content.article', 'Using the Gym to Train for Your Mud Run Challenge', 'using-the-gym-to-train-for-your-mud-run-challenge', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 10, 108, '{"image_intro":"images\\/joomlart\\/blog\\/item-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 1, '', '', 11, '', 1),
(8, 'com_content.article', 'Tempo training: What is it and how to apply it in your training', 'tempo-training-what-is-it-and-how-to-apply-it-in-your-training', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 11, 110, '{"image_intro":"images\\/joomlart\\/blog\\/item-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-9.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 7, 0, '', '', 8, '', 1),
(9, 'com_content.article', 'Training your way to your best 5k race', 'training-your-way-to-your-best-5k-race', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 12, 112, '{"image_intro":"images\\/joomlart\\/blog\\/item-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 8, 0, '', '', 12, '', 1),
(10, 'com_content.article', '5 functional exercises to master', '5-functional-exercises-to-master', '<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 13, 114, '{"image_intro":"images\\/joomlart\\/blog\\/item-10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-10.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 0, '', '', 12, '', 1),
(11, 'com_content.article', 'Tactics to Get the Most from the Gym in Just 40 minutes', 'tactics-to-get-the-most-from-the-gym-in-just-40-minutes', '<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 14, 116, '{"image_intro":"images\\/joomlart\\/blog\\/item-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-11.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 0, '', '', 12, '', 1),
(12, 'com_content.article', 'How to use social media with your gym routine', 'how-to-use-social-media-with-your-gym-routine', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 15, 118, '{"image_intro":"images\\/joomlart\\/blog\\/item-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-11.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 1, '', '', 12, '', 1),
(13, 'com_content.article', 'What to Eat After a Workout at the Gym', 'what-to-eat-after-a-workout-at-the-gym', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 16, 122, '{"image_intro":"images\\/joomlart\\/blog\\/item-15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-15.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 2, 0, '', '', 8, '', 1),
(14, 'com_content.article', '10 Health and Fitness Tips for Busy People', '10-health-and-fitness-tips-for-busy-people', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 17, 124, '{"image_intro":"images\\/joomlart\\/blog\\/item-16.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-16.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 8, '', 1),
(15, 'com_content.article', 'The Secret To Eating Your Way To Good Health', 'the-secret-to-eating-your-way-to-good-health', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 18, 126, '{"image_intro":"images\\/joomlart\\/blog\\/item-17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-17.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 8, '', 1),
(16, 'com_content.article', 'Gyms can help me quit smoking but also prevent disease', 'gym-can-help-me-quit-smoking', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 19, 128, '{"image_intro":"images\\/joomlart\\/blog\\/item-28.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-28.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 2, 0, '', '', 11, '', 1),
(17, 'com_content.article', 'Anti-aging gym, improve health and mental well-being', 'anti-aging-gym-improve-health-and-mental-well-being', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 20, 130, '{"image_intro":"images\\/joomlart\\/blog\\/item-18.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-18.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 11, '', 1),
(18, 'com_content.article', 'Gym exercises increase muscle strength and gain weight', 'gym-exercises-increase-muscle-strength-and-gain-weight', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 21, 132, '{"image_intro":"images\\/joomlart\\/blog\\/item-19.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-19.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 11, '', 1),
(19, 'com_content.article', 'Using the Gym help me body and improve your cardiovascular health', 'using-the-gym-help-me-body-and-improve-your-cardiovascular-health', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 22, 134, '{"image_intro":"images\\/joomlart\\/blog\\/item-21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-21.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 11, '', 1),
(20, 'com_content.article', 'The Benefits of Strength and Weight Training', 'the-benefits-of-strength-and-weight-training', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 23, 136, '{"image_intro":"images\\/joomlart\\/blog\\/item-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 9, '', 1),
(21, 'com_content.article', 'Functional Exercises Everyone Can Do - Men\'s Trait', 'functional-exercises-everyone-can-do-men-s-trait', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 24, 138, '{"image_intro":"images\\/joomlart\\/blog\\/item-23.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-23.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 9, '', 1),
(22, 'com_content.article', 'Exercise can boost your memory and thinking skills', 'exercise-can-boost-your-memory-and-thinking-skills', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 25, 140, '{"image_intro":"images\\/joomlart\\/blog\\/item-29.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-29.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 9, '', 1),
(23, 'com_content.article', '15 Gym Promotion Ideas You Can Use Right Now', '15-gym-promotion-ideas-you-can-use-right-now', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 26, 142, '{"image_intro":"images\\/joomlart\\/blog\\/item-31.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-31.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 9, '', 1),
(24, 'com_content.article', '10 kickass fitness jobs besides personal training', '10-kickass-fitness-jobs-besides-personal-training', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 27, 144, '{"image_intro":"images\\/joomlart\\/blog\\/item-22.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-22.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 9, '', 1),
(25, 'com_content.article', '10 Exercises to Develop the Best Pecs in the Gym', '10-exercises-to-develop-the-best-pecs-in-the-gym', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 28, 146, '{"image_intro":"images\\/joomlart\\/blog\\/item-30.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/item-30.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 12, '', 1),
(26, 'com_content.article', 'Legs bums & tums class', 'legs-bums-tums-class', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Cardio","duration":"30-60 minutes","fit-level":"All abilities welcome"}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 29, 154, '{"image_intro":"images\\/joomlart\\/blog\\/item-30.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 46, 21, 0, '', '', 13, '', 1),
(27, 'com_content.article', 'Body Building', 'body-building', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Cardio","duration":"30-60 minutes","fit-level":"All abilities welcome"}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 30, 156, '{"image_intro":"images\\/joomlart\\/blog\\/item-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 2, 0, '', '', 13, '', 1),
(28, 'com_content.article', 'Climbing', 'climbing', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Strength & Conditioning","duration":"30-60 minutes","fit-level":"All abilities welcome"}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 31, 158, '{"image_intro":"images\\/joomlart\\/blog\\/item-17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 13, 3, 2, '', '', 13, '', 1),
(29, 'com_content.article', 'Body Pump', 'body-pump', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Strength","duration":"45-75 minutes","fit-level":"All abilities welcome"}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 32, 160, '{"image_intro":"images\\/joomlart\\/blog\\/item-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 1, '', '', 13, '', 1),
(30, 'com_content.article', 'Advanced flow yoga', 'advanced-flow-yoga', '<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","exercise":"Exclusive Signature","duration":"45-75 minutes","fit-level":"All abilities welcome"}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2019-05-13 03:45:53', 42, '2019-05-13 03:45:53', '*', '2019-05-13 03:45:53', '0000-00-00 00:00:00', 33, 162, '{"image_intro":"images\\/joomlart\\/blog\\/item-21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/category-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 2, 0, '', '', 13, '', 1);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `character_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB AUTO_INCREMENT=119 DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(1, 1, 2, '', '2019-05-13 03:45:53', 42, 2085, '031af0ecf61a2382b9a4b43a15dbdd8b543c6576', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"She packed her seven versalia, put her initial into the belt and made herself on the way. When she reached the first hills of the Italic Mountains, she had a last view back on the skyline of her hometown Bookmarksgrove, the headline of Alphabet Village and the subline of her own road, the Line Lane","image":"","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":null,"checked_out_time":null,"ordering":1,"params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-05-31 01:56:59","modified_by":null,"metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":1,"hits":null}', 0),
(2, 2, 5, '', '2019-05-13 03:45:53', 42, 583, 'f36749d4052b88323f363175cbc77245e73ed719', '{"id":2,"asset_id":"27","parent_id":"1","lft":"1","rgt":"2","level":"1","path":"uncategorised","extension":"com_content","title":"Our Blog","alias":"our-blog","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2018-05-31 01:58:30","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-29 08:22:32","modified_user_id":"42","modified_time":"2018-05-31 01:58:38","hits":"0","language":"*","version":"1"}', 0),
(3, 8, 5, '', '2019-05-13 03:45:53', 42, 558, '26957caa6a7d0a5e07a30b48845bd8ba40da3480', '{"id":8,"asset_id":60,"parent_id":"2","lft":"2","rgt":3,"level":2,"path":null,"extension":"com_content","title":"Tips & Tricks","alias":"tips-tricks","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:58:56","modified_user_id":null,"modified_time":"2018-05-31 01:58:56","hits":"0","language":"*","version":null}', 0),
(4, 9, 5, '', '2019-05-13 03:45:53', 42, 548, 'a4b6926cf15bd98d6f3acb726350082320ee62f2', '{"id":9,"asset_id":61,"parent_id":"2","lft":"4","rgt":5,"level":2,"path":null,"extension":"com_content","title":"Updates","alias":"updates","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:59:05","modified_user_id":null,"modified_time":"2018-05-31 01:59:05","hits":"0","language":"*","version":null}', 0),
(5, 1, 1, '', '2019-05-13 03:45:53', 42, 4378, '5a3083aef70c9f253a0983f5fd3a90de1168ce49', '{"id":1,"asset_id":67,"title":"Easy Mindful Eating Tips That Are  Actually Worth Following","alias":"easy-mindful-eating-tips-that-are-actually-worth-following","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-04 08:48:15","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(6, 2, 1, '', '2019-05-13 03:45:53', 42, 4335, '360cfe6e363fcca826274a0ac10f4f51d6561eca', '{"id":2,"asset_id":68,"title":"10 Ways to Give Back Through Exercise","alias":"10-ways-to-give-back-through-exercise","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"2","created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-04 08:49:00","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(7, 2, 1, '', '2019-05-13 03:45:53', 42, 4352, '57c3fdb3581e4403fe311493b82cabc5ebba1763', '{"id":2,"asset_id":"68","title":"10 Ways to Give Back Through Exercise","alias":"10-ways-to-give-back-through-exercise","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-04 08:49:16","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-04 08:49:11","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(8, 3, 1, '', '2019-05-13 03:45:53', 42, 4661, '14800443f3a43de7e8d9e19fd990be6d401eb0ff', '{"id":3,"asset_id":69,"title":"Do You Actually Need Weightlifting Shoes?","alias":"do-you-actually-need-weightlifting-shoes","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu.<\\/p>\\r\\n\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","fulltext":"","state":1,"catid":"8","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-04 08:49:53","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(9, 3, 1, '', '2019-05-13 03:45:53', 42, 4508, 'bf9b03f483bd1d90757238020483967925e421af', '{"id":3,"asset_id":"69","title":"Do You Actually Need Weightlifting Shoes?","alias":"do-you-actually-need-weightlifting-shoes","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","fulltext":"","state":1,"catid":"8","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-04 10:16:45","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-04 10:16:36","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(10, 2, 1, '', '2019-05-13 03:45:53', 42, 4060, '5f25c75dfaaf4a85af3dd050f65f3bc5d2621538', '{"id":2,"asset_id":"68","title":"10 Ways to Give Back Through Exercise","alias":"10-ways-to-give-back-through-exercise","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-04 10:16:53","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-04 10:16:47","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(11, 1, 1, '', '2019-05-13 03:45:53', 42, 4098, '5096e53885207b8f22b5398f97038e85c2a5d4df', '{"id":1,"asset_id":"67","title":"Easy Mindful Eating Tips That Are  Actually Worth Following","alias":"easy-mindful-eating-tips-that-are-actually-worth-following","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-04 10:17:03","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-04 10:16:55","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(12, 3, 1, '', '2019-05-13 03:45:53', 42, 4508, 'd46d3ceb089e05151b8985e0923ffb4cfdfa97db', '{"id":3,"asset_id":"69","title":"Do You Actually Need Weightlifting Shoes?","alias":"do-you-actually-need-weightlifting-shoes","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-04 10:17:20","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-04 10:17:16","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(13, 1, 2, '', '2019-05-13 03:45:53', 42, 1812, '2138b48ceeb79aef1ec7a257f3c1748091a218c7', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"{jamap}","image":"","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 02:58:59","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 02:59:10","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":2,"hits":"15"}', 0),
(14, 1, 2, '', '2019-05-13 03:45:53', 42, 1855, '1b447db761291e5c1d16218eba6db1df575fb4e4', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:01:33","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:01:52","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":3,"hits":"23"}', 0),
(15, 1, 2, '', '2019-05-13 03:45:53', 42, 1987, '51650aed26605086ffc3315a039da1abb206fd0c', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:01:52","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:02:58","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":4,"hits":"24"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(16, 1, 2, '', '2019-05-13 03:45:53', 42, 1988, '892b750c9839be6f4eda10bc91975f15ce6867c4', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:02:58","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"1\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:03:55","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":5,"hits":"25"}', 0),
(17, 1, 2, '', '2019-05-13 03:45:53', 42, 1989, '65c36c934b59bd992d4d483f74a3d8ecbf320225', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:07:35","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkedin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:07:44","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":7,"hits":"28"}', 0),
(18, 1, 2, '', '2019-05-13 03:45:53', 42, 1990, 'fea382f38a6764141ae97a3637a3553a548bc779', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"773-249-4163","fax":"773-249-4163","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:10:55","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkedin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"1\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"773-249-4163","webpage":false,"sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:11:34","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":8,"hits":"31"}', 0),
(19, 1, 2, '', '2019-05-13 03:45:53', 42, 2000, '3ab44d7799875dd44c231f945fdb5feb40b2c9ba', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"American","postcode":"","telephone":"(012) 773-249","fax":"","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:15:10","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkedin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"(012) 249-4163","webpage":"https:\\/\\/joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:16:09","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":10,"hits":"34"}', 0),
(20, 1, 2, '', '2019-05-13 03:45:53', 42, 1992, '37e68210a4150055306524b7201629d10bf945af', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"","postcode":"","telephone":"(012) 773-249","fax":"","misc":"{jamap}","image":"images\\/joomlart\\/other\\/avatar_contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-05 04:16:09","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkedin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"(012) 249-4163","webpage":"https:\\/\\/joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-05 04:16:20","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":11,"hits":"35"}', 0),
(21, 10, 5, '', '2019-05-13 03:45:53', 42, 559, 'bf8febde198fc66330d0e879f392630cb30956bc', '{"id":10,"asset_id":87,"parent_id":"1","lft":"15","rgt":16,"level":1,"path":null,"extension":"com_content","title":"Other Pages","alias":"other-pages","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-11 04:43:12","modified_user_id":null,"modified_time":"2018-06-11 04:43:12","hits":"0","language":"*","version":null}', 0),
(22, 4, 1, '', '2019-05-13 03:45:53', 42, 2092, '06a7bc30916a1df9878b85f1f268ad23c5d1e7e0', '{"id":4,"asset_id":88,"title":"Error page","alias":"error-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\" class=\\"img-wrap\\"><img src=\\"\\/images\\/joomlart\\/others\\/404-page.jpg\\" alt=\\"Sample Image\\" style=\\"display: inline-block;\\"><\\/p>","fulltext":"","state":1,"catid":"2","created":"2018-06-11 04:49:27","created_by":"42","created_by_alias":"","modified":"2018-06-11 04:49:27","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-11 04:49:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(23, 5, 1, '', '2019-05-13 03:45:53', 42, 2075, '7d2f8d3eaba34fbf4ff20c1dbe48ab059f3a3e25', '{"id":5,"asset_id":89,"title":"Offline Page","alias":"offline-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style<\\/strong>.<\\/center><\\/div>\\r\\n<p class=\\"img-wrap\\" align=\\"center\\"><img src=\\"\\/images\\/joomlart\\/others\\/offline-page.jpg\\" border=\\"0\\" alt=\\"Sample Image\\"><\\/p>","fulltext":"","state":1,"catid":"2","created":"2018-06-11 04:51:05","created_by":"42","created_by_alias":"","modified":"2018-06-11 04:51:05","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-11 04:51:05","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(24, 5, 1, '', '2019-05-13 03:45:53', 42, 2093, '78d306497bde5cd6d3ea67d40c1c779cc2803646', '{"id":5,"asset_id":"89","title":"Offline Page","alias":"offline-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style<\\/strong>.<\\/center><\\/div>\\r\\n<p class=\\"img-wrap\\" align=\\"center\\"><img src=\\"\\/images\\/joomlart\\/others\\/offline-page.jpg\\" border=\\"0\\" alt=\\"Sample Image\\"><\\/p>","fulltext":"","state":1,"catid":"10","created":"2018-06-11 04:51:05","created_by":"42","created_by_alias":"","modified":"2018-06-11 07:58:34","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-11 07:58:30","publish_up":"2018-06-11 04:51:05","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(25, 4, 1, '', '2019-05-13 03:45:53', 42, 2110, 'e58b0b01411d7b7715cb3a027d06c57be308826c', '{"id":4,"asset_id":"88","title":"Error page","alias":"error-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\" class=\\"img-wrap\\"><img src=\\"\\/images\\/joomlart\\/others\\/404-page.jpg\\" alt=\\"Sample Image\\" style=\\"display: inline-block;\\"><\\/p>","fulltext":"","state":1,"catid":"10","created":"2018-06-11 04:49:27","created_by":"42","created_by_alias":"","modified":"2018-06-11 07:59:20","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-11 07:58:36","publish_up":"2018-06-11 04:49:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(26, 2, 8, '', '2019-05-13 03:45:53', 42, 544, 'ecd5bd1988494fffa83b4fa85a4300505c794fe5', '{"id":2,"parent_id":"1","lft":"1","rgt":2,"level":1,"path":"gym","title":"gym","alias":"gym","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2018-06-11 08:09:29","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2018-06-11 08:09:29","created_by_alias":"","modified_user_id":"0","modified_time":"2018-06-11 08:09:29","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2018-06-11 08:09:29","publish_down":"2018-06-11 08:09:29"}', 0),
(27, 3, 8, '', '2019-05-13 03:45:53', 42, 553, 'afdcc405e0ff1a53e61ea1732dd145b24c46f9f6', '{"id":3,"parent_id":"1","lft":"3","rgt":4,"level":1,"path":"weight","title":"weight","alias":"weight","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2018-06-11 08:09:29","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2018-06-11 08:09:29","created_by_alias":"","modified_user_id":"0","modified_time":"2018-06-11 08:09:29","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2018-06-11 08:09:29","publish_down":"2018-06-11 08:09:29"}', 0),
(28, 4, 8, '', '2019-05-13 03:45:53', 42, 556, 'be436eee76ac929ef65f23702bce3bd5aa221719', '{"id":4,"parent_id":"1","lft":"5","rgt":6,"level":1,"path":"fitness","title":"fitness","alias":"fitness","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2018-06-11 08:09:29","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2018-06-11 08:09:29","created_by_alias":"","modified_user_id":"0","modified_time":"2018-06-11 08:09:29","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2018-06-11 08:09:29","publish_down":"2018-06-11 08:09:29"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(29, 6, 1, '', '2019-05-13 03:45:53', 42, 26166, '40848c33e1890714d18f0e739aab33bb8ca2d70e', '{"id":6,"asset_id":93,"title":"Typography","alias":"typography","introtext":"\\r\\n\\t\\t\\t\\t\\t\\t<!-- CORE TYPOGRAPHY\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\"><!-- Headings -->\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-7\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Heading Text<\\/h3>\\r\\n\\t\\t\\t\\t<h1>h1. Heading <small>Secondary text<\\/small><\\/h1>\\r\\n\\t\\t\\t\\t<h2>h2. Heading <small>Secondary text<\\/small><\\/h2>\\r\\n\\t\\t\\t\\t<h3>h3. Heading <small>Secondary text<\\/small><\\/h3>\\r\\n\\t\\t\\t\\t<h4>h4. Heading <small>Secondary text<\\/small><\\/h4>\\r\\n\\t\\t\\t\\t<h5>h5. Heading <small>Secondary text<\\/small><\\/h5>\\r\\n\\t\\t\\t\\t<h6>h6. Heading <small>Secondary text<\\/small><\\/h6>\\r\\n\\t\\t\\t\\t<div class=\\"alert alert-warning\\">\\r\\n\\t\\t\\t\\t\\t<p><strong>TIPS:<\\/strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;<\\/code> tag or the <code>.small<\\/code> class.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-5\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Example body text<\\/h3>\\r\\n\\t\\t\\t\\t<p class=\\"lead\\">This is a <strong>lead paragraph<\\/strong>. <br>Make a paragraph stand out by adding <code>.lead<\\/code>.<\\/p>\\r\\n\\t\\t\\t\\t<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<p>Nullam quis risus eget <a href=\\"#\\">urna mollis ornare<\\/a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.<\\/p>\\r\\n\\t\\t\\t\\t<p>The following snippet of text is <strong>rendered as bold text<\\/strong>.<\\/p>\\r\\n\\t\\t\\t\\t<p>The following snippet of text is <em>rendered as italicized text<\\/em>.<\\/p>\\r\\n\\t\\t\\t\\t<p>An abbreviation of the word attribute is <abbr title=\\"attribute\\">attr<\\/abbr>.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Headings -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Address & Emphasis -->\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Address<\\/h3>\\r\\n\\t\\t\\t\\t<address><strong>Company Name<\\/strong><br> 795 Folsom Ave, Suite 600<br> San Francisco, CA 94107<br> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<\\/address><address><strong>Full Name<\\/strong><br> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<br> <span id=\\"cloake4e2bbc0ee69e95e9a438ec93c97c721\\"><a href=\\"mailto:first.last@example.com\\">first.last@example.com<\\/a><\\/span><script type=\\"text\\/javascript\\">\\r\\n\\t\\t\\t\\tdocument.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML = \'\';\\r\\n\\t\\t\\t\\tvar prefix = \'&#109;a\' + \'i&#108;\' + \'&#116;o\';\\r\\n\\t\\t\\t\\tvar path = \'hr\' + \'ef\' + \'=\';\\r\\n\\t\\t\\t\\tvar addye4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\';\\r\\n\\t\\t\\t\\taddye4e2bbc0ee69e95e9a438ec93c97c721 = addye4e2bbc0ee69e95e9a438ec93c97c721 + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';\\r\\n\\t\\t\\t\\tvar addy_texte4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\' + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';document.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML += \'<a \' + path + \'\\\\\'\' + prefix + \':\' + addye4e2bbc0ee69e95e9a438ec93c97c721 + \'\\\\\'>\'+addy_texte4e2bbc0ee69e95e9a438ec93c97c721+\'<\\\\\\/a>\';\\r\\n\\t\\t<\\/script><\\/address><\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"sub-title\\">Emphasis classes<\\/h3>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-muted\\">This is a <code>.mute<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-primary\\">This is a <code>.text-primary<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-warning\\">This is a <code>.text-warning<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-danger\\">This is a <code>.text-danger<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-success\\">This is a <code>.text-success<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-info\\">This is a <code>.text-info<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"sub-title\\">Alignment classes<\\/h3>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-left\\">This is a left aligned text <code>.text-left<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-center\\">This is a center aligned text <code>.text-center<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-right\\">This is a right aligned text <code>.text-right<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-justify\\">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify<\\/code> class.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Address & Emphasis --><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/CORE TYPOGRAPHY -->\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n\\t\\t\\t<!-- Blockquotes -->\\r\\n\\t\\t\\t<div class=\\"docs-section\\">\\r\\n\\t\\t\\t\\t<h2 id=\\"example-colors\\">Blockquotes<\\/h2>\\r\\n\\t\\t\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t\\t\\t<blockquote>\\r\\n\\t\\t\\t\\t\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<blockquote class=\\"pull-right\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<!-- \\/\\/Blockquotes -->\\r\\n\\t\\t\\t\\t\\t<p> <\\/p>\\r\\n<!-- TAGS\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-colors\\">Tags<\\/h2>\\r\\n\\t\\t<div class=\\"tags\\"><span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">hotel<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">booking<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">discount<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">location<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">map<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">travel<\\/a><\\/span><\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/TAGS -->\\r\\n\\t<p> <\\/p>\\r\\n<!-- COLOR SWATCHES\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-color\\">Color Swatches<\\/h2>\\r\\n\\t\\t<!-- Brand Colors -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Brand Colors<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-primary\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f9676b<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Primary<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-secondary\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#428bca<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Secondary<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-warning\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f0ad4e<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Warning<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-danger\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#d9534f<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Danger<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-info\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#5bc0de<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Info<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-success\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#00cc8b<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Success<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Brand Colors -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Grayscale -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Grayscale Levels<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-darker\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#222<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Darker<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-dark\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#333<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Dark<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#555<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-light\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#999<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Light<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-lighter\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#eee<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Lighter<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-lightest\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f8f8f8<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Lightest<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Grayscale --><\\/div>\\r\\n\\t\\t<!-- \\/\\/COLOR SWATCHES -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- BUTTON\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-colors\\">Buttons<\\/h2>\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-md-12\\"><!-- Button -->\\r\\n\\t\\t\\t\\t<div class=\\"example-button clearfix\\">\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-default\\" href=\\"#\\">Normal Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-primary\\" href=\\"#\\">Primary Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-success\\" href=\\"#\\">Success Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-warning\\" href=\\"#\\">Warning Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-danger\\" href=\\"#\\">Danger Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-info\\" href=\\"#\\">Info Button<\\/a>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<!-- \\/\\/Button --><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/BUTTON -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- NAVIGATIONS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-navigation\\">Navigations<\\/h2>\\r\\n\\t\\t<!-- Tabs & Vertical Menus -->\\r\\n\\t\\t<div class=\\"row example-row example-navigation\\"><!-- Tabs -->\\r\\n\\t\\t\\t<div class=\\"col-lg-8\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Tabs<\\/h3>\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-tabs\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#home\\" data-toggle=\\"tab\\">Home<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#profile\\" data-toggle=\\"tab\\">Profile<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"disabled\\"><a>Disabled<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown1\\" data-toggle=\\"tab\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<div id=\\"myTabContent\\" class=\\"tab-content\\">\\r\\n\\t\\t\\t\\t\\t<div id=\\"home\\" class=\\"tab-pane fade active in\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"profile\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"dropdown1\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"dropdown2\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Tabs --> <!-- Vertical Menus -->\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Vertical Menus<\\/h3>\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-pills nav-stacked\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Active Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"disabled\\"><a href=\\"#\\">Disabled Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Something else here<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Separated link<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- Vertical Menus --><\\/div>\\r\\n\\t\\t\\t<!-- Tabs & Vertical Menus --><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/NAVIGATIONS -->\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n<!-- FORMS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<div class=\\"page-header\\">\\r\\n\\t\\t\\t<h3 id=\\"example-typo\\">Inputs<\\/h3>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Inputs -->\\r\\n\\t\\t<div class=\\"row example-row example-forms example-inputs\\">\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-success\\"><label class=\\"control-label\\" for=\\"inputSuccess\\">Input success<\\/label> <input id=\\"inputSuccess\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-error\\"><label class=\\"control-label\\" for=\\"inputError\\">Input error<\\/label> <input id=\\"inputError\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-warning\\"><label class=\\"control-label\\" for=\\"inputWarning\\">Input warning<\\/label> <input id=\\"inputWarning\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group\\"><label class=\\"control-label\\" for=\\"disabledInput\\">Disabled input<\\/label> <input id=\\"disabledInput\\" class=\\"form-control\\" disabled=\\"disabled\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Inputs --><\\/div>\\r\\n\\t\\t<!-- \\/\\/FORMS -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- INDICATORS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-indicators\\">Indicators<\\/h2>\\r\\n\\t\\t<!-- Alerts -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Alerts and Notifications<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-danger\\">\\r\\n\\t\\t\\t\\t\\t<h4>error message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-success\\">\\r\\n\\t\\t\\t\\t\\t<h4>sussess message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-info\\">\\r\\n\\t\\t\\t\\t\\t<h4>info message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-warning\\">\\r\\n\\t\\t\\t\\t\\t<h4>warning message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Alerts -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Labels & Badges -->\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Badges<\\/h3>\\r\\n\\t\\t\\t\\t<div class=\\"example\\">\\r\\n\\t\\t\\t\\t\\t<ul class=\\"nav nav-pills\\">\\r\\n\\t\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Home <span class=\\"badge\\">42<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Profile <\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Messages <span class=\\"badge\\">25<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Notices <span class=\\"badge\\">2<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Labels<\\/h3>\\r\\n\\t\\t\\t\\t<div class=\\"example\\"><span class=\\"label label-default\\">Default<\\/span> <span class=\\"label label-primary\\">Primary<\\/span> <span class=\\"label label-success\\">Success<\\/span> <span class=\\"label label-info\\">Info<\\/span> <span class=\\"label label-warning\\">Warning<\\/span> <span class=\\"label label-danger\\">Danger<\\/span><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Labels & Badges --><\\/div>\\r\\n\\t\\t<!-- \\/\\/INDICATORS -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- MISC\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-misc\\">Misc<\\/h2>\\r\\n\\t\\t<!-- List Groups -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">List groups<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<ul class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">14<\\/span> Cras justo odio<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\">Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">1<\\/span> Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\"><a class=\\"list-group-item active\\" href=\\"#\\"><span class=\\"badge\\">9<\\/span> Cras justo odio<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Dapibus ac facilisis in<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Morbi leo risus<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Porta ac consectetur ac<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Vestibulum at eros<\\/a><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus risus varius blandit.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/List Groups -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Panels -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Panels<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-default\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">Panel heading<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-primary\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel primary<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-success\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel success<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-warning\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel warning<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-danger\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel danger<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-info\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel info<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Panels -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Wells -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Wells<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well well-sm\\">Look, I\'m in a small well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well\\">Look, I\'m in a well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well well-lg\\">Look, I\'m in a large well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Wells -->","fulltext":"","state":1,"catid":"2","created":"2018-06-11 08:13:40","created_by":"42","created_by_alias":"","modified":"2018-06-11 08:13:40","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-11 08:13:40","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(30, 6, 1, '', '2019-05-13 03:45:53', 42, 26180, '8f194169e00613b7f00aa395348796458f8f9f68', '{"id":6,"asset_id":"93","title":"Typography","alias":"typography","introtext":"\\t\\t\\t\\t\\t\\t<!-- CORE TYPOGRAPHY\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\"><!-- Headings -->\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-7\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Heading Text<\\/h3>\\r\\n\\t\\t\\t\\t<h1>h1. Heading <small>Secondary text<\\/small><\\/h1>\\r\\n\\t\\t\\t\\t<h2>h2. Heading <small>Secondary text<\\/small><\\/h2>\\r\\n\\t\\t\\t\\t<h3>h3. Heading <small>Secondary text<\\/small><\\/h3>\\r\\n\\t\\t\\t\\t<h4>h4. Heading <small>Secondary text<\\/small><\\/h4>\\r\\n\\t\\t\\t\\t<h5>h5. Heading <small>Secondary text<\\/small><\\/h5>\\r\\n\\t\\t\\t\\t<h6>h6. Heading <small>Secondary text<\\/small><\\/h6>\\r\\n\\t\\t\\t\\t<div class=\\"alert alert-warning\\">\\r\\n\\t\\t\\t\\t\\t<p><strong>TIPS:<\\/strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;<\\/code> tag or the <code>.small<\\/code> class.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-5\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Example body text<\\/h3>\\r\\n\\t\\t\\t\\t<p class=\\"lead\\">This is a <strong>lead paragraph<\\/strong>. <br>Make a paragraph stand out by adding <code>.lead<\\/code>.<\\/p>\\r\\n\\t\\t\\t\\t<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<p>Nullam quis risus eget <a href=\\"#\\">urna mollis ornare<\\/a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.<\\/p>\\r\\n\\t\\t\\t\\t<p>The following snippet of text is <strong>rendered as bold text<\\/strong>.<\\/p>\\r\\n\\t\\t\\t\\t<p>The following snippet of text is <em>rendered as italicized text<\\/em>.<\\/p>\\r\\n\\t\\t\\t\\t<p>An abbreviation of the word attribute is <abbr title=\\"attribute\\">attr<\\/abbr>.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Headings -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Address & Emphasis -->\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Address<\\/h3>\\r\\n\\t\\t\\t\\t<address><strong>Company Name<\\/strong><br> 795 Folsom Ave, Suite 600<br> San Francisco, CA 94107<br> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<\\/address><address><strong>Full Name<\\/strong><br> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<br> <span id=\\"cloake4e2bbc0ee69e95e9a438ec93c97c721\\"><a href=\\"mailto:first.last@example.com\\">first.last@example.com<\\/a><\\/span><script type=\\"text\\/javascript\\">\\r\\n\\t\\t\\t\\tdocument.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML = \'\';\\r\\n\\t\\t\\t\\tvar prefix = \'&#109;a\' + \'i&#108;\' + \'&#116;o\';\\r\\n\\t\\t\\t\\tvar path = \'hr\' + \'ef\' + \'=\';\\r\\n\\t\\t\\t\\tvar addye4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\';\\r\\n\\t\\t\\t\\taddye4e2bbc0ee69e95e9a438ec93c97c721 = addye4e2bbc0ee69e95e9a438ec93c97c721 + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';\\r\\n\\t\\t\\t\\tvar addy_texte4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\' + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';document.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML += \'<a \' + path + \'\\\\\'\' + prefix + \':\' + addye4e2bbc0ee69e95e9a438ec93c97c721 + \'\\\\\'>\'+addy_texte4e2bbc0ee69e95e9a438ec93c97c721+\'<\\\\\\/a>\';\\r\\n\\t\\t<\\/script><\\/address><\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"sub-title\\">Emphasis classes<\\/h3>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-muted\\">This is a <code>.mute<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-primary\\">This is a <code>.text-primary<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-warning\\">This is a <code>.text-warning<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-danger\\">This is a <code>.text-danger<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-success\\">This is a <code>.text-success<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-info\\">This is a <code>.text-info<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"sub-title\\">Alignment classes<\\/h3>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-left\\">This is a left aligned text <code>.text-left<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-center\\">This is a center aligned text <code>.text-center<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-right\\">This is a right aligned text <code>.text-right<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-justify\\">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify<\\/code> class.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Address & Emphasis --><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/CORE TYPOGRAPHY -->\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n\\t\\t\\t<!-- Blockquotes -->\\r\\n\\t\\t\\t<div class=\\"docs-section\\">\\r\\n\\t\\t\\t\\t<h2 id=\\"example-colors\\">Blockquotes<\\/h2>\\r\\n\\t\\t\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t\\t\\t<blockquote>\\r\\n\\t\\t\\t\\t\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<blockquote class=\\"pull-right\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<!-- \\/\\/Blockquotes -->\\r\\n\\t\\t\\t\\t\\t<p> <\\/p>\\r\\n<!-- TAGS\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-colors\\">Tags<\\/h2>\\r\\n\\t\\t<div class=\\"tags\\"><span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">hotel<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">booking<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">discount<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">location<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">map<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">travel<\\/a><\\/span><\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/TAGS -->\\r\\n\\t<p> <\\/p>\\r\\n<!-- COLOR SWATCHES\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-color\\">Color Swatches<\\/h2>\\r\\n\\t\\t<!-- Brand Colors -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Brand Colors<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-primary\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f9676b<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Primary<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-secondary\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#428bca<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Secondary<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-warning\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f0ad4e<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Warning<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-danger\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#d9534f<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Danger<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-info\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#5bc0de<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Info<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-success\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#00cc8b<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Success<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Brand Colors -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Grayscale -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Grayscale Levels<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-darker\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#222<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Darker<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-dark\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#333<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Dark<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#555<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-light\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#999<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Light<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-lighter\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#eee<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Lighter<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-lightest\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f8f8f8<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Lightest<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Grayscale --><\\/div>\\r\\n\\t\\t<!-- \\/\\/COLOR SWATCHES -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- BUTTON\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-colors\\">Buttons<\\/h2>\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-md-12\\"><!-- Button -->\\r\\n\\t\\t\\t\\t<div class=\\"example-button clearfix\\">\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-default\\" href=\\"#\\">Normal Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-primary\\" href=\\"#\\">Primary Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-success\\" href=\\"#\\">Success Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-warning\\" href=\\"#\\">Warning Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-danger\\" href=\\"#\\">Danger Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-info\\" href=\\"#\\">Info Button<\\/a>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<!-- \\/\\/Button --><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/BUTTON -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- NAVIGATIONS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-navigation\\">Navigations<\\/h2>\\r\\n\\t\\t<!-- Tabs & Vertical Menus -->\\r\\n\\t\\t<div class=\\"row example-row example-navigation\\"><!-- Tabs -->\\r\\n\\t\\t\\t<div class=\\"col-lg-8\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Tabs<\\/h3>\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-tabs\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#home\\" data-toggle=\\"tab\\">Home<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#profile\\" data-toggle=\\"tab\\">Profile<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"disabled\\"><a>Disabled<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown1\\" data-toggle=\\"tab\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<div id=\\"myTabContent\\" class=\\"tab-content\\">\\r\\n\\t\\t\\t\\t\\t<div id=\\"home\\" class=\\"tab-pane fade active in\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"profile\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"dropdown1\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"dropdown2\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Tabs --> <!-- Vertical Menus -->\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Vertical Menus<\\/h3>\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-pills nav-stacked\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Active Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"disabled\\"><a href=\\"#\\">Disabled Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Something else here<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Separated link<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- Vertical Menus --><\\/div>\\r\\n\\t\\t\\t<!-- Tabs & Vertical Menus --><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/NAVIGATIONS -->\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n<!-- FORMS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<div class=\\"page-header\\">\\r\\n\\t\\t\\t<h3 id=\\"example-typo\\">Inputs<\\/h3>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Inputs -->\\r\\n\\t\\t<div class=\\"row example-row example-forms example-inputs\\">\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-success\\"><label class=\\"control-label\\" for=\\"inputSuccess\\">Input success<\\/label> <input id=\\"inputSuccess\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-error\\"><label class=\\"control-label\\" for=\\"inputError\\">Input error<\\/label> <input id=\\"inputError\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-warning\\"><label class=\\"control-label\\" for=\\"inputWarning\\">Input warning<\\/label> <input id=\\"inputWarning\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group\\"><label class=\\"control-label\\" for=\\"disabledInput\\">Disabled input<\\/label> <input id=\\"disabledInput\\" class=\\"form-control\\" disabled=\\"disabled\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Inputs --><\\/div>\\r\\n\\t\\t<!-- \\/\\/FORMS -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- INDICATORS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-indicators\\">Indicators<\\/h2>\\r\\n\\t\\t<!-- Alerts -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Alerts and Notifications<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-danger\\">\\r\\n\\t\\t\\t\\t\\t<h4>error message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-success\\">\\r\\n\\t\\t\\t\\t\\t<h4>sussess message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-info\\">\\r\\n\\t\\t\\t\\t\\t<h4>info message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-warning\\">\\r\\n\\t\\t\\t\\t\\t<h4>warning message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Alerts -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Labels & Badges -->\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Badges<\\/h3>\\r\\n\\t\\t\\t\\t<div class=\\"example\\">\\r\\n\\t\\t\\t\\t\\t<ul class=\\"nav nav-pills\\">\\r\\n\\t\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Home <span class=\\"badge\\">42<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Profile <\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Messages <span class=\\"badge\\">25<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Notices <span class=\\"badge\\">2<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Labels<\\/h3>\\r\\n\\t\\t\\t\\t<div class=\\"example\\"><span class=\\"label label-default\\">Default<\\/span> <span class=\\"label label-primary\\">Primary<\\/span> <span class=\\"label label-success\\">Success<\\/span> <span class=\\"label label-info\\">Info<\\/span> <span class=\\"label label-warning\\">Warning<\\/span> <span class=\\"label label-danger\\">Danger<\\/span><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Labels & Badges --><\\/div>\\r\\n\\t\\t<!-- \\/\\/INDICATORS -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- MISC\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-misc\\">Misc<\\/h2>\\r\\n\\t\\t<!-- List Groups -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">List groups<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<ul class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">14<\\/span> Cras justo odio<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\">Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">1<\\/span> Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\"><a class=\\"list-group-item active\\" href=\\"#\\"><span class=\\"badge\\">9<\\/span> Cras justo odio<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Dapibus ac facilisis in<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Morbi leo risus<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Porta ac consectetur ac<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Vestibulum at eros<\\/a><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus risus varius blandit.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/List Groups -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Panels -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Panels<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-default\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">Panel heading<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-primary\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel primary<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-success\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel success<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-warning\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel warning<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-danger\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel danger<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-info\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel info<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Panels -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Wells -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Wells<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well well-sm\\">Look, I\'m in a small well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well\\">Look, I\'m in a well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well well-lg\\">Look, I\'m in a large well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Wells -->","fulltext":"","state":1,"catid":"10","created":"2018-06-11 08:13:40","created_by":"42","created_by_alias":"","modified":"2018-06-12 02:00:44","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 02:00:39","publish_up":"2018-06-11 08:13:40","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(31, 7, 1, '', '2019-05-13 03:45:53', 42, 4509, 'a14a6260e94e684a4344c97a0b5f179e9fc5153e', '{"id":7,"asset_id":99,"title":"Do You Actually Need Weightlifting Shoes? (2)","alias":"do-you-actually-need-weightlifting-shoes-2","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":8,"created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:45:50","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"4","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(32, 8, 1, '', '2019-05-13 03:45:53', 42, 4056, 'f210d8b9f0ccec7171bf6829686b800e7056c8b0', '{"id":8,"asset_id":101,"title":"10 Ways to Give Back Through Exercise","alias":"10-ways-to-give-back-through-exercise","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":8,"created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:45:50","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"5","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(33, 9, 1, '', '2019-05-13 03:45:53', 42, 4100, '784dcbba30b3abdea63ca9df38defbca698d5d79', '{"id":9,"asset_id":103,"title":"Easy Mindful Eating Tips That Are  Actually Worth Following (2)","alias":"easy-mindful-eating-tips-that-are-actually-worth-following-2","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":8,"created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:45:50","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"4","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(34, 11, 5, '', '2019-05-13 03:45:53', 42, 564, '5fa4148c08932b6ae1de5e9d0a835a41518cf88f', '{"id":11,"asset_id":105,"parent_id":"2","lft":"6","rgt":7,"level":2,"path":null,"extension":"com_content","title":"Member Stories","alias":"member-stories","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:46:28","modified_user_id":null,"modified_time":"2018-06-12 08:46:28","hits":"0","language":"*","version":null}', 0),
(35, 12, 5, '', '2019-05-13 03:45:53', 42, 666, '3864bba7f56d53154c83574b46fab5c6c3de0fad', '{"id":12,"asset_id":106,"parent_id":"2","lft":"8","rgt":9,"level":2,"path":null,"extension":"com_content","title":"Nutrition","alias":"nutrition","note":"","description":"Our nutrition category is full of healthy eating tips and recipes to help you get in the best shape of your life","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:47:09","modified_user_id":null,"modified_time":"2018-06-12 08:47:09","hits":"0","language":"*","version":null}', 0),
(36, 11, 5, '', '2019-05-13 03:45:53', 42, 766, 'bb69ea4400a39912608c3a1d8ea4c03f1db0e404', '{"id":11,"asset_id":"105","parent_id":"2","lft":"6","rgt":"7","level":"2","path":"our-blog\\/member-stories","extension":"com_content","title":"Member Stories","alias":"member-stories","note":"","description":"Our members bring their nerve, their zest, and their personal best to the gym. Most of all, they bring their incredible. Check out some of their stories here.","published":"1","checked_out":"42","checked_out_time":"2018-06-12 08:47:12","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:46:28","modified_user_id":"42","modified_time":"2018-06-12 08:47:25","hits":"0","language":"*","version":"1"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(37, 7, 1, '', '2019-05-13 03:45:53', 42, 4506, '469b7eb4ff8c463bd80db4d6475b8548c6364119', '{"id":7,"asset_id":"99","title":"Gym Exercises to Improve Your Posture","alias":"do-you-actually-need-weightlifting-shoes-2","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:52:55","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 08:48:14","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(38, 7, 1, '', '2019-05-13 03:45:53', 42, 4507, '1e3999c87dfb9e5ffa5e450eb0cd8f27881d44e7', '{"id":7,"asset_id":"99","title":"Gym Exercises to Improve Your Posture","alias":"do-you-actually-need-weightlifting-shoes-2","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"12","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:53:09","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 08:52:55","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(39, 8, 1, '', '2019-05-13 03:45:53', 42, 4051, 'da7678d97675bb7458e34e02b5b8ef34cdf642bf', '{"id":8,"asset_id":"101","title":"25 minute full body HIIT workout","alias":"25-minute-full-body-hiit-workout","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:53:45","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 08:53:14","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(40, 9, 1, '', '2019-05-13 03:45:53', 42, 4062, '099b495e3c63cf75ce8016f634125a7a4c6331fc', '{"id":9,"asset_id":"103","title":"Can the Gym Really Help Me Sleep Better?","alias":"can-the-gym-really-help-me-sleep-better","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:06","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 08:54:37","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(41, 10, 1, '', '2019-05-13 03:45:53', 42, 4064, '80242f0b7f1872620766cdced11d01b66e81121c', '{"id":10,"asset_id":107,"title":"Can the Gym Really Help Me Sleep Better? (2)","alias":"can-the-gym-really-help-me-sleep-better-2","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":11,"created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:41","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"5","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(42, 11, 1, '', '2019-05-13 03:45:53', 42, 4048, '50c27c3a36ecd4d5bc0a4cf755ca3a094acf5dfd', '{"id":11,"asset_id":109,"title":"25 minute full body HIIT workout","alias":"25-minute-full-body-hiit-workout","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":11,"created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:41","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"6","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(43, 12, 1, '', '2019-05-13 03:45:53', 42, 4504, 'e20c9d5ab7700d8b0df1338a9f5cd4c969c03216', '{"id":12,"asset_id":111,"title":"Gym Exercises to Improve Your Posture","alias":"do-you-actually-need-weightlifting-shoes-2","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":11,"created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:41","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"7","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(44, 13, 1, '', '2019-05-13 03:45:53', 42, 4506, 'e941a092e8b16e3c4cbe756e57a7820aa0dabf6b', '{"id":13,"asset_id":113,"title":"Do You Actually Need Weightlifting Shoes?","alias":"do-you-actually-need-weightlifting-shoes","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":11,"created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:41","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"4","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(45, 14, 1, '', '2019-05-13 03:45:53', 42, 4058, '8b2cde889516d2ad25468885fefca50eaa1b5b36', '{"id":14,"asset_id":115,"title":"10 Ways to Give Back Through Exercise","alias":"10-ways-to-give-back-through-exercise","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":11,"created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:41","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"5","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(46, 15, 1, '', '2019-05-13 03:45:53', 42, 4096, 'cb8be3b29b066c6897b7bdfb1bdd52c00d106bab', '{"id":15,"asset_id":117,"title":"Easy Mindful Eating Tips That Are  Actually Worth Following","alias":"easy-mindful-eating-tips-that-are-actually-worth-following","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":0,"catid":11,"created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:55:41","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"4","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(47, 10, 1, '', '2019-05-13 03:45:53', 42, 4082, '1e725bfbb9f07c1fada0b32abe122ed7e3520131', '{"id":10,"asset_id":"107","title":"Using the Gym to Train for Your Mud Run Challenge","alias":"using-the-gym-to-train-for-your-mud-run-challenge","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-12 08:57:08","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 08:55:55","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-8.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(48, 11, 1, '', '2019-05-13 03:45:53', 42, 4113, 'f7d89856b77baa9a096ba69dd48ad9f6eddde678', '{"id":11,"asset_id":"109","title":"Tempo training: What is it and how to apply it in your training","alias":"tempo-training-what-is-it-and-how-to-apply-it-in-your-training","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-12 09:01:49","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 08:57:37","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-9.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(49, 12, 1, '', '2019-05-13 03:45:53', 42, 4506, '61294898676dbb4db9b9e1a2b9fd100f5fc7c351', '{"id":12,"asset_id":"111","title":"Training your way to your best 5k race","alias":"training-your-way-to-your-best-5k-race","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"12","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 09:02:29","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 09:01:51","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-8.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(50, 13, 1, '', '2019-05-13 03:45:53', 42, 4496, '9d7080c94a9755f9ad1d11d83e02594cb46628c8', '{"id":13,"asset_id":"113","title":"5 functional exercises to master","alias":"5-functional-exercises-to-master","introtext":"<p>Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"12","created":"2018-06-04 08:49:53","created_by":"42","created_by_alias":"","modified":"2018-06-12 09:03:02","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 09:02:31","publish_up":"2018-06-04 08:49:53","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-10.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-10.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(51, 14, 1, '', '2019-05-13 03:45:53', 42, 4101, '7e1b06d8a9a47bf9ae6312b82b81b95ece06722e', '{"id":14,"asset_id":"115","title":"Tactics to Get the Most from the Gym in Just 40 minutes","alias":"tactics-to-get-the-most-from-the-gym-in-just-40-minutes","introtext":"<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus.<\\/p>\\r\\n","fulltext":"\\r\\n<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"12","created":"2018-06-04 08:49:00","created_by":"42","created_by_alias":"","modified":"2018-06-12 09:03:39","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 09:03:06","publish_up":"2018-06-04 08:49:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-11.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(52, 15, 1, '', '2019-05-13 03:45:53', 42, 4076, 'e574788a4b4512a5dd8f0ba48db4c286266c0dd0', '{"id":15,"asset_id":"117","title":"How to use social media with your gym routine","alias":"how-to-use-social-media-with-your-gym-routine","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"12","created":"2018-06-04 08:48:15","created_by":"42","created_by_alias":"","modified":"2018-06-12 09:04:13","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-12 09:03:41","publish_up":"2018-06-04 08:48:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-11.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(53, 9, 5, '', '2019-05-13 03:45:53', 42, 713, '3db3313cffa5baf51456d325510a217b719dbf0f', '{"id":9,"asset_id":"61","parent_id":"2","lft":"4","rgt":"5","level":"2","path":"our-blog\\/updates","extension":"com_content","title":"Updates","alias":"updates","note":"","description":"Want to stay in the know with the latest news in health and fitness? Here you\'ll find interesting articles and news about JA Fit","published":"1","checked_out":"42","checked_out_time":"2018-06-12 09:07:26","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:59:05","modified_user_id":"42","modified_time":"2018-06-12 09:07:33","hits":"0","language":"*","version":"1"}', 0),
(54, 8, 5, '', '2019-05-13 03:45:53', 42, 701, '3376b6a7e7c8332cf78da3f4c4633e376beb01cb', '{"id":8,"asset_id":"60","parent_id":"2","lft":"2","rgt":"3","level":"2","path":"our-blog\\/tips-tricks","extension":"com_content","title":"Tips & Tricks","alias":"tips-tricks","note":"","description":"Our health blog offers plenty of tips and insights to help you lead a healthy lifestyle all year round","published":"1","checked_out":"42","checked_out_time":"2018-06-12 09:07:56","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:58:56","modified_user_id":"42","modified_time":"2018-06-12 09:07:59","hits":"0","language":"*","version":"1"}', 0),
(55, 8, 5, '', '2019-05-13 03:45:53', 42, 741, '97d407e0246185359b12daa688f40379af0ead5c', '{"id":8,"asset_id":"60","parent_id":"2","lft":"2","rgt":"3","level":"2","path":"our-blog\\/tips-tricks","extension":"com_content","title":"Tips & Tricks","alias":"tips-tricks","note":"","description":"Our health blog offers plenty of tips and insights to help you lead a healthy lifestyle all year round","published":"1","checked_out":"42","checked_out_time":"2018-06-12 09:10:43","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-7.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:58:56","modified_user_id":"42","modified_time":"2018-06-12 09:11:00","hits":"0","language":"*","version":"1"}', 0),
(56, 9, 5, '', '2019-05-13 03:45:53', 42, 753, 'fbec6b35565767392da907e980b0139fdbb6e388', '{"id":9,"asset_id":"61","parent_id":"2","lft":"4","rgt":"5","level":"2","path":"our-blog\\/updates","extension":"com_content","title":"Updates","alias":"updates","note":"","description":"Want to stay in the know with the latest news in health and fitness? Here you\'ll find interesting articles and news about JA Fit","published":"1","checked_out":"42","checked_out_time":"2018-06-12 09:11:02","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-8.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:59:05","modified_user_id":"42","modified_time":"2018-06-12 09:11:18","hits":"0","language":"*","version":"1"}', 0),
(57, 11, 5, '', '2019-05-13 03:45:53', 42, 807, 'f72a47a19c116cdaff6e3bf3c1345c37077ce38a', '{"id":11,"asset_id":"105","parent_id":"2","lft":"6","rgt":"7","level":"2","path":"our-blog\\/member-stories","extension":"com_content","title":"Member Stories","alias":"member-stories","note":"","description":"Our members bring their nerve, their zest, and their personal best to the gym. Most of all, they bring their incredible. Check out some of their stories here.","published":"1","checked_out":"42","checked_out_time":"2018-06-12 09:11:21","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-14.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:46:28","modified_user_id":"42","modified_time":"2018-06-12 09:11:36","hits":"0","language":"*","version":"1"}', 0),
(58, 12, 5, '', '2019-05-13 03:45:53', 42, 745, 'c3f3f741d484b7aa0f1831e0ba0f35b15e345aee', '{"id":12,"asset_id":"106","parent_id":"2","lft":"8","rgt":"9","level":"2","path":"our-blog\\/nutrition","extension":"com_content","title":"Nutrition","alias":"nutrition","note":"","description":"Our nutrition category is full of healthy eating tips and recipes to help you get in the best shape of your life","published":"1","checked_out":"42","checked_out_time":"2018-06-12 09:11:38","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:47:09","modified_user_id":"42","modified_time":"2018-06-12 09:11:50","hits":"0","language":"*","version":"1"}', 0),
(59, 8, 5, '', '2019-05-13 03:45:53', 42, 745, 'e5b22514db0ef9bd79d80348c359dce28a00b668', '{"id":8,"asset_id":"60","parent_id":"2","lft":"2","rgt":"3","level":"2","path":"our-blog\\/tips-tricks","extension":"com_content","title":"Tips & Tricks","alias":"tips-tricks","note":"","description":"Our health blog offers plenty of tips and insights to help you lead a healthy lifestyle all year round","published":"1","checked_out":"42","checked_out_time":"2018-06-12 10:23:29","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-1.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:58:56","modified_user_id":"42","modified_time":"2018-06-12 10:23:36","hits":"0","language":"*","version":"1"}', 0),
(60, 9, 5, '', '2019-05-13 03:45:53', 42, 757, 'ee384d0d0ad7d90882e7d9af63f24cd9f443e439', '{"id":9,"asset_id":"61","parent_id":"2","lft":"4","rgt":"5","level":"2","path":"our-blog\\/updates","extension":"com_content","title":"Updates","alias":"updates","note":"","description":"Want to stay in the know with the latest news in health and fitness? Here you\'ll find interesting articles and news about JA Fit","published":"1","checked_out":"42","checked_out_time":"2018-06-12 10:23:47","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-2.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-05-31 01:59:05","modified_user_id":"42","modified_time":"2018-06-12 10:23:53","hits":"0","language":"*","version":"1"}', 0),
(61, 11, 5, '', '2019-05-13 03:45:53', 42, 810, '64a52ecb3d4ca8b15ae15f65a7a868f15ab6124d', '{"id":11,"asset_id":"105","parent_id":"2","lft":"6","rgt":"7","level":"2","path":"our-blog\\/member-stories","extension":"com_content","title":"Member Stories","alias":"member-stories","note":"","description":"Our members bring their nerve, their zest, and their personal best to the gym. Most of all, they bring their incredible. Check out some of their stories here.","published":"1","checked_out":"42","checked_out_time":"2018-06-12 10:23:55","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-3.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:46:28","modified_user_id":"42","modified_time":"2018-06-12 10:24:00","hits":"0","language":"*","version":"1"}', 0),
(62, 12, 5, '', '2019-05-13 03:45:53', 42, 749, 'cde3df49705ba4f9ca9ec9642a567976650a358f', '{"id":12,"asset_id":"106","parent_id":"2","lft":"8","rgt":"9","level":"2","path":"our-blog\\/nutrition","extension":"com_content","title":"Nutrition","alias":"nutrition","note":"","description":"Our nutrition category is full of healthy eating tips and recipes to help you get in the best shape of your life","published":"1","checked_out":"42","checked_out_time":"2018-06-12 10:24:02","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:47:09","modified_user_id":"42","modified_time":"2018-06-12 10:24:08","hits":"0","language":"*","version":"1"}', 0),
(63, 11, 5, '', '2019-05-13 03:45:53', 42, 772, '095c48637fc3114c98dbf00975d1942d79cd3acd', '{"id":11,"asset_id":"105","parent_id":"2","lft":"6","rgt":"7","level":"2","path":"our-blog\\/member-stories","extension":"com_content","title":"Member Stories","alias":"member-stories","note":"","description":"Our members bring their nerve, their zest, and their personal best to the gym. Most of all, they bring their incredible.","published":"1","checked_out":"42","checked_out_time":"2018-06-13 02:44:19","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-3.jpg\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-12 08:46:28","modified_user_id":"42","modified_time":"2018-06-13 02:44:25","hits":"0","language":"*","version":"1"}', 0),
(64, 16, 1, '', '2019-05-13 03:45:53', 42, 4044, '6e2f65b4c219307fbc52799c85a2a202f2424589', '{"id":16,"asset_id":121,"title":"What to Eat After a Workout at the Gym","alias":"what-to-eat-after-a-workout-at-the-gym","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-21 06:09:27","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:09:27","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:09:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-15.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-15.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(65, 17, 1, '', '2019-05-13 03:45:53', 42, 4052, 'ef9490861f2343cef597fe46e4855e0d2784731a', '{"id":17,"asset_id":123,"title":"10 Health and Fitness Tips for Busy People","alias":"10-health-and-fitness-tips-for-busy-people","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-21 06:11:43","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:11:43","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:11:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-16.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-16.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(66, 18, 1, '', '2019-05-13 03:45:53', 42, 4056, '2c1a244ccdee2e3bec82dbd2eafc9b175bed65ae', '{"id":18,"asset_id":125,"title":"The Secret To Eating Your Way To Good Health","alias":"the-secret-to-eating-your-way-to-good-health","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"8","created":"2018-06-21 06:13:21","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:13:21","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:13:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-17.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-17.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(67, 19, 1, '', '2019-05-13 03:45:53', 42, 4025, 'ab4669621971484c700140cb4b8a0d219f973212', '{"id":19,"asset_id":127,"title":"Gym can help me quit smoking","alias":"gym-can-help-me-quit-smoking","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-21 06:29:04","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:29:04","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:29:04","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-28.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-28.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(68, 19, 1, '', '2019-05-13 03:45:53', 42, 4068, 'ac04e9122146648708358f807b846d96042a317b', '{"id":19,"asset_id":"127","title":"Gyms can help me quit smoking but also prevent disease","alias":"gym-can-help-me-quit-smoking","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-21 06:29:04","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:30:46","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-21 06:30:38","publish_up":"2018-06-21 06:29:04","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-28.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-28.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(69, 20, 1, '', '2019-05-13 03:45:53', 42, 4072, '09e7bd5d077bd78e0c76074f7b1980a7e3460485', '{"id":20,"asset_id":129,"title":"Anti-aging gym, improve health and mental well-being","alias":"anti-aging-gym-improve-health-and-mental-well-being","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-21 06:34:34","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:34:34","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:34:34","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-18.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-18.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(70, 21, 1, '', '2019-05-13 03:45:53', 42, 4077, '3dd6190e8fc7016f237cd8bf714ccb05d1dd49ab', '{"id":21,"asset_id":131,"title":"Gym exercises increase muscle strength and gain weight","alias":"gym-exercises-increase-muscle-strength-and-gain-weight","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-21 06:37:18","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:37:18","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:37:18","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-19.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-19.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(71, 22, 1, '', '2019-05-13 03:45:53', 42, 4099, '4bfd3583eefcdf2a3214d5b11970071e71166947', '{"id":22,"asset_id":133,"title":"Using the Gym help me body and improve your cardiovascular health","alias":"using-the-gym-help-me-body-and-improve-your-cardiovascular-health","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"11","created":"2018-06-21 06:48:04","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:48:04","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:48:04","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-21.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-21.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(72, 23, 1, '', '2019-05-13 03:45:53', 42, 4054, 'de6c7a79349633ad6bd22db435c0b1bf30b2c0cc', '{"id":23,"asset_id":135,"title":"The Benefits of Strength and Weight Training","alias":"the-benefits-of-strength-and-weight-training","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-21 06:55:47","created_by":"42","created_by_alias":"","modified":"2018-06-21 06:55:47","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 06:55:47","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(73, 24, 1, '', '2019-05-13 03:45:53', 42, 4066, '216308b0493f747840e8356702ceb739387f0964', '{"id":24,"asset_id":137,"title":"Functional Exercises Everyone Can Do - Men\'s Trait","alias":"functional-exercises-everyone-can-do-men-s-trait","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-21 07:00:19","created_by":"42","created_by_alias":"","modified":"2018-06-21 07:00:19","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:00:19","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-23.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-23.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(74, 25, 1, '', '2019-05-13 03:45:53', 42, 4068, '9e1d87ba8f79012d8536836bd2a1a8ea0ba01037', '{"id":25,"asset_id":139,"title":"Exercise can boost your memory and thinking skills","alias":"exercise-can-boost-your-memory-and-thinking-skills","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-21 07:02:44","created_by":"42","created_by_alias":"","modified":"2018-06-21 07:02:44","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:02:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-29.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-29.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(75, 26, 1, '', '2019-05-13 03:45:53', 42, 4056, '58ac5ca16b7a32282fdfc7766c9e2b8254490d9f', '{"id":26,"asset_id":141,"title":"15 Gym Promotion Ideas You Can Use Right Now","alias":"15-gym-promotion-ideas-you-can-use-right-now","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-21 07:08:02","created_by":"42","created_by_alias":"","modified":"2018-06-21 07:08:02","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:08:02","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-31.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-31.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(76, 27, 1, '', '2019-05-13 03:45:53', 42, 4066, 'ea84f9aacf3ffc904baa919190e0129c5b1f2a0e', '{"id":27,"asset_id":143,"title":"10 kickass fitness jobs besides personal training","alias":"10-kickass-fitness-jobs-besides-personal-training","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"9","created":"2018-06-21 07:12:24","created_by":"42","created_by_alias":"","modified":"2018-06-21 07:12:24","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:12:24","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-22.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-22.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(77, 28, 1, '', '2019-05-13 03:45:53', 42, 4065, '883c6a410fb2ef309113a3fda909dc6356321e1d', '{"id":28,"asset_id":145,"title":"10 Exercises to Develop the Best Pecs in the Gym","alias":"10-exercises-to-develop-the-best-pecs-in-the-gym","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>","state":1,"catid":"12","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-21 07:17:21","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(78, 1, 2, '', '2019-05-13 03:45:53', 42, 1993, '853bc82d01dc10fe540778eb62cf12c678d43ee4', '{"id":1,"name":"Ja Fit","alias":"ja-fit","con_position":"","address":"1064 Oakmound Road\\r\\nChicago, IL 60661","suburb":"","state":"","country":"","postcode":"","telephone":"(012) 773-249","fax":"","misc":"{jamap}","image":"images\\/joomlart\\/others\\/avatar-contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2018-06-22 07:17:06","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"linkedin\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"google plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"twitter\\",\\"linkd\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"(012) 249-4163","webpage":"https:\\/\\/joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2018-05-31 01:56:59","created_by":"42","created_by_alias":"","modified":"2018-06-22 07:17:51","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":12,"hits":"77"}', 0),
(79, 4, 1, '', '2019-05-13 03:45:53', 42, 2065, 'e875e63c5d12e66876fdf95f7ccfb7fb5b1779e0', '{"id":4,"asset_id":"88","title":"Error page","alias":"error-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\" class=\\"img-wrap\\"><img src=\\"images\\/joomlart\\/others\\/404-page.jpg\\" alt=\\"\\"\\/><\\/p>","fulltext":"","state":1,"catid":"10","created":"2018-06-11 04:49:27","created_by":"42","created_by_alias":"","modified":"2018-06-25 04:03:11","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 04:02:25","publish_up":"2018-06-11 04:49:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(80, 4, 1, '', '2019-05-13 03:45:53', 42, 2097, '84cac3998d9b360711fd1a583f1dc843e3115f24', '{"id":4,"asset_id":"88","title":"Error page","alias":"error-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\" class=\\"img-wrap\\"><img src=\\"images\\/joomlart\\/others\\/404-page.jpg\\" alt=\\"\\" style=\\"display: inline-block\\"\\/><\\/p>","fulltext":"","state":1,"catid":"10","created":"2018-06-11 04:49:27","created_by":"42","created_by_alias":"","modified":"2018-06-25 04:04:25","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 04:03:11","publish_up":"2018-06-11 04:49:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"8","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(81, 4, 1, '', '2019-05-13 03:45:53', 42, 2099, '8bb00ff7aa075b175fe53687f77697fdcece5a44', '{"id":4,"asset_id":"88","title":"Error page","alias":"error-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\" class=\\"img-wrap\\"><img src=\\"images\\/joomlart\\/others\\/404-page.jpg\\" alt=\\"\\" style=\\"display: inline-block\\"\\/><\\/p>","fulltext":"","state":1,"catid":"10","created":"2018-06-11 04:49:27","created_by":"42","created_by_alias":"","modified":"2018-06-25 04:05:18","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 04:04:25","publish_up":"2018-06-11 04:49:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"0\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"9","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(82, 5, 1, '', '2019-05-13 03:45:53', 42, 2091, '03044a689cb9ef392188c64d12f2d8ca32d2f92a', '{"id":5,"asset_id":"89","title":"Offline Page","alias":"offline-page","introtext":"<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style<\\/strong>.<\\/center><\\/div>\\r\\n<p class=\\"img-wrap\\" align=\\"center\\"><img src=\\"images\\/joomlart\\/others\\/offline-page.jpg\\" border=\\"0\\" alt=\\"Sample Image\\"><\\/p>","fulltext":"","state":1,"catid":"10","created":"2018-06-11 04:51:05","created_by":"42","created_by_alias":"","modified":"2018-06-25 04:05:40","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 04:05:33","publish_up":"2018-06-11 04:51:05","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(83, 13, 5, '', '2019-05-13 03:45:53', 42, 552, 'bd9ef47ef2e570eca778be046513757e961cb011', '{"id":13,"asset_id":152,"parent_id":"1","lft":"21","rgt":22,"level":1,"path":null,"extension":"com_content","title":"Classes","alias":"classes","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-25 14:55:18","modified_user_id":null,"modified_time":"2018-06-25 14:55:18","hits":"0","language":"*","version":null}', 0),
(85, 13, 5, '', '2019-05-13 03:45:53', 42, 611, 'b994472c089afc1fac7979d9b664135ad829585e', '{"id":13,"asset_id":"152","parent_id":"1","lft":"21","rgt":"22","level":"1","path":"classes","extension":"com_content","title":"Classes","alias":"classes","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2018-06-25 15:09:26","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t3_extrafields\\":\\"gym-info\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2018-06-25 14:55:18","modified_user_id":"42","modified_time":"2018-06-25 15:09:31","hits":"0","language":"*","version":"1"}', 0),
(96, 29, 1, '', '2019-05-13 03:45:53', 42, 4337, '09f01d19a7e25471b85f9ffbfc01e051aac877d0', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:37:32","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:37:00","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":12,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"36","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(97, 29, 1, '', '2019-05-13 03:45:53', 42, 4369, 'ab205b992384673fb553134329ec06c9b463ce08', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4>\\r\\n  What to wear\\r\\n<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:38:33","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:37:32","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":13,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"37","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(98, 29, 1, '', '2019-05-13 03:45:53', 42, 4403, 'f5a2906e8df91fd1b4ca1bed71347e39508d4e72', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4>What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<h4>Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:39:37","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:38:33","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":14,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"38","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(99, 29, 1, '', '2019-05-13 03:45:53', 42, 4537, 'de238bd7e50da839427c557e957f4610dc05322d', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4>What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h4>Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-2.jpg\\" alt=\\"\\"\\/>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:40:34","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:39:37","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":15,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"39","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(100, 29, 1, '', '2019-05-13 03:45:53', 42, 4478, '3d0b4eaeb5db15176d20c48ceb19ea0cdd1dc3da', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4>What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n\\r\\n<h4>Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:40:56","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:40:34","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":16,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"40","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(101, 29, 1, '', '2019-05-13 03:45:53', 42, 4483, '63705cb84dff1c62b6479b1ddba03b3002034988', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4>Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:41:37","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:40:56","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":17,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"41","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(102, 29, 1, '', '2019-05-13 03:45:53', 42, 4968, '168ea74e6b72f2236c317b46e7a0925fb676c8ad', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:42:18","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:41:37","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":18,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"42","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(103, 29, 1, '', '2019-05-13 03:45:53', 42, 4971, 'b13b54761cb3fe11fe6f230dc3b795ff4af565f6', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Book Class Now\\">Book Class Now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:46:48","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:42:18","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":19,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"44","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(104, 29, 1, '', '2019-05-13 03:45:53', 42, 4975, '1c764815f2111cdbc3001b2d519bda41dfdfae97', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:47:49","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:46:48","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":20,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"45","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(105, 29, 1, '', '2019-05-13 03:45:53', 42, 4981, '43c99b06742605c17e6fe09f2b2a35080e14a894', '{"id":29,"asset_id":"153","title":"Legs bums & tums class","alias":"legs-bums-tums-class","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:48:13","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:47:49","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":21,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"46","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(106, 30, 1, '', '2019-05-13 03:45:53', 42, 4949, '66cc24cc80324415d58da864cfb07d39cda7aa67', '{"id":30,"asset_id":155,"title":"Legs bums & tums class (2)","alias":"legs-bums-tums-class-2","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":0,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:53:15","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:17:21","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-30.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(107, 30, 1, '', '2019-05-13 03:45:53', 42, 4962, '9bf79661c64901a4b9640f16a450bc2642c1ff5c', '{"id":30,"asset_id":"155","title":"Body Building","alias":"body-building","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:54:35","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:53:15","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(108, 31, 1, '', '2019-05-13 03:45:53', 42, 4932, 'e8304e5eab5e6f260f70af7e3e855f479bf958e5', '{"id":31,"asset_id":157,"title":"Body Building (2)","alias":"body-building-2","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":0,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:55:23","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:17:21","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Cardio\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(109, 31, 1, '', '2019-05-13 03:45:53', 42, 4981, '769508dd2a13c87392f6b4e0ef8ad920f301c8cf', '{"id":31,"asset_id":"157","title":"Hardcore maxx+","alias":"hardcore-maxx","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:56:33","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:55:23","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-17.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength & Conditioning\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(110, 32, 1, '', '2019-05-13 03:45:53', 42, 4951, '8b2e5a9d6f4c634ec74f39a4388c4874fe565d13', '{"id":32,"asset_id":159,"title":"Hardcore maxx+ (2)","alias":"hardcore-maxx-2","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":0,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:57:20","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:17:21","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-17.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength & Conditioning\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(111, 32, 1, '', '2019-05-13 03:45:53', 42, 4973, 'b95c0c35de2c9d06a72e674ac8864a89e8d502b3', '{"id":32,"asset_id":"159","title":"Hardcore Overload","alias":"hardcore-overload","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:57:39","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:57:20","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-17.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(112, 32, 1, '', '2019-05-13 03:45:53', 42, 4972, '3d0aa664c2ee78d54b76739cf63ac49f032be6ce', '{"id":32,"asset_id":"159","title":"Hardcore Overload","alias":"hardcore-overload","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:58:01","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:57:39","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(113, 32, 1, '', '2019-05-13 03:45:53', 42, 4972, '45be1f25da32f25800810e22825b945e01e46db3', '{"id":32,"asset_id":"159","title":"Hardcore Overload","alias":"hardcore-overload","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:58:18","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:58:01","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength\\",\\"duration\\":\\"45-75 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(114, 33, 1, '', '2019-05-13 03:45:53', 42, 4942, '07596714a49dd67ff29e4681731d2ca6544f2c14', '{"id":33,"asset_id":161,"title":"Hardcore Overload (2)","alias":"hardcore-overload-2","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":0,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:59:00","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2018-06-21 07:17:21","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength\\",\\"duration\\":\\"45-75 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(115, 33, 1, '', '2019-05-13 03:45:53', 42, 4986, 'c04adc53b8576167d5a55f05f38866b9c76d6fd8', '{"id":33,"asset_id":"161","title":"Advanced flow yoga","alias":"advanced-flow-yoga","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-25 17:59:58","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-25 17:59:00","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-21.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Exclusive Signature\\",\\"duration\\":\\"45-75 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(116, 31, 1, '', '2019-05-13 03:45:53', 42, 4971, 'd1ff95fb77b588432ad4ffdbe52452066fc13ab4', '{"id":31,"asset_id":"157","title":"Climbing","alias":"climbing","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-28 15:19:58","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-28 15:19:52","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-17.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength & Conditioning\\",\\"duration\\":\\"30-60 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"13","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(117, 32, 1, '', '2019-05-13 03:45:53', 42, 4956, '770fa088dd105d672fdaf3ae35161d72edbb19c2', '{"id":32,"asset_id":"159","title":"Body Pump","alias":"body-pump","introtext":"<p>In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.<\\/p>\\r\\n<img src=\\"images\\/joomlart\\/blog\\/category-1.jpg\\" alt=\\"\\"\\/>\\r\\n<h3>What is Legs bums & tums class?<\\/h3>\\r\\n<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla.<\\/p>\\r\\n<h3>\\r\\n  What you need to know?\\r\\n<\\/h3>\\r\\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.<\\/p>\\r\\n<h4># What to wear<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p>\\r\\n<h4># Pro tips<\\/h4>\\r\\n<p>Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede.<\\/p>\\r\\n<p>Sed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac<\\/p>\\r\\n<h4>#  Benefits of JA Fit<\\/h4>\\r\\n<p>Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum.<\\/p>\\r\\n<p>Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.<\\/p><br\\/>\\r\\n<p>\\r\\n  <a class=\\"btn btn-primary\\" href=\\"index.php?Itemid=102\\" title=\\"Join with us now\\">Join with us now<\\/a>\\r\\n<\\/p>","state":1,"catid":"13","created":"2018-06-21 07:17:21","created_by":"42","created_by_alias":"","modified":"2018-06-28 15:20:27","modified_by":"42","checked_out":"42","checked_out_time":"2018-06-28 15:20:21","publish_up":"2018-06-21 07:17:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/item-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/category-4.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"exercise\\":\\"Strength\\",\\"duration\\":\\"45-75 minutes\\",\\"fit-level\\":\\"All abilities welcome\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(118, 6, 1, '', '2019-05-13 03:45:53', 42, 26184, '0729dd00a8563ebefc03d95c6cdf25cc9a1ff23b', '{"id":6,"asset_id":"93","title":"Typography","alias":"typography","introtext":"\\t\\t\\t\\t\\t\\t<!-- CORE TYPOGRAPHY\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\"><!-- Headings -->\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-7\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Heading Text<\\/h3>\\r\\n\\t\\t\\t\\t<h1>h1. Heading <small>Secondary text<\\/small><\\/h1>\\r\\n\\t\\t\\t\\t<h2>h2. Heading <small>Secondary text<\\/small><\\/h2>\\r\\n\\t\\t\\t\\t<h3>h3. Heading <small>Secondary text<\\/small><\\/h3>\\r\\n\\t\\t\\t\\t<h4>h4. Heading <small>Secondary text<\\/small><\\/h4>\\r\\n\\t\\t\\t\\t<h5>h5. Heading <small>Secondary text<\\/small><\\/h5>\\r\\n\\t\\t\\t\\t<h6>h6. Heading <small>Secondary text<\\/small><\\/h6>\\r\\n\\t\\t\\t\\t<div class=\\"alert alert-warning\\">\\r\\n\\t\\t\\t\\t\\t<p><strong>TIPS:<\\/strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;<\\/code> tag or the <code>.small<\\/code> class.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-5\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Example body text<\\/h3>\\r\\n\\t\\t\\t\\t<p class=\\"lead\\">This is a <strong>lead paragraph<\\/strong>. <br>Make a paragraph stand out by adding <code>.lead<\\/code>.<\\/p>\\r\\n\\t\\t\\t\\t<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<p>Nullam quis risus eget <a href=\\"#\\">urna mollis ornare<\\/a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.<\\/p>\\r\\n\\t\\t\\t\\t<p>The following snippet of text is <strong>rendered as bold text<\\/strong>.<\\/p>\\r\\n\\t\\t\\t\\t<p>The following snippet of text is <em>rendered as italicized text<\\/em>.<\\/p>\\r\\n\\t\\t\\t\\t<p>An abbreviation of the word attribute is <abbr title=\\"attribute\\">attr<\\/abbr>.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Headings -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Address & Emphasis -->\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Address<\\/h3>\\r\\n\\t\\t\\t\\t<address><strong>Company Name<\\/strong><br> 795 Folsom Ave, Suite 600<br> San Francisco, CA 94107<br> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<\\/address><address><strong>Full Name<\\/strong><br> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<br> <span id=\\"cloake4e2bbc0ee69e95e9a438ec93c97c721\\"><a href=\\"mailto:first.last@example.com\\">first.last@example.com<\\/a><\\/span><script type=\\"text\\/javascript\\">\\r\\n\\t\\t\\t\\tdocument.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML = \'\';\\r\\n\\t\\t\\t\\tvar prefix = \'&#109;a\' + \'i&#108;\' + \'&#116;o\';\\r\\n\\t\\t\\t\\tvar path = \'hr\' + \'ef\' + \'=\';\\r\\n\\t\\t\\t\\tvar addye4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\';\\r\\n\\t\\t\\t\\taddye4e2bbc0ee69e95e9a438ec93c97c721 = addye4e2bbc0ee69e95e9a438ec93c97c721 + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';\\r\\n\\t\\t\\t\\tvar addy_texte4e2bbc0ee69e95e9a438ec93c97c721 = \'f&#105;rst.l&#97;st\' + \'&#64;\' + \'&#101;x&#97;mpl&#101;\' + \'&#46;\' + \'c&#111;m\';document.getElementById(\'cloake4e2bbc0ee69e95e9a438ec93c97c721\').innerHTML += \'<a \' + path + \'\\\\\'\' + prefix + \':\' + addye4e2bbc0ee69e95e9a438ec93c97c721 + \'\\\\\'>\'+addy_texte4e2bbc0ee69e95e9a438ec93c97c721+\'<\\\\\\/a>\';\\r\\n\\t\\t<\\/script><\\/address><\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"sub-title\\">Emphasis classes<\\/h3>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-muted\\">This is a <code>.mute<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-primary\\">This is a <code>.text-primary<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-warning\\">This is a <code>.text-warning<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-danger\\">This is a <code>.text-danger<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-success\\">This is a <code>.text-success<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-info\\">This is a <code>.text-info<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"sub-title\\">Alignment classes<\\/h3>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-left\\">This is a left aligned text <code>.text-left<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-center\\">This is a center aligned text <code>.text-center<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-right\\">This is a right aligned text <code>.text-right<\\/code><\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-justify\\">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify<\\/code> class.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Address & Emphasis --><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/CORE TYPOGRAPHY -->\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n\\t\\t\\t<!-- Blockquotes -->\\r\\n\\t\\t\\t<div class=\\"docs-section\\">\\r\\n\\t\\t\\t\\t<h2 id=\\"example-colors\\">Blockquotes<\\/h2>\\r\\n\\t\\t\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t\\t\\t<blockquote>\\r\\n\\t\\t\\t\\t\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<blockquote class=\\"pull-right\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<!-- \\/\\/Blockquotes -->\\r\\n\\t\\t\\t\\t\\t<p> <\\/p>\\r\\n<!-- TAGS\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-colors\\">Tags<\\/h2>\\r\\n\\t\\t<div class=\\"tags\\"><span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">hotel<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">booking<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">discount<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">location<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">map<\\/a><\\/span> <span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">travel<\\/a><\\/span><\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/TAGS -->\\r\\n\\t<p> <\\/p>\\r\\n<!-- COLOR SWATCHES\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-color\\">Color Swatches<\\/h2>\\r\\n\\t\\t<!-- Brand Colors -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Brand Colors<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-primary\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#dd2222<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Primary<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-secondary\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#428bca<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Secondary<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-warning\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f0ad4e<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Warning<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-danger\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#d9534f<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Danger<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-info\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#5bc0de<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Info<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-brand-success\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#5cb85c<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Brand Success<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Brand Colors -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Grayscale -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Grayscale Levels<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-darker\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#111<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Darker<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-dark\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#222<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Dark<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#666<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-light\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#9e9e9e<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Light<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-lighter\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#ddd<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Lighter<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-xs-12 col-sm-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"swatch-item color-gray-lightest\\">\\r\\n\\t\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t\\t<dt>#f7f7f7<\\/dt>\\r\\n\\t\\t\\t\\t\\t\\t<dd>Gray Lightest<\\/dd>\\r\\n\\t\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Grayscale --><\\/div>\\r\\n\\t\\t<!-- \\/\\/COLOR SWATCHES -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- BUTTON\\r\\n\\t=======================================================-->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-colors\\">Buttons<\\/h2>\\r\\n\\t\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t\\t<div class=\\"col-md-12\\"><!-- Button -->\\r\\n\\t\\t\\t\\t<div class=\\"example-button clearfix\\">\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-default\\" href=\\"#\\">Normal Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-primary\\" href=\\"#\\">Primary Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-success\\" href=\\"#\\">Success Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-warning\\" href=\\"#\\">Warning Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-danger\\" href=\\"#\\">Danger Button<\\/a>\\r\\n\\t\\t\\t\\t\\t<a class=\\"btn btn-info\\" href=\\"#\\">Info Button<\\/a>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<!-- \\/\\/Button --><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/BUTTON -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- NAVIGATIONS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-navigation\\">Navigations<\\/h2>\\r\\n\\t\\t<!-- Tabs & Vertical Menus -->\\r\\n\\t\\t<div class=\\"row example-row example-navigation\\"><!-- Tabs -->\\r\\n\\t\\t\\t<div class=\\"col-lg-8\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Tabs<\\/h3>\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-tabs\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#home\\" data-toggle=\\"tab\\">Home<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#profile\\" data-toggle=\\"tab\\">Profile<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"disabled\\"><a>Disabled<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown1\\" data-toggle=\\"tab\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<div id=\\"myTabContent\\" class=\\"tab-content\\">\\r\\n\\t\\t\\t\\t\\t<div id=\\"home\\" class=\\"tab-pane fade active in\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"profile\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"dropdown1\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div id=\\"dropdown2\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Tabs --> <!-- Vertical Menus -->\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Vertical Menus<\\/h3>\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-pills nav-stacked\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Active Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"disabled\\"><a href=\\"#\\">Disabled Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Something else here<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Separated link<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<!-- Vertical Menus --><\\/div>\\r\\n\\t\\t\\t<!-- Tabs & Vertical Menus --><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/NAVIGATIONS -->\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n<!-- FORMS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<div class=\\"page-header\\">\\r\\n\\t\\t\\t<h3 id=\\"example-typo\\">Inputs<\\/h3>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Inputs -->\\r\\n\\t\\t<div class=\\"row example-row example-forms example-inputs\\">\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-success\\"><label class=\\"control-label\\" for=\\"inputSuccess\\">Input success<\\/label> <input id=\\"inputSuccess\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-error\\"><label class=\\"control-label\\" for=\\"inputError\\">Input error<\\/label> <input id=\\"inputError\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group has-warning\\"><label class=\\"control-label\\" for=\\"inputWarning\\">Input warning<\\/label> <input id=\\"inputWarning\\" class=\\"form-control\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t\\t<div class=\\"form-group\\"><label class=\\"control-label\\" for=\\"disabledInput\\">Disabled input<\\/label> <input id=\\"disabledInput\\" class=\\"form-control\\" disabled=\\"disabled\\" type=\\"text\\"><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Inputs --><\\/div>\\r\\n\\t\\t<!-- \\/\\/FORMS -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- INDICATORS\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-indicators\\">Indicators<\\/h2>\\r\\n\\t\\t<!-- Alerts -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Alerts and Notifications<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-danger\\">\\r\\n\\t\\t\\t\\t\\t<h4>error message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-success\\">\\r\\n\\t\\t\\t\\t\\t<h4>sussess message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-info\\">\\r\\n\\t\\t\\t\\t\\t<h4>info message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<div class=\\"alert  alert-warning\\">\\r\\n\\t\\t\\t\\t\\t<h4>warning message title<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Alerts -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Labels & Badges -->\\r\\n\\t\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Badges<\\/h3>\\r\\n\\t\\t\\t\\t<div class=\\"example\\">\\r\\n\\t\\t\\t\\t\\t<ul class=\\"nav nav-pills\\">\\r\\n\\t\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Home <span class=\\"badge\\">42<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Profile <\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Messages <span class=\\"badge\\">25<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Notices <span class=\\"badge\\">2<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t\\t<h3 class=\\"sub-title\\">Labels<\\/h3>\\r\\n\\t\\t\\t\\t<div class=\\"example\\"><span class=\\"label label-default\\">Default<\\/span> <span class=\\"label label-primary\\">Primary<\\/span> <span class=\\"label label-success\\">Success<\\/span> <span class=\\"label label-info\\">Info<\\/span> <span class=\\"label label-warning\\">Warning<\\/span> <span class=\\"label label-danger\\">Danger<\\/span><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- Labels & Badges --><\\/div>\\r\\n\\t\\t<!-- \\/\\/INDICATORS -->\\r\\n\\t\\t<p> <\\/p>\\r\\n<!-- MISC\\r\\n\\t================================================== -->\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"example-misc\\">Misc<\\/h2>\\r\\n\\t\\t<!-- List Groups -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">List groups<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<ul class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">14<\\/span> Cras justo odio<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\">Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">1<\\/span> Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\"><a class=\\"list-group-item active\\" href=\\"#\\"><span class=\\"badge\\">9<\\/span> Cras justo odio<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Dapibus ac facilisis in<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Morbi leo risus<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Porta ac consectetur ac<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Vestibulum at eros<\\/a><\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus risus varius blandit.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t\\t<h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t\\t<p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/List Groups -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Panels -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Panels<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-default\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">Panel heading<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-primary\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel primary<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-success\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel success<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-warning\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel warning<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-danger\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel danger<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel panel-info\\">\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel info<\\/h3>\\r\\n\\t\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Panels -->\\r\\n\\t\\t<p> <\\/p>\\r\\n\\t\\t<!-- Wells -->\\r\\n\\t\\t<h3 class=\\"sub-title\\">Wells<\\/h3>\\r\\n\\t\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well well-sm\\">Look, I\'m in a small well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well\\">Look, I\'m in a well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t\\t<div class=\\"well well-lg\\">Look, I\'m in a large well!<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Wells -->","fulltext":"","state":1,"catid":"10","created":"2018-06-11 08:13:40","created_by":"42","created_by_alias":"","modified":"2018-07-01 14:58:48","modified_by":"42","checked_out":"42","checked_out_time":"2018-07-01 14:58:39","publish_up":"2018-06-11 08:13:40","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"27","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT 0,
  `last_check_timestamp` bigint(20) DEFAULT 0,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 COMMENT='Update Sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1557717388, ''),
(2, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 1, 1557717389, ''),
(3, 'Joomla! Update Component Update Site', 'extension', 'https://update.joomla.org/core/extensions/com_joomlaupdate.xml', 1, 1557717586, ''),
(4, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_jamasthead.xml', 1, 1557717559, ''),
(5, '', 'extension', 'http://update.joomlart.com/service/tracking/j30/tpl_ja_fit.xml', 1, 1557717560, ''),
(6, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_ja_acm.xml', 1, 1557717561, ''),
(7, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/plg_system_t3.xml', 1, 1557717562, ''),
(9, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/plg_system_jagooglemap.xml', 1, 1557717563, ''),
(10, 'JA Extension Manager', 'extension', 'http://update.joomlart.com/service/tracking/j16/com_jaextmanager.xml', 1, 1557717564, ''),
(11, '', 'extension', 'http://update.joomlart.com/service/tracking/j31/plg_system_jabuilder.xml', 1, 1557717565, ''),
(12, '', 'extension', 'http://update.joomlart.com/service/tracking/j31/com_jabuilder.xml', 1, 1557717566, ''),
(13, '', 'extension', 'http://update.joomlart.com/service/tracking/j31/mod_jabuilder_quickicons.xml', 1, 1557717567, ''),
(14, '', 'extension', 'http://update.joomlart.com/service/tracking/j31/ja_builder_pkg.xml', 1, 1557717568, ''),
(15, '', 'extension', 'http://update.joomlart.com/service/tracking/j30/com_dtregister.xml', 1, 0, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT 0,
  `extension_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB COMMENT='Links extensions to update sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(2, 802),
(3, 28),
(3, 600),
(4, 10001),
(5, 10003),
(6, 10000),
(7, 10002),
(9, 10005),
(10, 10016),
(11, 10017),
(12, 10018),
(13, 10019),
(14, 10021),
(15, 10015);
INSERT IGNORE INTO `#__update_sites_extensions` VALUES
(1, 700),
(2, 700),
(3, 600);

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT 0,
  `extension_id` int(11) DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT 0,
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=124 COMMENT='Available Updates' DEFAULT CHARSET=utf8;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(2, 2, 0, 'Armenian', '', 'pkg_hy-AM', 'package', '', 0, '3.4.4.1', '', 'https://update.joomla.org/language/details3/hy-AM_details.xml', '', ''),
(3, 2, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.4.1.2', '', 'https://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(4, 2, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(5, 2, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(6, 2, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(7, 2, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.5.2', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(8, 2, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/gl-ES_details.xml', '', ''),
(9, 2, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(10, 2, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(11, 2, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(12, 2, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(13, 2, 0, 'Bengali', '', 'pkg_bn-BD', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/bn-BD_details.xml', '', ''),
(14, 2, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(15, 2, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.9.0.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(16, 2, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(17, 2, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(18, 2, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.6.5.2', '', 'https://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(19, 2, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(20, 2, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(21, 2, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.8.5.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(22, 2, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(23, 2, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(24, 2, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(25, 2, 0, 'Esperanto', '', 'pkg_eo-XX', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/eo-XX_details.xml', '', ''),
(26, 2, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(27, 2, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(28, 2, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/km-KH_details.xml', '', ''),
(29, 2, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.8.9.1', '', 'https://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(30, 2, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(31, 2, 0, 'Lithuanian', '', 'pkg_lt-LT', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/lt-LT_details.xml', '', ''),
(32, 2, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(33, 2, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(34, 2, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '3.4.2.1', '', 'https://update.joomla.org/language/details3/nn-NO_details.xml', '', ''),
(35, 2, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(36, 2, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.9.4.1', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(37, 2, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(38, 2, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.9.4.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(39, 2, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(40, 2, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(41, 2, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(42, 2, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(43, 2, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(44, 2, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(45, 2, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(46, 2, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.9.4.1', '', 'https://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(47, 2, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.7.1.1', '', 'https://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(48, 2, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(49, 2, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(50, 2, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/eu-ES_details.xml', '', ''),
(51, 2, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '3.3.6.2', '', 'https://update.joomla.org/language/details3/hi-IN_details.xml', '', ''),
(52, 2, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(53, 2, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(54, 2, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(55, 2, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.1.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(56, 2, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.9.4.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(57, 2, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(58, 2, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(59, 2, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(60, 2, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(61, 2, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(62, 2, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(63, 2, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(64, 2, 0, 'French CA', '', 'pkg_fr-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(65, 2, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.9.2.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(66, 2, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/si-LK_details.xml', '', ''),
(67, 2, 0, 'Dari Persian', '', 'pkg_prs-AF', 'package', '', 0, '3.4.4.2', '', 'https://update.joomla.org/language/details3/prs-AF_details.xml', '', ''),
(68, 2, 0, 'Turkmen', '', 'pkg_tk-TM', 'package', '', 0, '3.5.0.2', '', 'https://update.joomla.org/language/details3/tk-TM_details.xml', '', ''),
(69, 2, 0, 'Irish', '', 'pkg_ga-IE', 'package', '', 0, '3.8.13.1', '', 'https://update.joomla.org/language/details3/ga-IE_details.xml', '', ''),
(70, 2, 0, 'Dzongkha', '', 'pkg_dz-BT', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/dz-BT_details.xml', '', ''),
(71, 2, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.5.2', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(72, 2, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.9.4.2', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(73, 2, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(74, 2, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(75, 2, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(76, 2, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(77, 2, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', ''),
(78, 2, 0, 'Kazakh', '', 'pkg_kk-KZ', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/kk-KZ_details.xml', '', ''),
(85, 2, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(86, 2, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(87, 2, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(88, 2, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(89, 2, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(90, 2, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(91, 2, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(92, 2, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(93, 2, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(94, 2, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(95, 2, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(96, 2, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(97, 2, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(98, 2, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(99, 2, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(100, 2, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(101, 2, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(102, 2, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(103, 2, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(104, 2, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(105, 2, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(106, 2, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(107, 2, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(108, 2, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(109, 2, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(110, 2, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(111, 2, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(112, 2, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(113, 2, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(114, 2, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(115, 2, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(116, 2, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(117, 2, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(118, 2, 0, 'Kazakh', '', 'pkg_kk-KZ', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/kk-KZ_details.xml', '', '');

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB COMMENT='Simple user profile storage table' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 18, 'Public'),
(2, 1, 8, 15, 'Registered'),
(3, 2, 9, 14, 'Author'),
(4, 3, 10, 13, 'Editor'),
(5, 4, 11, 12, 'Publisher'),
(6, 1, 4, 7, 'Manager'),
(7, 6, 5, 6, 'Administrator'),
(8, 1, 16, 17, 'Super Users'),
(9, 1, 2, 3, 'Guest');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT 0,
  `sendEmail` tinyint(4) DEFAULT 0,
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT 0 COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`(100)),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__utf8_conversion`;
CREATE TABLE `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__utf8_conversion` (`converted`) VALUES
(2);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 2, '[6,2,8]'),
(3, 'Special', 3, '[6,3,8]'),
(5, 'Guest', 1, '[9]'),
(6, 'Super Users', 4, '[8]');

UPDATE `#__extensions` SET `enabled` = 0 WHERE `extension_id` IN (10010,10011,10012,10013,10014); 
